<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/sql" prefix="sql" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt"%>

<c:if test="${not empty sessionScope.locale}">
	<fmt:setLocale value="${locale}" />
</c:if>
<fmt:bundle basename="channels">
	<c:if test="${not empty param.id}">
		<sql:setDataSource dataSource="jdbc/ipcontact" /> 
		<sql:transaction>
			<sql:update>
				DELETE FROM zap_channel WHERE channel = '${param.id}'
			</sql:update>
		</sql:transaction>
	
		<c:set var="needRestart" value="yes" scope="session"/>
		<c:set var="needZapReload" value="yes" scope="session"/>
	
		<fmt:message key="addzap.deleted" var="result">
			<fmt:param value="${param.id}"/>
		</fmt:message>
		<c:set var="message" value="${result}" scope="session"/>
		<c:set var="messageType" value="ok" scope="session"/>
	</c:if>

	<c:url var="contact" value="listZapChannels.jsp">
		<c:param name="callerid" value="${param.callerid}"/>
		<c:param name="calleridType" value="${param.calleridType}"/>
		<c:param name="offset" value="${param.offset}"/>
		<c:param name="rows" value="${param.rows}"/>
	</c:url>
</fmt:bundle>
<c:redirect url="${contact}"/>
