<%@ page import="org.w3c.dom.*, ipcontact.*" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/sql" prefix="sql" %>

<c:if test="${not empty param.id}">
	<%
		Document doc;
		Element action;
		String result, extension = request.getParameter("id");
		Network net = (Network)session.getAttribute("connection");
	
		doc = XMLHelper.newDocument();
		action = XMLHelper.newElement(doc, "action", "type", "kill client");
		XMLHelper.addElement(doc, action, "extension", extension);
		doc.appendChild(action);
		result = net.action(doc, "kill client");
		if (result.equals("ok")) {	
			session.setAttribute("message", "clients.deleted");
			session.setAttribute("messageType", "ok");
		}
		else {
			session.setAttribute("message", "clients.error.generic");
			session.setAttribute("error", result);
			session.setAttribute("messageType", "error");
		}
	%>
</c:if>

<c:url var="contact" value="listClients.jsp">
	<c:param name="extension" value="${param.extension}"/>
	<c:param name="extentype" value="${param.extentype}"/>
	<c:param name="agent" value="${param.agent}"/>
	<c:param name="group" value="${param.group}"/>
	<c:param name="offset" value="${param.offset}"/>
	<c:param name="rows" value="${param.rows}"/>
	<c:param name="offset" value="${param.offset}"/>
	<c:param name="rows" value="${param.rows}"/>
</c:url>

<c:redirect url="${contact}"/>
