<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/sql" prefix="sql" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt"%>

<c:if test="${not empty sessionScope.locale}">
	<fmt:setLocale value="${locale}" />
</c:if>
<fmt:bundle basename="groups">
	<c:if test="${not empty param.id}">
		<sql:query var="rs" dataSource="jdbc/ipcontact">
			SELECT *
			FROM queue
			WHERE groupqueue_id = (SELECT groupqueue_id FROM groups_queues WHERE groupqueue_name = '${param.id}')
		</sql:query>
		<c:choose>
			<c:when test="${rs.rowCount eq \"0\"}">
				<sql:update dataSource="jdbc/ipcontact">
					DELETE FROM groups_queues WHERE groupqueue_name = '${param.id}'
				</sql:update>
			
				<fmt:message key="group.deleted" var="result"/>
				<c:set var="message" value="${result}" scope="session"/>
				<c:set var="messageType" value="ok" scope="session"/>
			</c:when>
			<c:otherwise>
				<fmt:message key="group.error.delete.queue" var="result"/>
				<c:set var="message" value="${result}" scope="session"/>
				<c:set var="messageType" value="error" scope="session"/>
			</c:otherwise>
		</c:choose>
	</c:if>
	<c:choose>
		<c:when test="${not empty param.rows}">
			<c:url var="contact" value="listGroupsQueue.jsp">
				<c:param name="filter" value="1"/>
				<c:param name="groupqueue_name" value="${param.groupqueue_name}"/>
				<c:param name="groupqueueType" value="${param.groupqueueType}"/>
				<c:param name="offset" value="${param.offset}"/>
				<c:param name="rows" value="${param.rows}"/>
			</c:url>
		</c:when>
		<c:otherwise>
			<c:url var="contact" value="listGroupsQueue.jsp">
				<c:param name="filter" value="1"/>
				<c:param name="groupqueue_name" value=""/>
				<c:param name="groupqueueType" value=""/>
				<c:param name="offset" value=""/>
				<c:param name="rows" value="25"/>
			</c:url>
		</c:otherwise>
	</c:choose>
</fmt:bundle>
<c:redirect url="${contact}"/>