		<%pageContext.setAttribute("path","../");%>
		<%@ include file="../menu.jsp" %>
		
		<div id="right">
			<fmt:bundle basename="hunt">
				<c:if test="${not empty sessionScope.message}">
					<c:choose>
						<c:when test="${sessionScope.messageType eq \"error\"}">
							<c:set var="class" value="error"/>
						</c:when>
						<c:otherwise>
							<c:set var="class" value="ok"/>
						</c:otherwise>
					</c:choose>
					<div class="${class}">
						${sessionScope.message}
					</div>
					<c:set var="message" value="" scope="session"/>
				</c:if>
				<c:choose>
					<c:when test="${empty param.vpbx}">
						<%@ include file="../ui/hunt/search.jsp" %>
					</c:when>
					<c:otherwise>
						<w:where var="conds">
							<w:condition attribute="h.number" comparator=">=" value="${param.numGt}"/>
							<w:condition attribute="h.number" comparator="<=" value="${param.numLt}"/>
							<w:condition attribute="info" comparator="${param.infoType}" value="${param.info}"/>
							<c:if test="${param.vpbx != \"all\"}">
								 <c:choose>
									 <c:when test="${sessionScope.asterisk12}">	
										 <w:condition attribute="vpbx" value="${param.vpbx}"/>
									 </c:when>
									 <c:otherwise>
										 <w:condition attribute="v.name" value="${param.vpbx}"/>
									 </c:otherwise>
								 </c:choose>
							</c:if>
						</w:where>
				
						<c:set var="offset" value="${param.offset}"/>
				
						<c:if test="${empty offset}">
							<c:set var="offset" value="0"/>
						</c:if>
				
						<c:choose>
							<c:when test="${sessionScope.asterisk12}">	
								<sql:query var="rs" dataSource="jdbc/ipcontact">
									SELECT count(*) AS count FROM hunt_group h
									INNER JOIN vpbxs ON h.vpbx = vpbxs.number
									${conds}
								</sql:query>
							</c:when>
							<c:otherwise>
								<sql:query var="rs" dataSource="jdbc/ipcontact">
									SELECT count(*) FROM (
										SELECT count(*) AS count FROM hunt h
										LEFT JOIN vpbx_hunt ON hunt_number = h.number
										LEFT JOIN vpbx v ON v.number = vpbx_number
										${conds} GROUP BY h.number
									) AS X
								</sql:query>
							</c:otherwise>
						</c:choose>
				
						<c:if test="${rs.rows[0].count > (offset + param.rows)}">
							<c:set var="nextOffset" value="true"/>
						</c:if>

						<c:choose>
							 <c:when test="${sessionScope.asterisk12}">	
								 <sql:query var="rs" dataSource="jdbc/ipcontact">
									 SELECT id, h.number AS number, h.info AS info, vpbxs.name AS vpbx
									 FROM hunt_group h
									 INNER JOIN vpbxs ON h.vpbx = vpbxs.number
									 ${conds} ORDER BY h.number LIMIT ${param.rows} OFFSET ${offset}
								 </sql:query>
							 </c:when>
							 <c:otherwise>
								 <sql:query var="rs" dataSource="jdbc/ipcontact">
									 SELECT h.number AS number, h.info AS info, 
										GROUP_CONCAT(v.name SEPARATOR ', ') AS vpbx
									 FROM hunt h
									 LEFT JOIN vpbx_hunt ON hunt_number = h.number
									 LEFT JOIN vpbx v ON v.number = vpbx_number
									 ${conds} GROUP BY h.number LIMIT ${param.rows} OFFSET ${offset}
								 </sql:query>
							 </c:otherwise>
						</c:choose>
						<%@ include file="../ui/hunt/list.jsp" %>				
					</c:otherwise>
					
				</c:choose>
			</fmt:bundle>
		</div>
	</body>
</html>

