<%pageContext.setAttribute("path","../");%>
<%@ include file="../menu.jsp" %>

<div id="right">
	<fmt:bundle basename="pstn">
		<c:choose>
			<c:when test="${not empty param.mode}">
			  <c:set var="mode" value="${param.mode}"/>
			</c:when>
			<c:otherwise>
				<c:choose>
					<c:when test="${not empty sessionScope.mode}">
		        		<c:set var="mode" value="${sessionScope.mode}"/>
					</c:when>
					<c:otherwise>
						<c:set var="mode" value="edit"/>
					</c:otherwise>
				</c:choose>
			</c:otherwise>
		</c:choose>
		<c:set var="mode" value="" scope="session"/>

		<c:choose>
			<c:when test="${not empty param.id}">
				<c:choose>
					<c:when test="${sessionScope.asterisk12}">
						<sql:query var="rs" dataSource="jdbc/ipcontact">
							SELECT number, protocol, line_prefix, inbound_prefix, fax_enabled, enabled, info, line_postfix, hunt_group, size
							FROM pstnlines
							WHERE number = '${param.id}'
						</sql:query>
					</c:when>
					<c:otherwise>
						 <sql:query var="rs" dataSource="jdbc/ipcontact">
							SELECT p.number AS number, protocol, line_prefix, line_postfix, inbound_prefix, enabled, 
								GROUP_CONCAT(h.info SEPARATOR ', ') AS hunt_group, size, p.info AS info
							FROM pstnline p
							LEFT JOIN hunt_line ON line_number = number
							LEFT JOIN hunt h ON h.number = hunt_number
							WHERE p.number = '${param.id}' GROUP BY p.number
						</sql:query>
					</c:otherwise>
				</c:choose>
				<c:set var="number" value="${rs.rows[0].number}"/>
				<c:set var="protocol" value="${rs.rows[0].protocol}"/>
				<c:set var="line_prefix" value="${rs.rows[0].line_prefix}"/>
				<c:set var="line_postfix" value="${rs.rows[0].line_postfix}"/>
				<c:set var="inbound_prefix" value="${rs.rows[0].inbound_prefix}"/>
				<c:set var="fax_enabled" value="${rs.rows[0].fax_enabled}"/>
				<c:set var="enabled" value="${rs.rows[0].enabled}"/>
				<c:set var="info" value="${rs.rows[0].info}"/>
				<c:set var="hunt_group" value="${rs.rows[0].hunt_group}"/>
				<c:set var="size" value="${rs.rows[0].size}"/>
			</c:when>
			<c:otherwise>
				<c:set var="number" value=""/>
				<c:set var="protocol" value=""/>
				<c:set var="line_prefix" value=""/>
				<c:set var="line_postfix" value=""/>
				<c:set var="inbound_prefix" value=""/>
				<c:set var="fax_enabled" value=""/>
				<c:set var="enabled" value=""/>
				<c:set var="info" value=""/>
				<c:set var="hunt_group" value=""/>
				<c:set var="size" value=""/>
			</c:otherwise>
		</c:choose>

		<c:if test="${not empty sessionScope.message}">
			<c:choose>
				<c:when test="${sessionScope.messageType eq \"error\"}">
					<c:set var="class" value="error"/>
				</c:when>
				<c:otherwise>
					<c:set var="class" value="ok"/>
				</c:otherwise>
			</c:choose>
			<div class="${class}">
				<fmt:message key="${sessionScope.message}"/>
				<c:if test="${sessionScope.message eq \"pstn.error.generic\"}">
					${sessionScope.error}
				</c:if>
			</div>
			<c:set var="message" value="" scope="session"/>
		</c:if>
		
		<c:choose>
			<c:when test="${mode eq \"edit\"}">
			  <%@ include file="../ui/pstn/edit.jsp" %>
			</c:when>
			<c:when test="${mode eq \"view\"}">
			  <%@ include file="../ui/pstn/view.jsp" %>
			</c:when>
			<c:otherwise>
			  <%@ include file="../ui/pstn/view.jsp" %>
			</c:otherwise>
		</c:choose>
	</fmt:bundle>
</div>
</body>
</html>
