		<%pageContext.setAttribute("path","../");%>
		<%@ include file="../menu.jsp" %>
		
		<div id="right">
			<fmt:bundle basename="pstn">
				<c:if test="${not empty sessionScope.message}">
					<c:choose>
						<c:when test="${sessionScope.messageType eq \"error\"}">
							<c:set var="class" value="error"/>
						</c:when>
						<c:otherwise>
							<c:set var="class" value="ok"/>
						</c:otherwise>
					</c:choose>
					<div class="${class}">
						<fmt:message key="${sessionScope.message}"/>
						<c:if test="${sessionScope.message eq \"pstn.error.generic\"}">
							${sessionScope.error}
						</c:if>
					</div>
					<c:set var="message" value="" scope="session"/>
				</c:if>
				<c:choose>
					<c:when test="${empty param.protocol}">
						<%@ include file="../ui/pstn/search.jsp" %>
					</c:when>
					<c:otherwise>
						<w:where var="conds">
							<w:condition attribute="p.number" comparator=">=" value="${param.numGt}"/>
							<w:condition attribute="p.number" comparator="<=" value="${param.numLt}"/>
							<w:condition attribute="p.info" comparator="${param.infoType}" value="${param.info}"/>
							<c:if test="${param.protocol != \"all\"}">
								<w:condition attribute="protocol" value="${param.protocol}"/>
							</c:if>
							<c:if test="${param.huntGroup != \"all\"}">
								<c:choose>
									<c:when test="${sessionScope.asterisk12}">	
										<w:condition attribute="hunt_group" value="${param.huntGroup}"/>
									</c:when>
									<c:otherwise>
										 <w:condition attribute="h.info" value="${param.huntGroup}"/>
									</c:otherwise>
								</c:choose>
							</c:if>
						</w:where>
				
						<c:set var="offset" value="${param.offset}"/>
				
						<c:if test="${empty offset}">
							<c:set var="offset" value="0"/>
						</c:if>

						<c:choose>
							<c:when test="${sessionScope.asterisk12}">	
								<sql:query var="rs" dataSource="jdbc/ipcontact">
									SELECT count(*) AS count FROM pstnlines p ${conds}
								</sql:query>
							</c:when>
							<c:otherwise>
								<sql:query var="rs" dataSource="jdbc/ipcontact">
									SELECT count(*) AS count FROM (
										SELECT count(*) AS count 
										FROM pstnline p
										LEFT JOIN hunt_line ON line_number = number
										LEFT JOIN hunt h ON h.number = hunt_number
										${conds} GROUP BY p.number
									) AS X
								</sql:query>
							</c:otherwise>
						 </c:choose>
				
						<c:if test="${rs.rows[0].count > (offset + param.rows)}">
							<c:set var="nextOffset" value="true"/>
						</c:if>
				
						<c:choose>
							<c:when test="${sessionScope.asterisk12}">					 
								<sql:query var="rs" dataSource="jdbc/ipcontact">
									SELECT number, protocol, line_prefix, line_postfix, inbound_prefix, hunt_group, size, info
									FROM pstnlines p
									${conds} ORDER BY p.number LIMIT ${param.rows} OFFSET ${offset}
								</sql:query>
							</c:when>
							<c:otherwise>
								<sql:query var="rs" dataSource="jdbc/ipcontact">
									SELECT p.number AS number, protocol, line_prefix, line_postfix, inbound_prefix, 
										GROUP_CONCAT(h.info SEPARATOR ', ') AS hunt_group, size, p.info AS info
									FROM pstnline p
									LEFT JOIN hunt_line ON line_number = number
									LEFT JOIN hunt h ON h.number = hunt_number
									${conds} GROUP BY p.number LIMIT ${param.rows} OFFSET ${offset}
								</sql:query>
							</c:otherwise>
						</c:choose>
						 
						<%@ include file="../ui/pstn/list.jsp" %>
						 
					</c:otherwise>
				</c:choose>
			</fmt:bundle>
		</div>
	</body>
</html>

