<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/sql" prefix="sql" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt"%>
<%@ page import="org.w3c.dom.*" %>
<%@ page import="ipcontact.*" %>

<%pageContext.setAttribute("path","../");%>
<%@ include file="../validSession.jsp" %>

<fmt:bundle basename="queues">
	<c:if test="${not empty param.id}">
		<sql:setDataSource dataSource="jdbc/ipcontact" /> 
		<sql:update>
			DELETE FROM queue WHERE name = '${param.id}'
		</sql:update>
		 
		<% 	
			Document doc;
			Element action;

			doc = XMLHelper.newDocument();
			action = XMLHelper.newElement(doc, "action", "type", "del queue");
			XMLHelper.addElement(doc, action, "queue", request.getParameter("id").toString());
			doc.appendChild(action);

			String result = net.action(doc, "del queue");	
			pageContext.setAttribute("result", result);
		%>
	
		<fmt:message key="queues.deleted" var="deleted"/>
		<c:set var="message" value="${deleted}" scope="session"/>
		<c:set var="messageType" value="ok" scope="session"/>
		
	</c:if>
</fmt:bundle>
<c:redirect url="listQueues.jsp?nameType=1"/>