<fmt:message key="addzap.validations.channel" var="valchannel"/>
<fmt:message key="addzap.validations.calleridname" var="valcalleridname"/>
<fmt:message key="addzap.validations.calleridnumber" var="valcalleridnumber"/>
<fmt:message key="addzap.validations.context" var="valcontext"/>

<script type="text/javascript">
<!--

  function addCallgroup() {
	if (document.forms.formulario.callgroups.value != "") {
		document.forms.formulario.callgroup.value = document.forms.formulario.callgroups.value;
		document.forms.formulario.callgroups.selectedIndex = 0;
	}
  }

  function addPickupgroup() {
	if (document.forms.formulario.pickupgroups.value != "") {
	  	if (document.forms.formulario.pickupgroup.value == ""){
			document.forms.formulario.pickupgroup.value = document.forms.formulario.pickupgroups.value;
		} else {
			document.forms.formulario.pickupgroup.value = document.forms.formulario.pickupgroup.value + ',' + document.forms.formulario.pickupgroups.value;	
		}
		document.forms.formulario.pickupgroups.selectedIndex = 0;
	}
  }
  
  function validateOnSubmit() {

    if (!validatePresent(document.forms.formulario.channel, 'inf_channel')) {
    	alert("${valchannel}");
    	return false;
    }

    if (!validatePresent(document.forms.formulario.calleridName, 'inf_calleridName')) {
    	alert("${valcalleridname}");
    	return false;
    }

    if (!validateNr(document.forms.formulario.calleridNumber, 'inf_calleridNumber', true)) {
    	alert("${valcalleridnumber}");
    	return false;
    }
    
    if (!validatePresent(document.forms.formulario.context, 'inf_context')) {
    	alert("${valcontext}");
    	return false;
    }

    
    return true;
  };

//-->
</script>
<c:set var="valchannel" value=""/>
<c:set var="valcalleridname" value=""/>
<c:set var="valcalleridnumber" value=""/>
<c:set var="valcontext" value=""/>

<h2><fmt:message key="addzap.edit.title" /></h2>

<form onsubmit="return validateOnSubmit()" method="post" action="../servlet/ipcontact.channels.AddZapChannel" name="formulario" target="_self"/>
	<table class="query">
		<tr class="plain">
			<td class="label"><fmt:message key="addzap.channel"/></td>
			<td class="query">
				<input type="text" name="channel" size="15" maxlength="80" value="${channel}" onchange="validatePresent(this, 'inf_channel', true);" />
			</td>
			<td class="query" id="inf_channel">
				<c:if test="${empty channel}"><
					fmt:message key="addzap.required"/>
				</c:if>
			</td>
		</tr>

		<tr class="plain">
			<td class="label"><fmt:message key="addzap.calleridname"/></td>
			<td class="query">
				<input type="text" name="calleridName" size="15" maxlength="80" value='<c:out value="${calleridName}"/>' onchange="validatePresent(this, 'inf_calleridName')" />
			</td>
			<td class="query" id="inf_calleridName">
				<c:if test="${empty calleridName}">
					<fmt:message key="addzap.required"/>
				</c:if>
			</td>
		</tr>

		<tr class="plain">
			<td class="label"><fmt:message key="addzap.calleridnumber"/></td>
			<td class="query">
				<input type="text" name="calleridNumber" size="15" maxlength="80" value="${calleridNumber}" onchange="validateNr(this, 'inf_calleridNumber', true)" />
			</td>
			<td class="query" id="inf_calleridNumber">
				<c:if test="${empty calleridNumber}">
					<fmt:message key="addzap.required"/>
				</c:if>
			</td>
		</tr>
		
		<tr class="plain">
			<td class="label"><fmt:message key="addzap.mailbox"/></td>
			<td class="query">
			<sql:query var="rs" dataSource="jdbc/ipcontact">
					SELECT mailbox FROM voicemail_account
				</sql:query>
				<select name="mailbox">
					<option value=""> </option>
					<c:forEach var="row" items="${rs.rows}">
						<c:if test="${mailbox eq row.mailbox}">
							<c:set var="selected" value="selected=\"selected\""/>
						</c:if>
						<option value="${row.mailbox}" ${selected}>${row.mailbox}</option>
						<c:set var="selected" value=""/>
					</c:forEach>
				</select>
			</td>
			<td class="query"/>
		</tr>
		<tr class="plain">
			<td class="label"><fmt:message key="addzap.callgroup"/></td>
			<td class="query">
				<input type="text" name="callgroup" size="10" maxlength="10" value="${callgroup}"/>
			</td>
			<td class="query">
				<%@ include file="../../include/sql/sections_fix_table.jsp" %>
				<sql:query var="rs" dataSource="jdbc/ipcontact">
					SELECT section, callgroup FROM sections
				</sql:query>
				<select name="callgroups" onchange="addCallgroup()">
					<option value="" selected="selected">
						<fmt:message key="addsip.none"/>
					</option>
					<c:forEach var="row" varStatus="stat" items="${rs.rows}">
						<option value="${row.callgroup}">
							${row.section}
						</option>
					</c:forEach>
				</select>
			</td>
		</tr>

		<tr class="plain">
			<td class="label"><fmt:message key="addzap.pickupgroup"/></td>
			<td class="query">
				<input type="text" name="pickupgroup" size="20" maxlength="20" value="${pickupgroup}"/>
			</td>
			<td class="query">
				<sql:query var="rs" dataSource="jdbc/ipcontact">
					SELECT section, callgroup FROM sections
				</sql:query>
				<select name="pickupgroups" onchange="addPickupgroup()">
					<option value="" selected="selected">
						<fmt:message key="addsip.none"/>
					</option>
					<c:forEach var="row" varStatus="stat" items="${rs.rows}">
						<option value="${row.callgroup}">
							${row.section}
						</option>
					</c:forEach>
				</select>
			</td>
		</tr>

		<tr class="plain">
			<td class="label"><fmt:message key="addzap.callwaiting"/></td>
			<td class="query">
				<c:if test="${empty callwaiting}">
					<c:set var="callwaiting" value="no"/>
				</c:if>
				
				<c:if test="${callwaiting eq \"yes\"}">
					<c:set var="checked" value="checked=\"checked\""/>
				</c:if>
				<input type="radio" name="callwaiting" value="yes" ${checked}/><fmt:message key="addzap.yes"/>
				<c:set var="checked" value=""/>

				<c:if test="${callwaiting eq \"no\"}">
					<c:set var="checked" value="checked=\"checked\""/>
				</c:if>
				<input type="radio" name="callwaiting" value="no" ${checked}/><fmt:message key="addzap.no"/>
				<c:set var="checked" value=""/>
			</td>
			<td class="query"/>
		</tr>

		<tr class="plain">
			<td class="label"><fmt:message key="addzap.context"/></td>
			<td class="query">
				<input type="text" name="context" size="15" maxlength="80" value="${context}" onchange="validatePresent(this, 'inf_context')"/>
			</td>
			<td class="query" id="inf_context">
				<c:if test="${empty context}">
					<fmt:message key="addzap.required"/>
				</c:if>
			</td>
		</tr>
		
		<tr class="plain">
			<td class="query"colspan="3">
				<c:if test="${empty channel}">
					<fmt:message key="addzap.submit" var="submit"/>
				</c:if>
				<c:if test="${not empty channel}">
					<fmt:message key="addzap.save" var="submit"/>
				</c:if>
				<input  class="boton" type="submit" value="${submit}" align="middle"/> &nbsp;&nbsp;
				&nbsp;&nbsp;
				<fmt:message key="addzap.reset" var="reset"/>
				<input class="boton" type="reset" value="${reset}" align="middle"/>
				<c:set var="submit" value=""/>
				<c:set var="reset" value=""/>
			</td>
		</tr>

	</table>

	<c:if test="${not empty param.id}">
		<input type="hidden" name="oldChannel" value="${param.id}" />
	</c:if>
</form>