<h2><fmt:message key="addsip.view.title"/> ${name}</h2>
<h3><fmt:message key="addsip.edit.basic"/></h3>
<table class="query">
	<tr class="plain">
		<td class="label"><fmt:message key="addsip.name"/></td>
		<td class="query">${name}<c:if test="${empty name}"><fmt:message key="addsip.none"/></c:if></td>
	</tr>
	<tr class="plain">
		<td class="label"><fmt:message key="addsip.username"/></td>
		<td class="query">${username}<c:if test="${empty username}"><fmt:message key="addsip.none"/></c:if></td>
	</tr>
	<tr class="plain">
		<td class="label"><fmt:message key="addsip.secret"/></td>
		<td class="query">${secret}<c:if test="${empty secret}"><fmt:message key="addsip.none"/></c:if></td>
	</tr>
	<tr class="plain">
		<td class="label"><fmt:message key="addsip.callerid"/></td>
		<td class="query">"${calleridName}" <${calleridNumber}><c:if test="${empty calleridName}"><fmt:message key="addsip.none"/></c:if></td>
	</tr>
	<tr class="plain">
		<td class="label"><fmt:message key="addsip.type"/></td>
		<td class="query">${type}<c:if test="${empty type}"><fmt:message key="addsip.none"/></c:if></td>
	</tr>
	<tr class="plain">
		<td class="label"><fmt:message key="addsip.context"/></td>
		<td class="query">${context}<c:if test="${empty context}"><fmt:message key="addsip.none"/></c:if></td>
	</tr>
	<tr class="plain">
		<td class="label"><fmt:message key="addsip.host"/></td>
		<td class="query">${host}<c:if test="${empty host}"><fmt:message key="addsip.none"/></c:if></td>
	</tr>
	<tr class="plain">
		<td class="label"><fmt:message key="addsip.callgroup"/></td>
		<td class="query">${callgroup}<c:if test="${empty callgroup}"><fmt:message key="addsip.none"/></c:if></td>
	</tr>
	<tr class="plain">
		<td class="label"><fmt:message key="addsip.pickupgroup"/></td>
		<td class="query">${pickupgroup}<c:if test="${empty pickupgroup}"><fmt:message key="addsip.none"/></c:if></td>
	</tr>
	<tr class="plain">
		<td class="label"><fmt:message key="addsip.dtmfmode"/></td>
		<td class="query">${dtmfmode}<c:if test="${empty dtmfmode}"><fmt:message key="addsip.none"/></c:if></td>
	</tr>
	<tr class="plain">
		<td class="label"><fmt:message key="addsip.disallow"/></td>
		<td class="query">${disallow}<c:if test="${empty disallow}"><fmt:message key="addsip.none"/></c:if></td>
	</tr>
	<tr class="plain">
		<td class="label"><fmt:message key="addsip.allow"/></td>
		<td class="query">${allow}<c:if test="${empty allow}"><fmt:message key="addsip.none"/></c:if></td>
	</tr>
	<tr class="plain">
		<td class="label"><fmt:message key="addsip.canreinvite"/></td>
		<td class="query">
			<c:if test="${canreinvite eq \"yes\"}">
				<fmt:message key="addsip.yes"/>
			</c:if>
			<c:if test="${canreinvite eq \"no\"}">
				<fmt:message key="addsip.no"/>
			</c:if>
			<c:if test="${empty canreinvite}">
				<fmt:message key="addsip.none"/>
			</c:if>
		</td>
	</tr>
	<tr class="plain">
		<td class="label"><fmt:message key="addsip.qualify"/></td>
		<td class="query">
			<c:if test="${qualify eq \"yes\"}">
				<fmt:message key="addsip.yes"/>
			</c:if>
			<c:if test="${qualify eq \"no\"}">
				<fmt:message key="addsip.no"/>
			</c:if>
			<c:if test="${empty qualify}">
				<fmt:message key="addsip.none"/>
			</c:if>
		</td>
	</tr>
	<tr class="plain">
		<td class="label"><fmt:message key="addsip.mailbox"/></td>
		<td class="query">${mailbox}<c:if test="${empty mailbox}"><fmt:message key="addsip.none"/></c:if></td>
	</tr>
	<tr class="plain">
		<td class="label"><fmt:message key="addsip.nat"/></td>
		<td class="query">${nat}<c:if test="${empty nat}"><fmt:message key="addsip.none"/></c:if></td>
	</tr>
</table>
<h3><fmt:message key="addsip.edit.advanced"/></h3>
<table class="query">
	<tr class="plain">
		<td class="label"><fmt:message key="addsip.insecure"/></td>
		<td class="query">${insecure}<c:if test="${empty insecure}"><fmt:message key="addsip.none"/></c:if></td>
	</tr>
	<tr class="plain">
		<td class="label"><fmt:message key="addsip.calllimit"/></td>
		<td class="query">${call_limit}<c:if test="${empty call_limit}"><fmt:message key="addsip.none"/></c:if></td>
	</tr>
</table>
<br/>
<br/>

<form method="post" action="delSipChannel.jsp" name="deleteForm" target="_self">
	<input type="hidden" name="id"/>
	<input type="hidden" name="rows" value="25"/>
</form>

<form method="post" action="addSipChannel.jsp" name="editForm" target="_self">
	<input type="hidden" name="mode"/>
	<input type="hidden" name="id"/>
	<table class="query">
		<tr class="plain">
			<td class="query" colspan="3">
				<fmt:message key="listsip.edit" var="edit"/>
				<input class="boton" type="button" value="${edit}" align="middle" onClick="javascript:edit('${name}')"/>
				&nbsp;&nbsp;
				<fmt:message key="listsip.delete" var="delete"/>
				<fmt:message key="listsip.delete.question" var="question"/>
				<input class="boton" type="button" value="${delete}" align="middle" onClick="javascript:del('${name}','${question}')"/>
				<c:set var="edit" value=""/>
				<c:set var="delete" value=""/>
				<c:set var="question" value=""/>
			</td>
		</tr>
	</table>	
</form>