<h2><fmt:message key="extension.list.title"/></h2>
<form method="get" action="listExtensions.jsp" target="_self">
	<table class="query">
		<tr class="plain">
			<td class="label"><fmt:message key="extension.list.range"/>:</td>
		  	<td class="query" colspan="2">
		    	<table>
		      		<tr class="plain">
						<td class="query"><fmt:message key="extension.list.gt"/></td>
						<td class="query"><input type="text" size="5" name="extGt"/></td>
						<td class="query"/>
						<td class="query"><fmt:message key="extension.list.lt"/></td>
						<td class="query"><input type="text" size="5" name="extLt"/></td>
						<td class="query"/>
					</tr>
				</table>
			</td>
		</tr>
		<tr class="plain">
			<td class="label"><fmt:message key="extension.data.info"/>:</td>
			<td class="query"><input type="text" size="35" name="info"/></td>
			<td class="query">
				<select name="infoType">
					<option value="1"><fmt:message key="extension.list.equal"/></option>
					<option value="2" selected="selected"><fmt:message key="extension.list.contain"/></option>
					<option value="3" ><fmt:message key="extension.list.startwith"/></option>
					<option value="4" ><fmt:message key="extension.list.endwith"/></option>
				</select> 
			</td>
		</tr>
		<tr class="plain">
			<td class="label"><fmt:message key="extension.data.protocol"/>:</td>
			<td class="query">
				<select name="protocol">
					<option value="all" selected="selected"><fmt:message key="all.male"/></option>
					<option value="zap"><fmt:message key="extension.data.zaptel"/></option>
					<option value="sip">SIP</option>
					<option value="iax2">IAX</option>
					<option value="h323">H.323</option>
					<option value="mgcp">MGCP</option>
				</select>
			</td>
			<td class="query"/>
		</tr>
		<tr class="plain">
			<td class="label"><fmt:message key="extension.data.vpbx"/>:</td>
			<td class="query">
				<c:choose>
					<c:when test="${sessionScope.asterisk12}">
						<sql:query var="rs" dataSource="jdbc/ipcontact">
							SELECT name, number FROM vpbxs
						</sql:query>
					</c:when>
					<c:otherwise>
						<sql:query var="rs" dataSource="jdbc/ipcontact">
							SELECT name, number FROM vpbx
						</sql:query>
					</c:otherwise>
				</c:choose>
				<select name="vpbx">
					<option value="all" selected="selected"><fmt:message key="all.female"/></option>
					<c:forEach var="row" items="${rs.rows}">
						<option value="${row.number}">${row.name}</option>
					</c:forEach>
				</select>
			</td>
			<td class="query"/>
		</tr>
		<tr class="plain">
			<td class="label"><fmt:message key="extension.list.results"/>:</td>
			<td class="query">
				<input type="radio" name="rows" value="10"/><label>10</label>
				<input type="radio" name="rows" value="25" checked="checked"/><label>25</label>
				<input type="radio" name="rows" value="50"/><label>50</label>
			</td>
			<td class="query"/>
		</tr>
		<tr class="plain">
			<td class="query" colspan="3">
				<fmt:message key="extension.list.submit" var="submit"/>
				<input class="boton" type="submit" name="submit" value="${submit}"/>
				<c:set var="submit" value=""/>
			</td>
		</tr>
	</table>
</form>
