<h2><fmt:message key="extension.view.title"/> ${extension}:</h2>
  <h3><fmt:message key="extension.data.title"/></h3>
  <table class="query">
		<tr class="plain">
			<td class="label"><fmt:message key="extension.data.info"/>: </td>
			<td class="query">${info}</td>
		</tr>
		<tr class="plain">
			<td class="label"><fmt:message key="extension.data.channel"/>: </td>
			<td class="query">
			  <c:choose>
					<c:when test="${protocol eq \"zap\"}">ZAP - </c:when>
					<c:when test="${protocol eq \"sip\"}">SIP - </c:when>
					<c:when test="${protocol eq \"oh323\"}">H323 - </c:when>
					<c:when test="${protocol eq \"iax\"}">IAX - </c:when>
					<c:when test="${protocol eq \"mgcp\"}">MGCP - </c:when>
			  </c:choose>
			  <c:choose>
			    <c:when test="${protocol eq \"zap\"}">
					  ${superchannel}
				</c:when>
			    <c:when test="${protocol eq \"sip\"}">
				  ${superchannel}<c:if test="${not empty subchannel}">/${subchannel}</c:if>
				</c:when>
				<c:otherwise>
				  ${superchannel}
				</c:otherwise>
			  </c:choose>
			</td>
		</tr>
		<tr class="plain">
			 <c:choose>
				 <c:when test="${sessionScope.asterisk12}">
					 <sql:query var="rs" dataSource="jdbc/ipcontact">
						 SELECT name FROM vpbxs WHERE number = ${vpbx}
					 </sql:query>
				 </c:when>
				 <c:otherwise>
					 <sql:query var="rs" dataSource="jdbc/ipcontact">
						 SELECT name FROM vpbx WHERE number = ${vpbx}
					 </sql:query>
				 </c:otherwise>
			 </c:choose>
			 <c:set var="vpbx_name" value="${rs.rows[0].name}"/>
			 <td class="label"><fmt:message key="extension.data.vpbx"/>: </td>
			 <td class="query">${vpbx} - ${vpbx_name}</td>
		</tr>
		<tr class="plain">
			<td class="label"><fmt:message key="extension.data.monitor"/>: </td>
			<td class="query">
			  <c:choose>
				  <c:when test="${monitor}"> <fmt:message key="extension.yes"/></c:when>
					<c:otherwise> <fmt:message key="extension.no"/></c:otherwise>	
			  </c:choose>
			</td>
		<c:if test="${!(sessionScope.asterisk12)}">
			<tr class="plain">
				<td class="label"><fmt:message key="extension.data.fwmcellular"/>: </td>
				<td class="query"> ${fwmcellular} </td>
			</tr>
		</c:if>
		</table>
		<c:if test="${!(sessionScope.asterisk12)}">
	    	<h3><fmt:message key="extension.time.title"/></h3>
	    	<c:choose>
		 		<c:when test="${empty fwmcellular}">
			 		<table class="query">
				 		<tr class="plain">
					 		<td class="label"><fmt:message key="extension.time.unassigned"/></td>
				 		</tr>
			 		</table>
				</c:when>
				<c:otherwise>
	       			<table class="query">
	    				<tr class="plain">
		    				<c:set var="data" value="${fn:split(time_follow, ',')}"/>
		    				<c:set var="time" value="${fn:split(data[0], '-')}"/>
							<td class="label"><fmt:message key="extension.time.startime"/>: </td>
							<td class="query">${time[0]}</td>
						</tr>
						<tr class="plain">
							<td class="label"><fmt:message key="extension.time.endtime"/>: </td>
							<td class="query">${time[1]}</td>
						</tr>
						<tr class="plain">    
							<td class="label"><fmt:message key="extension.time.date"/>: </td>
		    		<c:choose>
			     		<c:when test="${empty time_follow}">
			     	  	 	<td class="query"></td>
			     	 	</c:when>
			     	 	<c:otherwise>	    
							<c:if test="${data[1] eq \"mon-fri\"}">
              					<td><fmt:message key="extension.time.monfri"/></td>
							</c:if>
							<c:if test="${data[1] eq \"mon-sat\"}">
             					<td><fmt:message key="extension.time.monsat"/></td>
							</c:if>
							<c:if test="${data[1] eq \"mon-sun\"}">
              					<td><fmt:message key="extension.time.monsun"/></td>
							</c:if>
							<c:if test="${data[1] eq \"sat-sun\"}">
              					<td><fmt:message key="extension.time.satsun"/></td>
		    				</c:if>   	    	
		    			</c:otherwise>		
		    		</c:choose>		
    				</tr>
				</table>
				</c:otherwise>	
			</c:choose>
			<h3><fmt:message key="extension.timecell.title"/></h3>
	    	<c:choose>
		 		<c:when test="${empty fwmcellular}">
			 		<table class="query">
				 		<tr class="plain">
					 		<td class="label"><fmt:message key="extension.timecell.unassigned"/></td>
				 		</tr>
			 		</table>
				</c:when>
				<c:otherwise>
	       			<table class="query">
	    				<tr class="plain">
		    				<c:set var="datacell" value="${fn:split(time_cell, ',')}"/>
		    				<c:set var="timecell" value="${fn:split(datacell[0], '-')}"/>
							<td class="label"><fmt:message key="extension.timecell.startime"/>: </td>
							<td class="query">${timecell[0]}</td>
						</tr>
						<tr class="plain">
							<td class="label"><fmt:message key="extension.timecell.endtime"/>: </td>
							<td class="query">${timecell[1]}</td>
						</tr>
						<tr class="plain">    
							<td class="label"><fmt:message key="extension.timecell.date"/>: </td>
		    		<c:choose>
			     		<c:when test="${empty time_cell}">
			     	  	 	<td class="query"></td>
			     	 	</c:when>
			     	 	<c:otherwise>	    
							<c:if test="${datacell[1] eq \"mon-fri\"}">
              					<td><fmt:message key="extension.timecell.monfri"/></td>
							</c:if>
							<c:if test="${datacell[1] eq \"mon-sat\"}">
             					<td><fmt:message key="extension.timecell.monsat"/></td>
							</c:if>
							<c:if test="${datacell[1] eq \"mon-sun\"}">
              					<td><fmt:message key="extension.timecell.monsun"/></td>
							</c:if>
							<c:if test="${datacell[1] eq \"sat-sun\"}">
              					<td><fmt:message key="extension.timecell.satsun"/></td>
		    				</c:if>   	    	
		    			</c:otherwise>		
		    		</c:choose>		
    				</tr>
				</table>
				</c:otherwise>	
			</c:choose>
	</c:if>
	<h3><fmt:message key="extension.perm.title"/></h3>
	<table class="query">
		<tr class="plain">
			<td class="label"><fmt:message key="extension.perm.permission"/>: </td>
			<td class="query">
				<c:set var="permisos" value=""/>
				<c:if test="${local}">
				  <fmt:message key="extension.perm.local"/>
				  <c:set var="permisos" value="1"/>
				</c:if>
				<c:if test="${national}">
				  <c:if test="${not empty permisos}">,</c:if>
				  <fmt:message key="extension.perm.national"/>
				  <c:set var="permisos" value="1"/>
				</c:if>
				<c:if test="${cellular}">
				  <c:if test="${not empty permisos}">,</c:if>
				  <fmt:message key="extension.perm.cellular"/>
				  <c:set var="permisos" value="1"/>
				</c:if>
				<c:if test="${inter}">
				  <c:if test="${not empty permisos}">,</c:if>
				  <fmt:message key="extension.perm.inter"/>
				  <c:set var="permisos" value="1"/>
				</c:if>
				<c:if test="${empty permisos}">
				  <fmt:message key="extension.no"/>
				</c:if>
			</td>
		</tr>
		<tr class="plain">
			 <td class="label"><fmt:message key="extension.perm.pin"/>: </td>
			 <td class="query">
				 <c:choose>
					 <c:when test="${empty pin}">-</c:when>
					 <c:otherwise>${pin}</c:otherwise>	
				 </c:choose>
			 </td>
		</tr>
		<tr class="plain">
			 <td class="label"><fmt:message key="extension.perm.agent"/>: </td>
			 <td class="query">
			    <c:choose>
				<c:when test="${agent_needed}"> <fmt:message key="extension.yes"/></c:when>
				<c:otherwise> <fmt:message key="extension.no"/></c:otherwise>	
			    </c:choose>
			 </td>
		</tr>
	</table>
	

	<h3><fmt:message key="extension.vm.title"/></h3>

	<c:choose>
		 <c:when test="${empty voicemail}">
			 <table class="query">
				 <tr class="plain">
					 <td class="label"><fmt:message key="extension.vm.unassigned"/></td>
				 </tr>
			 </table>
		 </c:when>
		<c:otherwise>
		  <table class="query">
			   <tr class="plain">
				   <td class="label"><fmt:message key="extension.vm.account"/>: </td>
				   <td class="query">${voicemail}</td>
			   </tr>
			   <tr class="plain">
				   <td class="label"><fmt:message key="extension.vm.password"/>: </td>
				   <td class="query">
					   <c:choose>
						   <c:when test="${not empty password}">${password}</c:when>
						   <c:otherwise> - </c:otherwise>	
					   </c:choose>
				   </td>
			   </tr>	
			   <tr class="plain">
				   <td class="label"><fmt:message key="extension.vm.email"/></td>
				   <td class="query">
					   <c:choose>
						   <c:when test="${not empty email}">${email}</c:when>
						   <c:otherwise> - </c:otherwise>	
					   </c:choose>
				   </td>
			   </tr>			
			   <tr class="plain">
				   <td class="label"><fmt:message key="extension.vm.attach"/></td>
				   <td class="query">
					   <c:choose>
						   <c:when test="${attach eq \"yes\"}"> <fmt:message key="extension.yes"/> </c:when>
						   <c:otherwise> <fmt:message key="extension.no"/> </c:otherwise>
					   </c:choose>
				   </td>
			   </tr>			
			   <tr class="plain">
				   <td class="label"><fmt:message key="extension.vm.enabled"/></td>
				   <td class="query">
					   <c:choose>
						   <c:when test="${vm_flag}"> <fmt:message key="extension.yes"/> </c:when>
						   <c:otherwise> <fmt:message key="extension.no"/> </c:otherwise>	
					   </c:choose>
				   </td>
			   </tr>			
			</table>
		</c:otherwise>	
	</c:choose>			
	
	<br/>
	<br/>

	<form method="post" action="delExtension.jsp" name="deleteForm" target="_self">
		<input type="hidden" name="id"/>
		<input type="hidden" name="protocol" value="all"/>
		<input type="hidden" name="vpbx" value="${vpbx}"/>
	</form>
	<form method="post" action="addExtension.jsp" name="editForm" target="_self">
		<input type="hidden" name="mode"/>
		<input type="hidden" name="id"/>
	  	<table class="query">
			<tr class="plain">
				<td class="query" colspan="3">
					<fmt:message key="extension.edit" var="edit"/>
					<input class="boton" type="button" value="${edit}" align="middle"
						onClick="javascript:edit('${extension}')"/>
				  	&nbsp;&nbsp; 
				  	<c:set var="edit" value=""/>
				  	<fmt:message key="extension.delete" var="delete"/>
				  	<fmt:message key="extension.delete.question" var="question"/>
				  	<input class="boton" type="button" value="${delete}" align="middle" 
						onClick="javascript:del('${extension}','${question}')"/>
					<c:set var="delete" value=""/>
					<c:set var="question" value=""/>
			  	</td>
		  	</tr>
	  	</table>	
	</form>