<h2><fmt:message key="fees.view.title"/>: ${name}</h2>
	<table class="query">
		<tr class="plain">
			<td class="label"><fmt:message key="fees.name"/>: </td>
			<td class="query">${name}</td>
		</tr>
		<tr class="plain">
			<td class="label"><fmt:message key="fees.expression"/>: </td>
			<td class="query">${expression}</td>
		</tr>
		<tr class="plain">
			<td class="label"><fmt:message key="fees.usetime"/></td>
			<td class="query">
			<c:choose>
				<c:when test="${usetime}"><fmt:message key="fees.yes"/></c:when>
				<c:otherwise><fmt:message key="fees.no"/></c:otherwise>	
			</c:choose>
			</td>
		</tr>
		<tr class="plain">
			<td class="label"><fmt:message key="fees.starttime"/>: </td>
			<td class="query">${start_hours}:${start_minutes}</td>
		</tr>
		<tr class="plain">
			<td class="label"><fmt:message key="fees.endtime"/>: </td>
			<td class="query">${end_hours}:${end_minutes}</td>
		</tr>
		<tr class="plain">
			<td class="label"><fmt:message key="fees.usedate"/></td>
			<td class="query">
			<c:choose>
				<c:when test="${usedate}"><fmt:message key="fees.yes"/></c:when>
				<c:otherwise><fmt:message key="fees.no"/></c:otherwise>	
			</c:choose>
			</td>
		</tr>
		<tr class="plain">
			<td class="label"><fmt:message key="fees.startdate"/>: </td>
			<td class="query">${start_date}</td>
		</tr>
		<tr class="plain">
			<td class="label"><fmt:message key="fees.enddate"/>: </td>
			<td class="query">${end_date}</td>
		</tr>
		<tr class="plain">
			<td class="label"><fmt:message key="fees.useday"/></td>
			<td class="query">
			<c:choose>
				<c:when test="${useday}"><fmt:message key="fees.yes"/></c:when>
				<c:otherwise><fmt:message key="fees.no"/></c:otherwise>	
			</c:choose>
			</td>
		</tr>
		<tr class="plain">
			<td class="label"><fmt:message key="fees.days"/>: </td>
			<td class="query">
			    <c:choose>
				<c:when test="${empty days}">
					<c:set var="str_days" value=""/>
				</c:when>
				<c:otherwise>
				    <c:forEach items="${fn:split(days, ',')}" var="day" varStatus="status">
					<c:choose>
					    <c:when test="${day eq '1'}">
						<fmt:message key="fees.sunday" var="day2"/>
					    </c:when>
					    <c:when test="${day eq '2'}">
						<fmt:message key="fees.monday" var="day2"/>
					    </c:when>
					    <c:when test="${day eq '3'}">
						<fmt:message key="fees.tuesday" var="day2"/>
					    </c:when>
					    <c:when test="${day eq '4'}">
						<fmt:message key="fees.wednesday" var="day2"/>
					    </c:when>
					    <c:when test="${day eq '5'}">
						<fmt:message key="fees.thursday" var="day2"/>
					    </c:when>
					    <c:when test="${day eq '6'}">
						<fmt:message key="fees.friday" var="day2"/>
					    </c:when>
					    <c:when test="${day eq '7'}">
						<fmt:message key="fees.saturday" var="day2"/>
					    </c:when>
					</c:choose>
					<c:choose>
					    <c:when test="${status.first}">
						<c:set var="str_days" value="${day2}"/>
					    </c:when>
					    <c:otherwise>
						<c:set var="str_days" value="${str_days}, ${day2}"/>
					    </c:otherwise>
					</c:choose>
				    </c:forEach>
				</c:otherwise>
			    </c:choose>
			    ${str_days}
			</td>
		</tr>
		<tr class="plain">
			<td class="label"><fmt:message key="fees.price"/>: </td>
			<td class="query">${price}</td>
		</tr>
		<tr class="plain">
			<td class="label"><fmt:message key="fees.fraction"/>: </td>
			<td class="query">${fraction}</td>
		</tr>
	</table>
	
	<br/>
	<br/>

	<form method="post" action="delFee.jsp" name="deleteForm" target="_self">
		<input type="hidden" name="id"/>
		<input type="hidden" name="rows" value="25"/>
	</form>
  	<form method="post" action="addFee.jsp" name="editForm" target="_self">
		<input type="hidden" name="mode"/>
		<input type="hidden" name="id"/>
		<input type="hidden" name="rows" value="25"/>
	<table class="query">
		<tr class="plain">
			<td class="query" colspan="3">
				<fmt:message key="fees.edit" var="edit"/>
				<input class="boton" type="button" value="${edit}" align="middle"
					onClick="javascript:edit('${name}')"/>
				&nbsp;&nbsp; 
				<fmt:message key="fees.delete" var="delete"/>
				<fmt:message key="fees.delete.question" var="question"/>
				<input class="boton" type="button" value="${delete}" align="middle" 
					onClick="javascript:del('${name}','${question}')"/>
			</td>
		</tr>
	</table>	
</form>
