<form method="get" action="listGroupsQueue.jsp" name="jumpForm">
	<input type="hidden" name="groupqueue_name" value="${param.groupqueue_name}"/>
	<input type="hidden" name="groupqueueType" value="${param.groupqueueType}"/>
	<input type="hidden" name="offset" value=""/>
	<input type="hidden" name="rows" value="${param.rows}"/>	
</form>

<form method="post" action="delGroupQueue.jsp" name="deleteForm" target="_self">
	<input type="hidden" name="id"/>
	<input type="hidden" name="groupqueue_name" value="${param.groupqueue_name}"/>
	<input type="hidden" name="groupqueueType" value="${param.groupqueueType}"/>
	<input type="hidden" name="offset" value="${offset}"/>
	<input type="hidden" name="rows" value="${param.rows}"/>	
</form>

<form method="post" action="addGroupQueue.jsp" name="editForm" target="_self">
	<input type="hidden" name="mode"/>
	<input type="hidden" name="id"/>
</form>

<c:if test="${not empty sessionScope.message}">
	<c:if test="${sessionScope.messageType eq \"error\"}">
		<c:set var="class" value="error"/>
	</c:if>
	<c:if test="${sessionScope.messageType eq \"ok\"}">
		<c:set var="class" value="ok"/>
	</c:if>
	<div class="${class}">
		${sessionScope.message}
	</div>
	<c:set var="message" value="" scope="session"/>
</c:if>

<h2><fmt:message key='group.queue.title'/></h2>

<table class="data">	
	<tr class="tit">
		<th><fmt:message key='group.data.groupqueue'/></th>
		<th/>
		<th/>
	</tr>

	<c:forEach var="row" varStatus="stat" items="${rs.rows}">
		<c:choose>
			<c:when test="${stat.count % 2 == 0}">
				<tr class="even">
			</c:when>
			<c:otherwise>
				<tr class="odd">
			</c:otherwise>
		</c:choose>	
		<td class="data"><a class="link" href="javascript:view('${row.groupqueue_name}')">${row.groupqueue_name}</a></td>
		<c:if test='${sessionScope.role eq "admin"}'>
			<td class="data">
				<a class='link' href='javascript:edit("${row.groupqueue_name}")'><fmt:message key='group.edit'/></a>
			</td>
			<td class="data">
				<a class='link' href='javascript:del("${row.groupqueue_name}", "<fmt:message key='group.delete.question'/>")'><fmt:message key='group.delete'/></a>
			</td>
		</c:if>
	</tr>
	</c:forEach>
	<c:if test="${rs.rowCount eq \"0\"}">
		<tr class="odd">
			<td class="data" colspan="4"><fmt:message key="group.empty"/></td>
		</tr>
	</c:if>
</table>

<util:jump offset='${offset}' rows='${param.rows}' nextOffset='${nextOffset}'/>