<form method="get" action="listLines.jsp" name="jumpForm">
	<input type="hidden" name="numGt" value="${param.numGt}"/>
	<input type="hidden" name="numLt" value="${param.numLt}"/>
	<input type="hidden" name="info" value="${param.info}"/>
	<input type="hidden" name="infoType" value="${param.infoType}"/>
	<input type="hidden" name="protocol" value="${param.protocol}"/>
	<input type="hidden" name="huntGroup" value="${param.huntGroup}"/>
	<input type="hidden" name="offset" value=""/>
	<input type="hidden" name="rows" value="${param.rows}"/>	
</form>

<form method="post" action="delLine.jsp" name="deleteForm" target="_self">
	<input type="hidden" name="id"/>
	<input type="hidden" name="numGt" value="${param.numGt}"/>
	<input type="hidden" name="numLt" value="${param.numLt}"/>
	<input type="hidden" name="info" value="${param.info}"/>
	<input type="hidden" name="infoType" value="${param.infoType}"/>
	<input type="hidden" name="protocol" value="${param.protocol}"/>
	<input type="hidden" name="huntGroup" value="${param.huntGroup}"/>
	<input type="hidden" name="offset" value="${offset}"/>
	<input type="hidden" name="rows" value="${param.rows}"/>	
</form>

<form method="post" action="addLine.jsp" name="editForm" target="_self">
	<input type="hidden" name="mode"/>
	<input type="hidden" name="id"/>
</form>

<c:if test="${not empty sessionScope.message}">
	<c:if test="${sessionScope.messageType eq \"error\"}">
		<c:set var="class" value="error"/>
	</c:if>
	<c:if test="${sessionScope.messageType eq \"ok\"}">
		<c:set var="class" value="ok"/>
	</c:if>
	<div class="${class}">
		${sessionScope.message}
	</div>
	<c:set var="message" value="" scope="session"/>
</c:if>

<h2><fmt:message key="pstn.list.title"/></h2>

<table class="data">	
	<tr class="tit">
		<th><fmt:message key="pstn.data.number"/></th>
		<th><fmt:message key="pstn.data.protocol"/></th>
		<th><fmt:message key="pstn.data.lineprefix"/></th>
		<th><fmt:message key="pstn.data.linepostfix"/></th>
		<th><fmt:message key="pstn.data.inboundprefix"/></th>
		<th><fmt:message key="pstn.data.huntgroup"/></th>
		<th><fmt:message key="pstn.data.size"/></th>
		<th><fmt:message key="pstn.data.info"/></th>
		<th/>
		<th/>
	</tr>

	<c:forEach var="row" varStatus="stat" items="${rs.rows}">
		<c:choose>
			<c:when test="${stat.count % 2 == 0}">
				<tr class="even">
			</c:when>
			<c:otherwise>
				<tr class="odd">
			</c:otherwise>
		</c:choose>	
		<td class="data"><a class="link" href="javascript:view('${row.number}')">${row.number}</a></td>
		<td class="data">${row.protocol}</td>	
		<td class="data">${row.line_prefix}</td>	
		<td class="data">${row.line_postfix}<c:if test="${empty row.line_postfix}"> - </c:if></td>
		<td class="data">${row.inbound_prefix}<c:if test="${empty row.inbound_prefix}"> - </c:if></td>
		<td class="data">${row.hunt_group}<c:if test="${empty row.hunt_group}"> - </c:if></td>
		<td class="data">${row.size}</td>
		<td class="data">${row.info}</td>	
		<c:if test="${sessionScope.role eq \"admin\"}">
			<td class="data">
				<a class="link" href="javascript:edit('${row.number}')"><fmt:message key="pstn.edit"/></a>
			</td>
			<td class="data">
				<fmt:message key="pstn.delete.question" var="question"/>
				<a class="link" href="javascript:del('${row.number}', '${question}')"><fmt:message key="pstn.delete"/></a>
			</td>
		</c:if>
	</tr>
	</c:forEach>
	<c:if test="${rs.rowCount eq \"0\"}">
		<tr class="even">
			<td class="data" colspan="10">
				<fmt:message key="pstn.empty"/>
			</td>
		</tr>
	</c:if>
</table>

<util:jump offset="${offset}" rows="${param.rows}" nextOffset="${nextOffset}"/>