<h2><fmt:message key="pstn.view.title"/> ${number}</h2>
<table class="query">
	<tr class="plain">
		<td class="label"><fmt:message key="pstn.data.number"/></td>
		<c:if test="${empty number}"><fmt:message key="pstn.none"/></c:if>
		<td class="query">${number}</td>
	</tr>
	<tr class="plain">
		<td class="label"><fmt:message key="pstn.data.protocol"/></td>
		<td class="query">${protocol}<c:if test="${empty protocol}"><fmt:message key="pstn.none"/></c:if></td>
	</tr>
	<tr class="plain">
		<td class="label"><fmt:message key="pstn.data.lineprefix"/></td>
		<td class="query">${line_prefix}<c:if test="${empty line_prefix}"><fmt:message key="pstn.none"/></c:if></td>
	</tr>
	<tr class="plain">
		<td class="label"><fmt:message key="pstn.data.linepostfix"/></td>
		<td class="query">${line_postfix}<c:if test="${empty line_postfix}"><fmt:message key="pstn.none"/></c:if></td>
	</tr>
	<tr class="plain">
		<td class="label"><fmt:message key="pstn.data.inboundprefix"/></td>
		<td class="query">${inbound_prefix}<c:if test="${empty inbound_prefix}"><fmt:message key="pstn.none"/></c:if></td>
	</tr>
	<tr class="plain">
		<td class="label"><fmt:message key="pstn.data.huntgroup"/></td>
		<td class="query">${hunt_group}<c:if test="${empty hunt_group}"><fmt:message key="pstn.none"/></c:if></td>
	</tr>
	<tr class="plain">
		<td class="label"><fmt:message key="pstn.data.size"/></td>
		<td class="query">${size}<c:if test="${empty size}"><fmt:message key="pstn.none"/></c:if></td>
	</tr>
	<tr class="plain">
		<td class="label"><fmt:message key="pstn.data.info"/></td>
		<td class="query">${info}<c:if test="${empty info}"><fmt:message key="pstn.none"/></c:if></td>
	</tr>
	<c:if test="${sessionScope.asterisk12}">
		<tr class="plain">
			<td class="label"><fmt:message key="pstn.data.faxenabled"/></td>
			<td class="query">
				<c:if test="${fax_enabled eq \"true\"}">
					<fmt:message key="pstn.yes"/>
				</c:if>
				<c:if test="${fax_enabled eq \"false\"}">
					<fmt:message key="pstn.no"/>
				</c:if>
				<c:if test="${empty fax_enabled}">
					-
				</c:if>
			</td>
		</tr>
	</c:if>
	<tr class="plain">
		<td class="label"><fmt:message key="pstn.data.enabled"/></td>
		<td class="query">
			<c:if test="${enabled eq \"true\"}">
				<fmt:message key="pstn.yes"/>
			</c:if>
			<c:if test="${enabled eq \"false\"}">
				<fmt:message key="pstn.no"/>
			</c:if>
			<c:if test="${empty enabled}">
				-
			</c:if>
		</td>
	</tr>
</table>
<br/>
<br/>

<form method="post" action="delLine.jsp" name="deleteForm" target="_self">
	<input type="hidden" name="id"/>
	<input type="hidden" name="protocol" value="all"/>
	<input type="hidden" name="rows" value="25"/>
</form>

<form method="post" action="addLine.jsp" name="editForm" target="_self">
	<input type="hidden" name="mode"/>
	<input type="hidden" name="id"/>
	<table class="query">
		<tr class="plain">
			<td class="query" colspan="3">
				<c:choose>
					<c:when test="${not empty number}">
						<fmt:message key="pstn.edit" var="submit"/>
					</c:when>
					<c:otherwise>
						<fmt:message key="pstn.data.submit" var="submit"/>
					</c:otherwise>
				</c:choose>
				<input class="boton" type="button" value="${submit}" align="middle" onClick="javascript:edit('${number}')"/>
				&nbsp;&nbsp; 
				<fmt:message key="pstn.delete" var="delete"/>
				<fmt:message key="pstn.delete.question" var="question"/>
				<input class="boton" type="button" value="${delete}" align="middle" onClick="javascript:del('${number}','${question}')"/>
				<c:set var="submit" value=""/>
				<c:set var="delete" value=""/>
				<c:set var="questino" value=""/>
			</td>
		</tr>
	</table>	
</form>