<%pageContext.setAttribute("path","../");%>
<%@ include file="../menu.jsp" %>

<div id="right">
	<fmt:bundle basename="users">
		<c:choose>
			<c:when test="${not empty param.mode}">
			  <c:set var="mode" value="${param.mode}"/>
			</c:when>
			<c:otherwise>
				<c:choose>
					<c:when test="${not empty sessionScope.mode}">
		        		<c:set var="mode" value="${sessionScope.mode}"/>
					</c:when>
					<c:otherwise>
						<c:set var="mode" value="edit"/>
					</c:otherwise>
				</c:choose>
			</c:otherwise>
		</c:choose>
		<c:set var="mode" value="" scope="session"/>


		<sql:query var="rs_groups" dataSource="jdbc/ipcontact">
			SELECT group_id, group_name
			FROM groups;
		</sql:query>
	
		<c:choose>
			<c:when test="${not empty param.id}">
				<c:choose>
					<c:when test="${sessionScope.asterisk12}">
						<sql:query var="rs" dataSource="jdbc/ipcontact">			
							SELECT users.username AS username, users.password AS password, role, first_name, last_name, group_id, user_notes, 
							agents.user AS agent, pin, authcalls.enabled AS enabled, local, national, cellular, inter, disabled 
							FROM users 
							LEFT JOIN agents ON user = users.username	
							LEFT JOIN authcalls ON users.username = authcalls.username
							WHERE users.username = '${param.id}'
						</sql:query>
					</c:when>
					<c:otherwise>
						<sql:query var="rs" dataSource="jdbc/ipcontact">			
							SELECT users.username AS username, users.password AS password, role, first_name, last_name, group_id, user_notes, 
							agents.user AS agent, pin, authcalls.enabled AS enabled, local, longdist as national, cellular, inter,
							disabled
							FROM users 
							LEFT JOIN agents ON user = users.username	
							LEFT JOIN authcalls ON users.username = authcalls.username
							WHERE users.username = '${param.id}'
						</sql:query>
					</c:otherwise>
				</c:choose>
				<c:set var="username" value="${rs.rows[0].username}"/>
				<c:set var="password" value="${rs.rows[0].password}"/>
				<c:set var="repassword" value="${rs.rows[0].password}"/>
				<c:set var="role" value="${rs.rows[0].role}"/>
				<c:set var="first_name" value="${rs.rows[0].first_name}"/>
				<c:set var="last_name" value="${rs.rows[0].last_name}"/>
				<c:set var="group_id" value="${rs.rows[0].group_id}"/>
				<c:set var="agent" value="${rs.rows[0].agent}"/>
				<c:set var="calls_pass" value="${rs.rows[0].pin}"/>
				<c:set var="enabled" value="${rs.rows[0].enabled}"/>
				<c:set var="user_notes" value="${rs.rows[0].user_notes}"/>
				<c:set var="local" value="${rs.rows[0].local}"/>
				<c:set var="national" value="${rs.rows[0].national}"/>
				<c:set var="cellular" value="${rs.rows[0].cellular}"/>
				<c:set var="inter" value="${rs.rows[0].inter}"/>
				<c:set var="disabled" value="${rs.rows[0].disabled}"/>
			</c:when>
			<c:otherwise>
				<c:set var="username" value=""/>
				<c:set var="password" value=""/>
				<c:set var="repassword" value=""/>
				<c:set var="role" value=""/>
				<c:set var="first_name" value=""/>
				<c:set var="last_name" value=""/>
				<c:set var="group_id" value="1"/>
				<c:set var="agent" value=""/>
				<c:set var="calls_pass" value=""/>
				<c:set var="enabled" value=""/>
				<c:set var="user_notes" value=""/>
				<c:set var="local" value=""/>
				<c:set var="national" value=""/>
				<c:set var="cellular" value=""/>
				<c:set var="inter" value=""/>
				<c:set var="disabled" value=""/>
			</c:otherwise>
		</c:choose>

		<c:if test="${not empty sessionScope.message}">
			<c:choose>
				<c:when test="${sessionScope.messageType eq \"error\"}">
					<c:set var="class" value="error"/>
				</c:when>
				<c:otherwise>
					<c:set var="class" value="ok"/>
				</c:otherwise>
			</c:choose>
			<div class="${class}">
				<fmt:message key="${sessionScope.message}"/>
				<c:if test="${sessionScope.message eq \"user.error.generic\"}">
					${sessionScope.error}
				</c:if>
			</div>
			<c:set var="message" value="" scope="session"/>
		</c:if>
		
		<c:choose>
			<c:when test="${mode eq \"edit\"}">
			  <%@ include file="../ui/users/edit.jsp" %>
			</c:when>
			<c:when test="${mode eq \"view\"}">
			  <%@ include file="../ui/users/view.jsp" %>
			</c:when>
			<c:otherwise>
			  <%@ include file="../ui/users/view.jsp" %>
			</c:otherwise>
		</c:choose>
	</fmt:bundle>
</div>
</body>
</html>
