<%pageContext.setAttribute("path","../");%>
<%@ include file="../menu.jsp" %>

<div id="right">
	<fmt:bundle basename="vpbx">
		<c:choose>
			<c:when test="${not empty param.mode}">
			  <c:set var="mode" value="${param.mode}"/>
			</c:when>
			<c:otherwise>
				<c:choose>
					<c:when test="${not empty sessionScope.mode}">
		        		<c:set var="mode" value="${sessionScope.mode}"/>
					</c:when>
					<c:otherwise>
						<c:set var="mode" value="edit"/>
					</c:otherwise>
				</c:choose>
			</c:otherwise>
		</c:choose>
		<c:set var="mode" value="" scope="session"/>

		<c:choose>
			<c:when test="${not empty param.id}">
				<c:choose>
					<c:when test="${sessionScope.asterisk12}">
						<sql:query var="rs" dataSource="jdbc/ipcontact">
							SELECT number, phone_number, name, family, mainmenu, operator, dial_opts_local, dial_opts_extern, dial_opts_return, vm_select_local, vm_select_extern
							FROM vpbxs
							WHERE number = '${param.id}'
						</sql:query>
					</c:when>
					<c:otherwise>
						<sql:query var="rs" dataSource="jdbc/ipcontact">
							SELECT number, phone AS phone_number, name, family, mainmenu, operator, dialoptsloc AS dial_opts_local, dialoptsext AS dial_opts_extern, dialoptsret AS dial_opts_return, vmslocal AS vm_select_local, vmsincoming AS vm_select_extern
							FROM vpbx
							WHERE number = '${param.id}'
						</sql:query>
					</c:otherwise>
				</c:choose>
				<c:set var="number" value="${rs.rows[0].number}"/>
				<c:set var="phone_number" value="${rs.rows[0].phone_number}"/>
				<c:set var="name" value="${rs.rows[0].name}"/>
				<c:set var="family" value="${rs.rows[0].family}"/>
				<c:set var="mainmenu" value="${rs.rows[0].mainmenu}"/>
				<c:set var="operator" value="${rs.rows[0].operator}"/>
				<c:set var="dial_opts_local" value="${rs.rows[0].dial_opts_local}"/>
				<c:set var="dial_opts_extern" value="${rs.rows[0].dial_opts_extern}"/>
				<c:set var="dial_opts_return" value="${rs.rows[0].dial_opts_return}"/>
				<c:set var="vm_select_local" value="${rs.rows[0].vm_select_local}"/>
				<c:set var="vm_select_extern" value="${rs.rows[0].vm_select_extern}"/>
			</c:when>
			<c:otherwise>
				<c:set var="number" value=""/>
				<c:set var="phone_number" value=""/>
				<c:set var="name" value=""/>
				<c:set var="family" value=""/>
				<c:set var="mainmenu" value=""/>
				<c:set var="operator" value=""/>
				<c:set var="dial_opts_local" value=""/>
				<c:set var="dial_opts_extern" value=""/>
				<c:set var="dial_opts_return" value=""/>
				<c:set var="vm_select_local" value=""/>
				<c:set var="vm_select_extern" value=""/>
			</c:otherwise>
		</c:choose>
		
		<c:if test="${not empty sessionScope.message}">
			<c:choose>
				<c:when test="${sessionScope.messageType eq \"error\"}">
					<c:set var="class" value="error"/>
				</c:when>
				<c:otherwise>
					<c:set var="class" value="ok"/>
				</c:otherwise>
			</c:choose>
			<div class="${class}">
				<fmt:message key="${sessionScope.message}"/>
				<c:if test="${sessionScope.message eq \"vpbx.error.generic\"}">
					${sessionScope.error}
				</c:if>
			</div>
			<c:set var="message" value="" scope="session"/>
		</c:if>

		<c:choose>
			<c:when test="${mode eq \"edit\"}">
			  <%@ include file="../ui/vpbx/edit.jsp" %>
			</c:when>
			<c:when test="${mode eq \"view\"}">
			  <%@ include file="../ui/vpbx/view.jsp" %>
			</c:when>
			<c:otherwise>
			  <%@ include file="../ui/vpbx/view.jsp" %>
			</c:otherwise>
		</c:choose>
	</fmt:bundle>
</div>
</body>
</html>
