<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/sql" prefix="sql" %>
<%@ page import="java.util.*" %>
<%@ page import="java.sql.*" %>
<%@ page import="java.io.*" %>
<%@ page import="javax.naming.*" %>
<%@ page import="javax.sql.*" %>


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
<head>
	<title>Detalle de Llamadas en Campaa</title>
	<meta http-equiv="Content-Type" content="text/html; charset=iso8859-1"/>
	<link type="text/css" rel="stylesheet" href="include/style.css"/>
</head>

<body>

<!--  EMPIEZA LA PGINA  -->
<div class="content">

<%	

String [] dateTokens;

String detail, condStr, groupBy;
String query;
String groupValue, optionValue;
TreeMap optionMap = new TreeMap();
TreeMap groupMap = new TreeMap();

Context env;
DataSource pool;
Connection con = null;
Statement sta = null;
ResultSet rs = null;

if (request.getParameter("callDate") != null && !request.getParameter("callDate").equals("")) {
	dateTokens = request.getParameter("callDate").split("/", 3);
	condStr = "WHERE DATE(call_fecha) = '" + dateTokens[2] + "-" 
		+ dateTokens[1] + "-" 
		+ dateTokens[0] + "' ";
} else {
	condStr = "";
}

if (request.getParameter("groupby").equals("hora")) {
	groupBy = "hora";
	query = "SELECT LPAD(HOUR(TIME(call_fecha)),2,'0') AS hora";
}	else {
	groupBy = "agente";
	query = "SELECT agente";
}

if (request.getParameter("detail").equals("llamada")) {
	detail =  "call_result";
	query += ",call_result";
}	else if (request.getParameter("detail").equals("venta")) {
	detail =  "call_venta";
	query += ",call_venta";
}	else if (request.getParameter("detail").equals("contacto")) {
	optionMap.put("0", "Llamada fallida");
	optionMap.put("1", "Se hizo contacto");
	query += ",call_result > 0 AS contacto";
	detail = "contacto";
}	else {
	optionMap.put("1", "Totales");
	query += ",1 AS total";
	detail =  "total";
}

query += ",count(*) AS count"; 
query += " FROM call_eval AS c " + condStr 
		+ " GROUP BY " + groupBy + "," + detail
		+ " ORDER BY " + groupBy ;

try {
	env = new InitialContext();
	pool = (DataSource)env.lookup("java:comp/env/jdbc/callcenterRO");
	con = pool.getConnection();
	sta = con.createStatement();
	
	
	if(detail.equals("call_result") || detail.equals("call_venta")) {
		rs = sta.executeQuery("SELECT id,opcion FROM " + detail + " ORDER BY id");
		while(rs.next()) {
			optionMap.put(rs.getString(1),rs.getString(2));
		}
	}
  
	rs = sta.executeQuery(query);
	
	while (rs.next()) {
		groupValue = rs.getString(1);
		if(!groupMap.containsKey(groupValue)) {
			groupMap.put(groupValue, new HashMap());											
		}
		((HashMap)groupMap.get(groupValue)).put(rs.getString(2),rs.getString(3));
	}
	
} finally {
	try { rs.close();	}	catch (Exception e) {};
	try { sta.close(); } catch (Exception e) {};
	try {	con.close(); } catch (Exception e) {};
}
    

out.println("<h1>Resultados de Campaa por " + groupBy + "</h1>");			
out.println("<h2>Fecha: "+  request.getParameter("callDate") + "</h2>");

//pageContext.setAttribute("optionMap", optionMap);

if(groupMap.isEmpty()) {
	out.println("<div class='warn'>No hay resultados para esta consulta</div>");
} else {
	out.println("<table class='data'>");
	out.println("<tr class='head'>");
	out.println("<th width='5%' class='tit'>" + groupBy + "</th>");
	Iterator it = optionMap.keySet().iterator();
	while (it.hasNext()) {
		optionValue = (String)it.next();
		out.println("<td>" + optionMap.get(optionValue)+"</td>");
	}
	out.println("</tr>");
	Iterator groupIter = groupMap.keySet().iterator();
	String optionCount;
	HashMap optsCounter;
	int pos = 0;
	while (groupIter.hasNext()) {
		pos++;
		groupValue = (String)groupIter.next();
		if(pos % 2 == 0) {
			out.println("<tr class='even'>");
		} else {
			out.println("<tr class='odd'>");
		}
		out.println("<th class='rowtit'>" + groupValue +"</th>");
		optsCounter = ((HashMap)(groupMap.get(groupValue)));
		it = optionMap.keySet().iterator();
		while (it.hasNext()) {
			optionValue = (String)it.next();
			optionCount = (String)optsCounter.get(optionValue);
			if(optionCount == null) {
				optionCount = "0";
			}
			out.println("<td class='data'>" + optionCount +"</td>");
		}
		out.println("</tr>");
	}
	out.println("</table>");
}
%>


</div>
</body>
</html>
