<%pageContext.setAttribute("path","../");%>
<%@ include file="../menu.jsp" %>
<%@ page import="org.apache.taglibs.standard.tag.common.sql.ResultImpl" %>
<fmt:bundle basename="campaigns">
	<fmt:message key="timerange.validations.hours" var="hours"/>
	<fmt:message key="timerange.validations.minutes" var="minutes"/>
	<fmt:message key="timerange.validations.seconds" var="seconds"/>
	
	<script type="text/javascript">
	<!--
	  var voicemail = false;
	
	  function validateOnSubmit() {
	
	    if (!validateNr(document.forms.formulario.begin_hours, 'inf_begin', false)) {
	    	alert("${hours}");
			return false;
	    }
	    
	    if (!validateNr(document.forms.formulario.begin_minutes, 'inf_begin', false)) {
	    	alert("${minutes}");
			return false;
	    }
	    
	    if (!validateNr(document.forms.formulario.begin_seconds, 'inf_begin', false)) {
	    	alert("${seconds}");
			return false;
	    }
	    
	    if (!validateNr(document.forms.formulario.end_hours, 'inf_end', false)) {
	    	alert("${hours}");
			return false;
	    }
	    
	    if (!validateNr(document.forms.formulario.end_minutes, 'inf_end', false)) {
	    	alert("${minutes}");
			return false;
	    }
	    
	    if (!validateNr(document.forms.formulario.end_seconds, 'inf_end', false)) {
	    	alert("${seconds}");
			return false;
	    }
	    return true;
	  };
	
	//-->
	</script>
	<c:set var="hours" value=""/>
	<c:set var="minutes" value=""/>
	<c:set var="seconds" value=""/>
	
	<div id="right">
		<c:if test="${not empty param.begin_hours}">
			<c:set var="begin_hours" value="${param.begin_hours}"/>
			<c:set var="begin_minutes" value="${param.begin_minutes}"/>
			<c:set var="begin_seconds" value="${param.begin_seconds}"/>
			
			<c:set var="end_hours" value="${param.end_hours}"/>
			<c:set var="end_minutes" value="${param.end_minutes}"/>
			<c:set var="end_seconds" value="${param.end_seconds}"/>
	
			<c:if test="${begin_hours > 23}">
				<c:set var="begin_hours" value="00"/>
			</c:if>		
			<c:choose>
				<c:when test="${empty begin_minutes}">
					<c:set var="begin_minutes" value="00"/>
				</c:when>
				<c:otherwise>
					<c:if test="${begin_minutes > 59}">
						<c:set var="begin_minutes" value="59"/>
					</c:if>
				</c:otherwise>
			</c:choose>
			<c:choose>
				<c:when test="${empty begin_seconds}">
					<c:set var="begin_seconds" value="00"/>
				</c:when>
				<c:otherwise>
					<c:if test="${begin_seconds > 59}">
						<c:set var="begin_seconds" value="59"/>
					</c:if>
				</c:otherwise>
			</c:choose>
			<c:choose>
				<c:when test="${empty end_hours}">
					<c:set var="end_hours" value="00"/>
				</c:when>
				<c:otherwise>
					<c:if test="${end_hours > 23}">
						<c:set var="end_hours" value="00"/>
					</c:if>
				</c:otherwise>
			</c:choose>
			<c:choose>
				<c:when test="${empty end_minutes}">
					<c:set var="end_minutes" value="00"/>
				</c:when>
				<c:otherwise>
					<c:if test="${end_minutes > 59}">
						<c:set var="end_minutes" value="59"/>
					</c:if>
				</c:otherwise>
			</c:choose>
			<c:choose>
				<c:when test="${empty end_seconds}">
					<c:set var="end_seconds" value="00"/>
				</c:when>
				<c:otherwise>
					<c:if test="${end_seconds > 59}">
						<c:set var="end_seconds" value="59"/>
					</c:if>
				</c:otherwise>
			</c:choose>
			
			<c:choose>
				<c:when test="${empty error}">
					<sql:transaction dataSource="jdbc/ipcontact">
						<sql:update>
							INSERT INTO time_range (begin, end)
							VALUES ('${begin_hours}:${begin_minutes}:${begin_seconds}', '${end_hours}:${end_minutes}:${end_seconds}')
						</sql:update>	
					</sql:transaction>
				</c:when>
				<c:otherwise>
					<fmt:message key="timerange.invalidformat" var="message" scope="session"/>
					<c:set var="messageType" value="error" scope="session"/>
				</c:otherwise>
			</c:choose>
		</c:if>
		
		<c:if test="${not empty sessionScope.message}">
			<c:if test="${sessionScope.messageType eq \"error\"}">
				<c:set var="class" value="error"/>
			</c:if>
			<c:if test="${sessionScope.messageType eq \"ok\"}">
				<c:set var="class" value="ok"/>
			</c:if>
			<div class="${class}">
				${sessionScope.message}
				<c:set var="message" value="" scope="session"/>
			</div>
		</c:if>
			
		<sql:query var="rs" dataSource="jdbc/ipcontactRO">
			SELECT * FROM time_range
			ORDER BY id
		</sql:query>
		
		<form method="post" action="deltimerange.jsp" name="deleteForm" target="_self">
			<input type="hidden" name="id"/>
		</form>
	
		<c:choose>
			<c:when test="${not empty rs.rows}">
				<table class="data">	
					<tr class="tit">
						<th><fmt:message key="timerange.start" /></th>
						<th><fmt:message key="timerange.end" /></th>
						<th/>
					</tr>
		
					<c:forEach var="row" varStatus="stat" items="${rs.rows}">
						<c:choose>
							<c:when test="${stat.count % 2 == 0}">
								<tr class="even">
							</c:when>
							<c:otherwise>
								<tr class="odd">
							</c:otherwise>
						</c:choose>	
						<td class="data">${row.begin}</td>	
						<td class="data">${row.end}</td>
						<td class="data">
							<fmt:message key="timerange.delete.question" var="question"/>
							<a class="link" href="javascript:del('${row.id}', '${question}')">
								<fmt:message key="delete" />
							</a>
							<c:set var="question" value=""/>
						</td>
					</tr>
					</c:forEach>
				</table>
			</c:when>
			<c:otherwise>
				<p><fmt:message key="timerange.empty" /></p>
			</c:otherwise>
		</c:choose>	
		
		<form onsubmit="return validateOnSubmit()" method="post" action="timerange.jsp" name="formulario">
			<h3><fmt:message key="timerange.addtimerange" /></h3>
			<table class="query">
				<tr class="plain">
		   			<td class="query"><fmt:message key="timerange.start" /></td>
		       		<td class="query">       				
						<input type="text" name="begin_hours" size="2" maxlength="2" value="" onchange="validateNr(this, 'inf_begin', false);"/>
						 : 
						<input type="text" name="begin_minutes" size="2" maxlength="2" value="" onchange="validateNr(this, 'inf_begin', false);"/>
						 : 
						<input type="text" name="begin_seconds" size="2" maxlength="2" value="00" onchange="validateNr(this, 'inf_begin', false);"/>
		       		</td>
		       		<td class="query" id="inf_begin"><c:if test="${empty begin_hours}"><fmt:message key="required" /></c:if></td>
				</tr>
				<tr class="plain">
		   			<td class="query"><fmt:message key="timerange.end" /></td>
		       		<td class="query">       				
						<input type="text" name="end_hours" size="2" maxlength="2" value="" onchange="validateNr(this, 'inf_end', false);"/>
						 : 
						<input type="text" name="end_minutes" size="2" maxlength="2" value="" onchange="validateNr(this, 'inf_end', false);"/>
						 : 
						<input type="text" name="end_seconds" size="2" maxlength="2" value="00" onchange="validateNr(this, 'inf_end', false);"/>
		       		</td>
		       		<td class="query" id="inf_end"><c:if test="${empty end_hours}"><fmt:message key="required" /></c:if></td>
				</tr>
				<tr class="plain">
					<td class="query" colspan="3">
						<fmt:message key="timerange.add" var="add"/>
						<input class="boton" type="submit" value="${add}" align="middle"/>
						<c:set var="add" value=""/>
					</td>
				</tr>
			</table>	
		</form>
	</div>
</fmt:bundle>
</html>