<%pageContext.setAttribute("path","../");%>
<%@ include file="../menu.jsp" %>

<div id="right">
	<fmt:bundle basename="customers">
		<h2><fmt:message key="listcustomers.title"/></h2>
				
		<c:choose>
			<c:when test="${empty param.rows}">
				<c:choose>
				    <c:when test="${sessionScope.role eq 'admin'}">	
					<sql:query var="rs2" dataSource="jdbc/callcenterRO">
						SELECT id, info
						FROM campanias
						ORDER BY info
					</sql:query>
				    </c:when>
				    <c:otherwise>
					<sql:query var="rs2" dataSource="jdbc/callcenterRO">
						SELECT c.id AS id, info
						FROM campanias c
						INNER JOIN ${sessionScope.ipcontactTable}.queue_users ON c.info = queue
						INNER JOIN ${sessionScope.ipcontactTable}.users USING (username)
						INNER JOIN ${sessionScope.ipcontactTable}.supervisors_groups USING (group_id)
						WHERE user_id = '${sessionScope.username}'
						GROUP BY c.id
						ORDER BY info
					</sql:query>
				    </c:otherwise>
				</c:choose>
				
				
				<form method="get" name="formulario" action="listClients.jsp">		
					<table class="query">
						<tr class="plain">
							<td class="query">ID:</td>
							<td class="query">
								<input name="id" type="text" size="11" maxlength="20"/>
							<td class="query">
								<select name="idType">
									<option value="1"><fmt:message key="equals"/></option>
									<option value="2" selected="selected"><fmt:message key="contains"/></option>
									<option value="3"><fmt:message key="startswith"/></option>
									<option value="4"><fmt:message key="endswith"/></option>
								</select> 
							</td>
						</tr>
						<tr class="plain">
							<td class="query"><fmt:message key="listcustomers.name"/>:</td>
							<td class="query">
								<input name="name" type="text" size="40" maxlength="64"/>
							<td class="query">
								<select name="nameType">
									<option value="1"><fmt:message key="equals"/></option>
									<option value="2" selected="selected"><fmt:message key="contains"/></option>
									<option value="3"><fmt:message key="startswith"/></option>
									<option value="4"><fmt:message key="endswith"/></option>
								</select> 
							</td>
						</tr>
						<tr class="plain">
							<td class="query"><fmt:message key="listcustomers.lastname"/>:</td>
							<td class="query">
								<input name="surname" type="text" size="40" maxlength="64"/>
							<td class="query">
								<select name="surnameType">
									<option value="1"><fmt:message key="equals"/></option>
									<option value="2" selected="selected"><fmt:message key="contains"/></option>
									<option value="3"><fmt:message key="startswith"/></option>
									<option value="4"><fmt:message key="endswith"/></option>
								</select> 
							</td>
						</tr>
						<tr class="plain">
							<td class="query"><fmt:message key="listcustomers.addres"/>:</td>
							<td class="query">
								<input name="address" type="text" size="40" maxlength="128"/>
							<td class="query">
								<select name="addressType">
									<option value="1"><fmt:message key="equals"/></option>
									<option value="2" selected="selected"><fmt:message key="contains"/></option>
									<option value="3"><fmt:message key="startswith"/></option>
									<option value="4"><fmt:message key="endswith"/></option>
								</select> 
							</td>
						</tr>
						<tr class="plain">
							<td class="query"><fmt:message key="listcustomers.phone1"/>:</td>
							<td class="query">
								<input name="phone" type="text" size="20" maxlength="20"/>
							<td class="query">
								<select name="phoneType">
									<option value="1"><fmt:message key="equals"/></option>
									<option value="2" selected="selected"><fmt:message key="contains"/></option>
									<option value="3"><fmt:message key="startswith"/></option>
									<option value="4"><fmt:message key="endswith"/></option>
								</select> 
							</td>
						</tr>
						<tr class="plain">
							<td class="query"><fmt:message key="listcustomers.phone2"/>:</td>
							<td class="query">
								<input name="phone2" type="text" size="20" maxlength="20"/>
							<td class="query">
								<select name="phoneType2">
									<option value="1"><fmt:message key="equals"/></option>
									<option value="2" selected="selected"><fmt:message key="contains"/></option>
									<option value="3"><fmt:message key="startswith"/></option>
									<option value="4"><fmt:message key="endswith"/></option>
								</select>
							</td>
						</tr>
						<tr class="plain">
							<td class="query"><fmt:message key="listcustomers.phone3"/>:</td>
							<td class="query">
								<input name="phone3" type="text" size="20" maxlength="20"/>
							<td class="query">
								<select name="phoneType3">
									<option value="1"><fmt:message key="equals"/></option>
									<option value="2" selected="selected"><fmt:message key="contains"/></option>
									<option value="3"><fmt:message key="startswith"/></option>
									<option value="4"><fmt:message key="endswith"/></option>
								</select>
							</td>
						</tr>
						<tr class="plain">
							<td class="query"><fmt:message key="listcustomers.phone4"/>:</td>
							<td class="query">
								<input name="phone4" type="text" size="20" maxlength="20"/>
							<td class="query">
								<select name="phoneType4">
									<option value="1"><fmt:message key="equals"/></option>
									<option value="2" selected="selected"><fmt:message key="contains"/></option>
									<option value="3"><fmt:message key="startswith"/></option>
									<option value="4"><fmt:message key="endswith"/></option>
								</select>
							</td>
						</tr>
						<tr class="plain">
							<td class="query"><fmt:message key="listcustomers.phone5"/>:</td>
							<td class="query">
								<input name="phone5" type="text" size="20" maxlength="20"/>
							<td class="query">
								<select name="phoneType5">
									<option value="1"><fmt:message key="equals"/></option>
									<option value="2" selected="selected"><fmt:message key="contains"/></option>
									<option value="3"><fmt:message key="startswith"/></option>
									<option value="4"><fmt:message key="endswith"/></option>
								</select>
							</td>
						</tr>
						<tr class="plain">
							<td class="query"><fmt:message key="listcustomers.email"/>:</td>
							<td class="query">
								<input name="email" type="text" size="40" maxlength="64"/>
							<td class="query">
								<select name="emailType">
									<option value="1"><fmt:message key="equals"/></option>
									<option value="2" selected="selected"><fmt:message key="contains"/></option>
									<option value="3"><fmt:message key="startswith"/></option>
									<option value="4"><fmt:message key="endswith"/></option>
								</select> 
							</td>
						</tr>
		
						<tr class="plain">
							<td class="query"><fmt:message key="listcustomers.campaign"/>:</td>
							<td class="query">
								<select name="campaign">
									<option value="all" selected="selected"><fmt:message key="all.female"/></option>
									<c:forEach var="row" varStatus="stat" items="${rs2.rows}">
										<option value="${row.id}">${row.info}</option>
									</c:forEach>
								</select> 
							</td>
							<td class="query"></td>
						</tr>
						
						<tr class="plain">
							<td class="query"><fmt:message key="listcustomers.label"/>:</td>
							<td class="query">
								<input name="label" type="text" size="20" maxlength="20"/>
							<td class="query">
								<select name="labelType">
									<option value="1"><fmt:message key="equals"/></option>
									<option value="2" selected="selected"><fmt:message key="contains"/></option>
									<option value="3"><fmt:message key="startswith"/></option>
									<option value="4"><fmt:message key="endswith"/></option>
								</select> 
							</td>
						</tr>
						 
						<tr class="plain">
							<td class="query"><fmt:message key="listcustomers.results"/>:</td>
							<td class="query">
								<input type="radio" name="rows" value="10"/><label>10</label>		
								<input type="radio" name="rows" value="25" checked="checked"/><label>25</label>		
								<input type="radio" name="rows" value="50"/><label>50</label>		
							</td>
							<td class="query"></td>
						</tr>
						
						<tr class="plain">
							<td class="query" colspan="3">
								<fmt:message key="listcustomers.submit" var="submit"/>
								<input class="boton" type="submit" name="submit" value="${submit}"/>
								<c:set var="submit" value=""/>
							</td>
						</tr>
					</table>
				</form>
			</c:when>
		
			<c:otherwise>
		
				<w:where var="conds">
					<w:condition attribute="cli.id" comparator="${param.idType}" value="${param.id}"/>
					<w:condition attribute="nombre" comparator="${param.nameType}" value="${param.name}"/>
					<w:condition attribute="apellido" comparator="${param.surnameType}" value="${param.surname}"/>
					<w:condition attribute="direccion" comparator="${param.addressType}" value="${param.address}"/>
					<w:condition attribute="telefono" comparator="${param.phoneType}" value="${param.phone}"/>
					<w:condition attribute="telefono2" comparator="${param.phoneType2}" value="${param.phone2}"/>
					<w:condition attribute="telefono3" comparator="${param.phoneType3}" value="${param.phone3}"/>
					<w:condition attribute="telefono4" comparator="${param.phoneType4}" value="${param.phone4}"/>
					<w:condition attribute="telefono5" comparator="${param.phoneType5}" value="${param.phone5}"/>
					<w:condition attribute="email" comparator="${param.emailType}" value="${param.email}"/>
					<c:if test="${param.campaign != \"all\"}">
						<w:condition attribute="id_campania" value="${param.campaign}"/>
					</c:if>
					<c:if test="${sessionScope.role ne 'admin'}">
					    <w:condition condition="user_id = '${sessionScope.username}'"/>    
					</c:if>
					<w:condition attribute="etiqueta" comparator="${param.labelType}" value="${param.label}"/>
				</w:where>
		
				<c:set var="offset" value="${param.offset}"/>
		
				<c:if test="${empty offset}">
					<c:set var="offset" value="0"/>
				</c:if>
		
				<c:choose>
				    <c:when test="${sessionScope.role eq 'admin'}">	
					<sql:query var="rs" dataSource="jdbc/callcenterRO">
						SELECT COUNT(DISTINCT cli.id) AS count 
						FROM clientes cli
						INNER JOIN clientes_extrainfo USING (id)
						${conds}
					</sql:query>
				    </c:when>
				    <c:otherwise>
					<sql:query var="rs2" dataSource="jdbc/callcenterRO">
						SELECT COUNT(DISTINCT cli.id) AS count
						FROM clientes cli
						INNER JOIN clientes_extrainfo USING (id)
						INNER JOIN campanias c ON c.id = id_campania
						INNER JOIN ${sessionScope.ipcontactTable}.queue_users ON c.info = queue
						INNER JOIN ${sessionScope.ipcontactTable}.users USING (username)
						INNER JOIN ${sessionScope.ipcontactTable}.supervisors_groups USING (group_id)
						${conds}
					</sql:query>
				    </c:otherwise>
				</c:choose>
		
				<c:if test='${rs.rows[0].count > (offset + param.rows)}'>
					<c:set var="nextOffset" value="true"/>
				</c:if>

				<c:choose>
				    <c:when test="${sessionScope.role eq 'admin'}">	
					<sql:query var="rs" dataSource="jdbc/callcenterRO">
						SELECT cli.id, nombre, apellido, direccion, telefono, email, telefono2, telefono3, telefono4, telefono5, etiqueta
						FROM clientes cli
						INNER JOIN clientes_extrainfo USING (id)
						${conds} 
						GROUP BY id 
						LIMIT ${param.rows} OFFSET ${offset}
					</sql:query>
				    </c:when>
				    <c:otherwise>
					<sql:query var="rs" dataSource="jdbc/callcenterRO">
						SELECT cli.id, nombre, apellido, direccion, telefono, email, telefono2, telefono3, telefono4, telefono5, etiqueta
						FROM clientes cli
						INNER JOIN clientes_extrainfo USING (id)
						INNER JOIN campanias c ON c.id = id_campania
						INNER JOIN ${sessionScope.ipcontactTable}.queue_users ON c.info = queue
						INNER JOIN ${sessionScope.ipcontactTable}.users USING (username)
						INNER JOIN ${sessionScope.ipcontactTable}.supervisors_groups USING (group_id)
						${conds}
						GROUP BY cli.id 
						LIMIT ${param.rows} OFFSET ${offset}
					</sql:query>
				    </c:otherwise>
				</c:choose>
				
				<form method="get" action="listClients.jsp" name="jumpForm">
					<input type="hidden" name="user" value="${param.user}"/>
					<input type="hidden" name="userType" value="${param.userType}"/>
					<input type="hidden" name="name" value="${param.name}"/>
					<input type="hidden" name="nameType" value="${param.nameType}"/>
					<input type="hidden" name="surname" value="${param.surname}"/>
					<input type="hidden" name="surnameType" value="${param.surnameType}"/>
					<input type="hidden" name="phone" value="${param.phone}"/>
					<input type="hidden" name="phoneType" value="${param.phoneType}"/> 
					<input type="hidden" name="email" value="${param.email}"/>
					<input type="hidden" name="emailType" value="${param.emailType}"/>
					<input type="hidden" name="campaign" value="${param.campaign}"/>
					<input type="hidden" name="label" value="${param.label}"/>
					<input type="hidden" name="labelType" value="${param.labelType}"/>
					<input type="hidden" name="offset" value=""/>
					<input type="hidden" name="rows" value="${param.rows}"/>	
				</form>
				<form method="post" action="delClient.jsp" name="deleteForm" target="_self">
					<input type="hidden" name="id"/>
					<input type="hidden" name="name" value="${param.name}"/>
					<input type="hidden" name="nameType" value="${param.nameType}"/>
					<input type="hidden" name="surname" value="${param.surname}"/>
					<input type="hidden" name="surnameType" value="${param.surnameType}"/>
					<input type="hidden" name="address" value="${param.address}"/>
					<input type="hidden" name="addressType" value="${param.addressType}"/>
					<input type="hidden" name="phone" value="${param.phone}"/>
					<input type="hidden" name="phoneType" value="${param.phoneType}"/>
					<input type="hidden" name="email" value="${param.email}"/>
					<input type="hidden" name="emailType" value="${param.emailType}"/>
					<input type="hidden" name="campaign" value="${param.campaign}"/>
					<input type="hidden" name="label" value="${param.label}"/>
					<input type="hidden" name="labelType" value="${param.labelType}"/>
					<input type="hidden" name="offset" value="${param.offset}"/>
					<input type="hidden" name="rows" value="${param.rows}"/>
				</form>					
				
				<c:if test="${not empty sessionScope.message}">
					<c:choose>
						<c:when test="${sessionScope.messageType eq \"error\"}">
							<c:set var="class" value="error"/>
						</c:when>
						<c:otherwise>
							<c:set var="class" value="ok"/>
						</c:otherwise>
					</c:choose>
					<div class="${class}">
						<fmt:message key="${sessionScope.message}"/>
					</div>
					<c:set var="message" value="" scope="session"/>
				</c:if>

				<c:choose>
					<c:when test='${not empty rs.rows}'>
						<table class="data">	
							<tr class="tit">
								<th>ID</th>
								<th><fmt:message key="listcustomers.name"/></th>
								<th><fmt:message key="listcustomers.lastname"/></th>
								<th><fmt:message key="listcustomers.addres"/></th>
								<th><fmt:message key="listcustomers.email"/></th>
								<th><fmt:message key="listcustomers.label"/></th>
								<th><fmt:message key="listcustomers.phone1"/></th>
								<th><fmt:message key="listcustomers.phone2"/></th>
								<th><fmt:message key="listcustomers.phone3"/></th>
								<th><fmt:message key="listcustomers.phone4"/></th>
								<th><fmt:message key="listcustomers.phone5"/></th>
								<th/>
								<th/>
							</tr>
				
							<c:forEach var="row" varStatus="stat" items="${rs.rows}">
								<c:choose>
									<c:when test="${stat.count % 2 == 0}">
										<tr class="even">
									</c:when>
									<c:otherwise>
										<tr class="odd">
									</c:otherwise>
								</c:choose>	
								<td class="data">${row.id}</td>	
								<td class="data">${row.nombre}</td>	
								<td class="data">${row.apellido}</td>	
								<td class="data">${row.direccion}</td>
								<td class="data">${row.email}</td>
								<td class="data">${row.etiqueta}</td>
								<td class="data">${row.telefono}</td>
								<td class="data">${row.telefono2}</td>
								<td class="data">${row.telefono3}</td>
								<td class="data">${row.telefono4}</td>
								<td class="data">${row.telefono5}</td>
								<td class="data">
									<a class="link" href="listClientCalls.jsp?id=${row.id}"><fmt:message key="listcustomers.calls"/></a>
								</td>
								<td class="data">
									<fmt:message key="listcustomers.delete.question" var="question"/>
									<a class="link" href="javascript:del('${row.id}', '${question}')">
										<fmt:message key="listcustomers.delete"/>
									</a>
								</td>
							</tr>
							</c:forEach>
						</table>
				
						<util:jump offset="${offset}" rows="${param.rows}" nextOffset="${nextOffset}"/>
					</c:when>
					<c:otherwise>
						<p><fmt:message key="listcustomers.empty"/>.</p>
					</c:otherwise>
				</c:choose>
			</c:otherwise>	
		</c:choose>
	</fmt:bundle>
</div>
</body>
</html>

