<%pageContext.setAttribute("path","../");%>
<%@ include file="../menu.jsp" %>
<%@ page import="org.apache.taglibs.standard.tag.common.sql.ResultImpl" %>

<fmt:bundle basename="forms">
	<fmt:message key="addform.validations.name.required" var="valnamereq"/>

	<script type="text/javascript">
	<!--

	  function validateOnSubmit() {

	    if (!validatePresent(document.forms.formulario.name, 'inf_name')) {
		alert("${valnamereq}");
		return false;
	    }
	    return true;
	  };

	//-->
	</script>

	<div id="right">
		<c:if test="${not empty sessionScope.message}">
			<c:set var="class" value="error"/>
			<c:if test="${sessionScope.messageType eq \"error\"}">
				<c:set var="class" value="error"/>
			</c:if>
			<c:if test="${sessionScope.messageType eq \"ok\"}">
				<c:set var="class" value="ok"/>
			</c:if>
			<div class="${class}">
				<c:choose>
					<c:when test="${sessionScope.message eq \"error.spaces\"}">
						<fmt:message key="error.spaces" />
					</c:when>
					<c:otherwise>
						<c:set var="class" value=""/>
						${sessionScope.message}
					</c:otherwise>
				</c:choose>
				<c:set var="message" value="" scope="session"/>
			</div>
		</c:if>
		<c:set var="campaign" value="${param.campaign}"/>
		<c:choose>
			<c:when test="${empty param.save}">

					<c:if test="${not empty param.id}">
						<sql:query var="rsForm" dataSource="jdbc/callcenterRO">
							SELECT *
							FROM forms_metadata
							WHERE form = '${param.id}'
							ORDER BY orden
						</sql:query>
	
						<c:set var="fieldSize" value="${rsForm.rowCount}"/>
						<c:set var="oldName" value="${param.id}"/>
	
						<c:set var="name" value="${param.id}"/>
						<c:forEach var="row" varStatus="stat" items="${rsForm.rows}">
							<c:choose>
								<c:when test="${empty field}">
									<c:set var="field" value="${row.campo}"/>
									<c:set var="oldfield" value="${row.campo}"/>
									<c:set var="value" value="${row.valor}"/>
									<c:set var="length" value="${row.largo}"/>
									<c:set var="option" value="${row.opciones}"/>
								</c:when>
								<c:otherwise>
									<c:set var="field" value="${field} ;${row.campo}"/>
									<c:set var="oldfield" value="${oldfield} ;${row.campo}"/>
									<c:set var="value" value="${value} ;${row.valor}"/>
									<c:set var="length" value="${length} ;${row.largo}"/>
									<c:set var="option" value="${option} ;${row.opciones}"/>						
								</c:otherwise>
							</c:choose>
						</c:forEach>
	
						<c:set var="field" value="${fn:split(field,';')}" />
						<c:set var="oldfield" value="${fn:split(oldfield,';')}" />
						<c:set var="value" value="${fn:split(value,';')}" />
						<c:set var="length" value="${fn:split(length,';')}" />
						<c:set var="option" value="${fn:split(option,';')}" />
					</c:if>
					
					<c:if test="${empty param.id or empty rsForm.rows}">
						<c:set var="fieldSize" value="${param.fieldSize}"/>
						<c:if test="${empty fieldSize}">
							<c:set var="fieldSize" value="1"/>
						</c:if>
						<c:set var="name" value="${param.name}"/>
						<c:set var="oldName" value="${param.oldName}"/>
						<%
							int fieldSize = Integer.parseInt((String)pageContext.getAttribute("fieldSize"));
							ArrayList field = new ArrayList(fieldSize);  
							ArrayList oldfield = new ArrayList(fieldSize);  
							ArrayList value = new ArrayList(fieldSize);
							ArrayList length = new ArrayList(fieldSize);
							ArrayList option = new ArrayList(fieldSize);
							
							for (int i=0; i<fieldSize; i++) {
								field.add(request.getParameter("field" + i));
								oldfield.add(request.getParameter("oldfield" + i));
								value.add(request.getParameter("value" + i));
								length.add(request.getParameter("length" + i));
								option.add(request.getParameter("options" + i));
							}
							
							pageContext.setAttribute("field", field);
							pageContext.setAttribute("oldfield", oldfield);
							pageContext.setAttribute("value", value);
							pageContext.setAttribute("length", length);
							pageContext.setAttribute("option", option);
						%>	
					</c:if>
				
				<form onsubmit="return validateOnSubmit()" method="post" action="addForm.jsp" name="formulario">
					<c:choose>
						<c:when test="${fieldSize > 0}">
							<h3><fmt:message key="addform.title" /></h3>
							<table class="query">
								<tr class="plain">
						   			<td class="query"><fmt:message key="addform.name" /></td>
						       		<td class="query">       				
									<input type="text" name="name" size="20" maxlength="32" value="${name}" onchange="validatePresent(this, 'inf_name');"/>
						       		</td>
						       		<td class="query" id="inf_name">
						       			<c:if test="${empty name}">
						       				<fmt:message key="required" />
						       			</c:if>
						       		</td>
								</tr>
							</table>
							<c:forEach var="i" begin="0" end="${fieldSize-1}">
								<h3><fmt:message key="addform.field"/> ${i+1}</h3>
								<table class="query">
									<tr class="plain">
							   			<td class="query"><fmt:message key="addform.name" /></td>
							       		<td class="query">       				
											<input type="text" name="field${i}" size="20" maxlength="32" value="${field[i]}" onchange="validatePresent(this, 'inf_field${i}');"/>
											<input type="hidden" name="oldfield${i}" value="${oldfield[i]}" />
							       		</td>
							       		<td class="query" id="inf_field${i}">
							       			<c:if test="${empty field[i]}">
							       				<fmt:message key="required" />
							       			</c:if>
							       		</td>
									</tr>
									<tr class="plain">	
										<td class="query"><fmt:message key="addform.value" /></td>
							       		<td class="query">       	
											<input type="text" name="value${i}" size="50" value="${value[i]}" onchange="validatePresent(this, 'inf_value${i}');"/>
							       		</td>
							       		<td class="query" id="inf_value${i}">
							       			<c:if test="${empty value[i]}">
							       				<fmt:message key="required" />
							       			</c:if>
							       		</td>
									</tr>
									<tr class="plain">	
										<td class="query"><fmt:message key="addform.length"/></td>
							       		<td class="query">       	
											<input type="text" name="length${i}" size="5" value="${length[i]}" onKeyPress="return NumOnly(event)"/>
							       		</td>
							       		<td/>
									</tr>
									<tr class="plain">	
										<td class="query"><fmt:message key="addform.options"/></td>
							       		<td class="query">       	
											<input type="text" name="options${i}" size="50" value="${option[i]}"/>
							       		</td>
							       		<td class="query" id="inf_options${i}"></td>
									</tr>
								</table>
							</c:forEach>
						</c:when>
								
						<c:otherwise>
							<br/>
							<p><fmt:message key="addform.empty"/></p>
						</c:otherwise>
					</c:choose>
					<input type="hidden" name="fieldSize"/>
					<input type="hidden" name="fieldSize2" value="${fieldSize}"/>
					<input type="hidden" name="save" value=""/>
					<input type="hidden" name="oldName" value="${oldName}"/>
					
					<br/>
					<br/>
					<table class="query">
						<tr class="plain">
							<td class="query">
								<fmt:message key="addform.save" var="save"/>
								<c:if test="${fieldSize == 0}">
									<c:set var="disabled" value="disabled=\"disabled\""/>
								</c:if>
								<input class="boton" type="submit" value="${save}" align="middle"
								${disabled}	onClick="javascript:document.forms.formulario.save.value='yes'"/> 
								<c:set var="save" value=""/>
							</td>
							<td class="query">
								<c:if test="${fieldSize == 0}">
									<c:set var="disabled" value="disabled=\"disabled\""/>
								</c:if>
								<input class="boton" type="submit" value="Vista Previa" align="middle" 
									onClick="javascript:document.forms.formulario.fieldSize.value=${fieldSize}"
									${disabled}/>
								<c:set var="disabled" value=""/>
							</td>
							<td class="query">
								<fmt:message key="addform.add" var="add"/>
								<input class="boton" type="submit" value="${add}" align="middle" onClick="javascript:document.forms.formulario.fieldSize.value=${fieldSize + 1}"/>
								<c:set var="add" value=""/>
							</td>
							<td class="query">
								<fmt:message key="addform.delete" var="delete"/>
								<c:if test="${fieldSize == 0}">
									<c:set var="disabled" value="disabled=\"disabled\""/>
								</c:if>
								<input class="boton" type="submit" value="${delete}" align="middle" 
									${disabled}
									onClick="javascript:document.forms.formulario.fieldSize.value=${fieldSize - 1}"/>
								<c:set var="delete" value=""/>
								<c:set var="disabled" value=""/>
							</td>
						</tr>
					</table>	
				</form>
				<c:if test="${fieldSize > 0}">
					<h3><fmt:message key="addform.preview"/></h3>
					<form method="post" name="preview">
						<table class="data">
							<tr>
								<th class="tit"><fmt:message key="addform.info"/></th>
							</tr>	
							<c:forEach var="i" begin="0" end="${fieldSize-1}">
								<tr>
									<td>
										<table class="query">
											<tr class="plain">
												<td class="querylabel">
													<label>
														${value[i]}
													</label>
												</td>
												<td class="query">
													<c:choose>
														<c:when test="${empty option[i] or option[i] eq \"\" or option[i] eq \" \"}">
															<c:set var="largo" value="50"/>
															<c:if test="${largo > length[i]}">
																<c:set var="largo" value="${length[i]}"/>
															</c:if>
															<input type="text" size="${largo}" maxlength="${length[i]}" name="${field[i]}">
														</c:when>
														<c:otherwise>
															<select name="${field[i]}">
																<c:forTokens var="data" items="${option[i]}" delims=",">
																	<option value="${data}">${data}</option>
																</c:forTokens>
															</select>
														</c:otherwise>
													</c:choose>																						
												</td>
											</tr>
										</table>
									</td>
								</tr>
							</c:forEach>			
						</table>
					</form>
				</c:if>
			</c:when>
			
			<c:otherwise>
				<%
					int fieldSize = Integer.parseInt((String)request.getParameter("fieldSize2"));
					ArrayList fieldArray = new ArrayList(fieldSize);
					ArrayList oldfieldArray = new ArrayList(fieldSize);
					ArrayList valueArray = new ArrayList(fieldSize);
					ArrayList lengthArray = new ArrayList(fieldSize);
					ArrayList optionsArray = new ArrayList(fieldSize);
					
					for (int i=0; i<fieldSize; i++) {
						fieldArray.add(request.getParameter("field" + i));
						oldfieldArray.add(request.getParameter("oldfield" + i));
						valueArray.add(request.getParameter("value" + i));
						if (request.getParameter("length" + i).equals("")) {
							lengthArray.add("0");
						} else {
							lengthArray.add(request.getParameter("length" + i));
						}
						optionsArray.add(request.getParameter("options" + i));
					}
					
					pageContext.setAttribute("fieldArray", fieldArray);
					pageContext.setAttribute("oldfieldArray", oldfieldArray);
					pageContext.setAttribute("valueArray", valueArray);
					pageContext.setAttribute("lengthArray", lengthArray);
					pageContext.setAttribute("optionArray", optionsArray);
				%>
				<jsp:useBean id="camp" class="ipcontact.campaigns.AddForm" scope="page">
					<c:set target="${camp}" property="oldName" value="${param.oldName}"/>
					<c:set target="${camp}" property="name" value="${param.name}"/>
					<c:set target="${camp}" property="fields" value="${fieldArray}"/>
					<c:set target="${camp}" property="oldFields" value="${oldfieldArray}"/>
					<c:set target="${camp}" property="values" value="${valueArray}"/>
					<c:set target="${camp}" property="lengths" value="${lengthArray}"/>
					<c:set target="${camp}" property="options" value="${optionArray}"/>
				</jsp:useBean>
				
				<c:set var="result" value="${camp.result}"/>
				${fn:substring(result,1,7)}
				${fn:substring(result,7,-1)}
				<c:choose>
					<c:when test="${result eq \"updated\"}">
						<fmt:message key="addform.updated" var="message">
							<fmt:param value="${param.name}"/>
						</fmt:message>
						<c:set var="message" value="${message}" scope="session"/>
						<c:set var="messageType" value="ok" scope="session"/>
					</c:when>
					<c:when test="${result eq \"added\"}">
						<fmt:message key="addform.added" var="message">
							<fmt:param value="${param.name}"/>
						</fmt:message>
						<c:set var="message" value="${message}" scope="session"/>
						<c:set var="messageType" value="ok" scope="session"/>
					</c:when>
					<c:when test="${fn:substring(result,0,7) eq \"invalid\"}">
						<fmt:message key="addform.invalid" var="message"/>
						<c:set var="message" value="${message}: ${fn:substring(result,7,-1)}" scope="session"/>
						<c:set var="messageType" value="ok" scope="session"/>						
					</c:when>
					<c:otherwise>
						<c:set var="message" value="${camp.result}" scope="session"/>			
						<c:set var="messageType" value="error" scope="session"/>
					</c:otherwise>
				</c:choose>
				
				<c:redirect url="addForm.jsp?id=${param.name}"/>
			</c:otherwise>
		
		</c:choose>
    </div>
</fmt:bundle>
</html>