<%pageContext.setAttribute("path","../");%>
<%@ include file="../menu.jsp" %>

<fmt:bundle basename="prefixes">
	<div id="right">
				
		<c:if test="${not empty sessionScope.message}">
			<c:set var="class" value="error"/>
			<c:if test="${sessionScope.messageType eq \"error\"}">
				<c:set var="class" value="error"/>
			</c:if>
			<c:if test="${sessionScope.messageType eq \"ok\"}">
				<c:set var="class" value="ok"/>
			</c:if>
			<div class="${class}">
				<c:set var="class" value=""/>
				${sessionScope.message}
				<c:set var="message" value="" scope="session"/>
			</div>
		</c:if>
		
		<h2><fmt:message key="addprefix.title"/></h2>	
		
		<c:choose>
			<c:when test="${(empty param.name)}">
				<form onsubmit="return validateOnSubmit()" method="post" action="addPrefix.jsp" name="formulario">
					<table class="query">
						<tr class="plain">
				   			<td class="query"><fmt:message key="addprefix.name"/></td>
				       		<td class="query">       				
								<input type="text" name="name" size="20" maxlength="32" onchange="validatePresent(this, 'inf_name');"/>
				       		</td>
					       	<td class="query" id="inf_name"><fmt:message key="required"/></td>
				   		</tr>
				   				   		
						<tr class="plain">
				   			<td class="query"><fmt:message key="addprefix.prefix"/></td>
				       		<td class="query">       				
								<input type="text" name="prefix" size="5" maxlength="10" onchange="validatePresent(this, 'inf_prefix');"/>
				       		</td>
					       	<td class="query" id="inf_prefix"><fmt:message key="required"/></td>
				   		</tr>
				   		<tr class="plain">
							<td class="query">
								<fmt:message key="addprefix.submit" var="submit"/>
								<input class="boton" type="submit" value="${submit}" align="middle"/> 
								<c:set var="submit" value=""/>
							</td>
							<td class="query" colspan="3">
								<fmt:message key="addprefix.reset" var="reset"/>
								<input class="boton" type="reset" value="${reset}" align="middle"/>
								<c:set var="reset" value=""/>
							</td>
						</tr>
					</table>
				</form>
			</c:when>
			
			<c:otherwise>
				<c:catch var="e">
					<sql:update dataSource="jdbc/callcenter">
						INSERT INTO prefijos
						VALUES ('${param.name}', '${param.prefix}')
					</sql:update>
				</c:catch>
				
				<c:choose>
					<c:when test="${not empty e}">
						<c:set var="message" scope="session" value="${e}"/>
						<c:set var="messageType" scope="session" value="error"/>
					</c:when>
					<c:otherwise>
						<fmt:message key="addprefix.added" var="message">
							<fmt:param value="${param.name}"/>
						</fmt:message>
						<c:set var="message" scope="session" value="${message}"/>
						<c:set var="messageType" scope="session" value="ok"/>
					</c:otherwise>
				</c:choose>
				<c:redirect url="addPrefix.jsp"/>
			</c:otherwise>
		</c:choose>
	</div>
</fmt:bundle>
</body>
</html>
