<%pageContext.setAttribute("path","../");%>
<%@ include file="../menu.jsp" %>

<fmt:bundle basename="prefixes">
	<div id="right">
	
		<c:if test="${not empty sessionScope.message}">
			<c:choose>
				<c:when test="${sessionScope.messageType eq \"error\"}">
					<c:set var="class" value="error"/>
				</c:when>
				<c:otherwise>
					<c:set var="class" value="ok"/>
				</c:otherwise>
			</c:choose>
			<div class="${class}">
				${sessionScope.message}
			</div>
			<c:set var="message" value="" scope="session"/>
		</c:if>
		
		<form method="post" action="prefixUsers.jsp" name="editForm" target="_self">
			<input type="hidden" name="id"/>
			<input type="hidden" name="mode"/>
		</form>
				
		<sql:query var="rs" dataSource="jdbc/ipcontactRO">
			SELECT username, first_name, last_name 
			FROM users
			WHERE role = 'supervisor' 
			ORDER BY first_name
		</sql:query>
		
		<h2><fmt:message key='addprefixusers.title'/></h2>
		
		<table class="data">
			<tr class="tit">
				<th><fmt:message key='addprefixes.data.user'/></th>
				<th><fmt:message key='addprefixes.data.name'/></th>
				<th/>
			</tr>
			
			
			<c:forEach var="row" varStatus="stat" items="${rs.rows}">
				<c:choose>
					<c:when test="${stat.count % 2 == 0}">
						<tr class="even">
					</c:when>
					<c:otherwise>
						<tr class="odd">
					</c:otherwise>
				</c:choose>	
				<td class="data">
					${row.username}
				</td>	
				<td class="data">${row.first_name} ${row.last_name}</td>
				<td class="data">
					<a class='link' href='javascript:edit("${row.username}")'>
						<fmt:message key="addprefixusers.title"/>
					</a>
				</td>
			</tr>
			</c:forEach>
		</table>
	</div>
</fmt:bundle>
</body>
</html>

		
