<%pageContext.setAttribute("path","../");%>
<%@ include file="../menu.jsp" %>
<fmt:bundle basename="results">
	<div id="right">
		
		<h2><fmt:message key="calldata.title"/></h2>			
		
		<c:choose>
			<c:when test="${empty param.afterDate}">
				
				<c:choose>
					<c:when test="${sessionScope.role eq \"admin\"}">
						<sql:query var="rs" dataSource="jdbc/ipcontactRO">
							SELECT first_name, last_name, username
							FROM agents
							INNER JOIN users ON username = user
							ORDER BY first_name
						</sql:query>
					</c:when>
					<c:otherwise>
						<sql:query var="rs" dataSource="jdbc/ipcontactRO">
							SELECT first_name, last_name, username
							FROM agents
							INNER JOIN users on username = user
							INNER JOIN supervisors_groups USING (group_id)
							WHERE user_id = '${sessionScope.username}'
							ORDER BY first_name
						</sql:query>
					</c:otherwise>
				</c:choose>
				
				<sql:query var="rsResultados" dataSource="jdbc/callcenterRO">
					SELECT *
					FROM llamadas_resultados
				</sql:query>
				
				<c:choose>
					<c:when test="${sessionScope.role eq \"admin\"}">
					    <sql:query var="rs2" dataSource="jdbc/callcenterRO">
							SELECT id, info
							FROM campanias
							ORDER BY info
					    </sql:query>
					</c:when>
					<c:otherwise>
					    <sql:query var="rs2" dataSource="jdbc/callcenterRO">
							SELECT c.id AS id, info
							FROM campanias c
							INNER JOIN ${sessionScope.ipcontactTable}.queue_users on c.info = queue
							INNER JOIN ${sessionScope.ipcontactTable}.users USING (username)
							INNER JOIN ${sessionScope.ipcontactTable}.supervisors_groups USING (group_id)
							WHERE user_id = '${sessionScope.username}'
							GROUP BY c.id
							ORDER BY info
					    </sql:query>
					</c:otherwise>
				</c:choose>
				
				<form method="get" name="formulario" action="callDataSearch.jsp">	
					<table class="query">
						<tr class="plain">
							<td class="query"><fmt:message key="after"/>:</td>
							<td class="query">
								<input name="afterDate" id="afterDate" type="text" size="10"/>
								<input name="afterTime" id="afterTime" type="text" size="5"/>
								<script type="text/javascript">
								<!--
									if (document.formulario.afterDate.value.length == 0)
										document.formulario.afterDate.value=getCurrentDate();
									if (document.formulario.afterTime.value.length == 0)
										document.formulario.afterTime.value=getCurrentTime();
								-->
								</script>
								<fmt:message key="calldata.calendar" var="calendar"/>
								<img src="../calendar/calendar.jpg" title="${calendar}" alt="${calendar}" onclick="scwShow(document.getElementById('afterDate'),this);" />
							</td>
						</tr>
					
						<tr class="plain">
							<td class="query"><fmt:message key="before"/>:</td>
							<td class="query">
								<input name="beforeDate" id="beforeDate" type="text" size="10"/>
								<input name="beforeTime" id="beforeTime" type="text" size="5"/>
								<script type="text/javascript">
								<!--
									if (document.formulario.beforeDate.value.length == 0)
										document.formulario.beforeDate.value=getCurrentDate();
									if (document.formulario.beforeTime.value.length == 0)
										document.formulario.beforeTime.value=getCurrentTime();
								-->
								</script>
								<img src="../calendar/calendar.jpg" title="${calendar}" alt="${calendar}" onclick="scwShow(document.getElementById('beforeDate'),this);" />
							</td>
						</tr>
						
						<tr class="plain">
							<td class="query"><fmt:message key="calldata.campaign"/>:</td>
							<td class="query">
								<select name="campaign">
									<option value="all" selected="selected"><fmt:message key="all.female"/></option>
									<c:forEach var="row" varStatus="stat" items="${rs2.rows}">
										<option value="${row.id}">${row.info}</option>
									</c:forEach>
								</select> 
							</td>
						</tr>
						
						<tr class="plain">
							<td class="query">Agente:</td>
							<td class="query">
								<select name="agent">
									<option value="all" selected="selected"><fmt:message key="all.male"/></option>
									<c:forEach var="row" items="${rs.rows}">
										<option value="${row.username}">${row.first_name} ${row.last_name}</option>
									</c:forEach>
								</select> 
							</td>
						</tr>
						
						<tr class="plain">
							<td class="query"><fmt:message key="calldata.result"/>:</td>
							<td class="query">
								<select name="result">
									<option value="all" selected="selected"><fmt:message key="all.male"/></option>
									<optgroup label="<fmt:message key="calldata.automatic"/>">
										<c:forEach var="row" items="${rsResultados.rows}">
											<c:if test="${row.id < 0}">
											<option value="${row.id}">${row.valor}</option>
											</c:if>
										</c:forEach>
									</optgroup>
									<optgroup label="<fmt:message key="calldata.manual"/>">
										<c:forEach var="row" items="${rsResultados.rows}">
											<c:if test="${row.id >= 0}">
											<option value="${row.id}">${row.valor}</option>
											</c:if>
										</c:forEach>
									</optgroup>
								</select> 
							</td>
						</tr>
						
						<tr class="plain">
							<td class="query"><fmt:message key="calldata.lastResult"/>:</td>
							<td class="query">
								<input type="checkbox" name="lastResult"/>
							</td>
						</tr>
		
						<tr class="plain">
							<td class="query"><fmt:message key="calldata.results"/>:</td>
								<td>
								<input type="radio" name="rows" value="5"/><label>5</label>		
								<input type="radio" name="rows" value="10" checked="checked"/><label>10</label>		
								<input type="radio" name="rows" value="20"/><label>20</label>		
							</td>
						</tr>
						<tr class="plain">
							<td class="query" colspan="3">
								<fmt:message key="calldata.submit" var="submit"/>
								<input class="boton" type="submit" name="show" value="${submit}"/>
								<c:set var="submit" value=""/>
							</td>
						</tr>
					</table>			
				</form>
			</c:when>
		
			<c:otherwise>
				<w:where var="conds">
					<w:condition attribute="fecha" afterDate="${param.afterDate}" afterTime="${param.afterTime}"/>
					<w:condition attribute="fecha" beforeDate="${param.beforeDate}" beforeTime="${param.beforeTime}"/>
					<c:if test="${param.agent != \"all\"}">
						<w:condition attribute="agente" value="${param.agent}"/>
					</c:if>
					<c:if test="${param.lastResult eq 'on'}">
						<w:where var="innerConds">
							<w:condition condition="id_cliente = ll.id_cliente"/>
							<w:condition attribute="fecha" afterDate="${param.afterDate}" afterTime="${param.afterTime}"/>
							<w:condition attribute="fecha" beforeDate="${param.beforeDate}" beforeTime="${param.beforeTime}"/>
						</w:where>
						<w:condition condition="ll.id = (SELECT MAX(id) FROM llamadas ${innerConds})"/>
					</c:if>
					<c:choose>
						<c:when test="${param.campaign ne 'all'}">
							<w:condition attribute="ll.id_campania" value="${param.campaign}"/>
						</c:when>
						<c:otherwise>
							<c:if test="${sessionScope.role ne \"admin\"}">
								<w:condition condition="
									ll.id_campania IN (
										SELECT camp.id
										FROM campanias camp
										INNER JOIN ${sessionScope.ipcontactTable}.queue_users ON queue = camp.info
										INNER JOIN ${sessionScope.ipcontactTable}.users USING (username)
										INNER JOIN ${sessionScope.ipcontactTable}.supervisors_groups USING (group_id)
										WHERE user_id = '${sessionScope.username}'
									)"
								/>
							</c:if>
						</c:otherwise>
					</c:choose>
					<c:if test="${param.result != \"all\"}">
						<w:condition attribute="resultado" value="${param.result}"/>
					</c:if>
				</w:where>
				<c:set var="offset" value="${param.offset}"/>
		
				<c:if test="${empty offset}">
				  <c:set var="offset" value="0"/>
				</c:if>
		
				<sql:query var="rs" dataSource="jdbc/callcenterRO">
					SELECT count(*) AS count
					FROM llamadas ll
					INNER JOIN clientes c on id_cliente  = c.id
					INNER JOIN campanias a on id_campania = a.id
					INNER JOIN llamadas_resultados l on resultado = l.id
					${conds}
				</sql:query>
							
				<c:if test="${rs.rows[0].count > (offset + param.rows)}">
					<c:set var="nextOffset" value="true"/>
				</c:if>
		
				<sql:query var="rs" dataSource="jdbc/callcenterRO">
					SELECT c.id AS id, nombre, apellido, direccion, ll.telefono, email, info, filename, ll.id AS uid, a.id AS cid,
							DATE_FORMAT(fecha, '%d/%m/%Y %T') AS fechaf, valor, nuevo_tel, notas, first_name, last_name
					FROM llamadas ll
					INNER JOIN clientes c on id_cliente  = c.id
					INNER JOIN campanias a on id_campania = a.id
					INNER JOIN llamadas_resultados l on resultado = l.id
					LEFT JOIN ${sessionScope.ipcontactTable}.users on username = agente
					LEFT JOIN ${sessionScope.ipcontactTable}.callmonitor on uniqueid = ll.id
					${conds}
					ORDER BY id_campania, fecha
					LIMIT ${param.rows} OFFSET ${offset}
				</sql:query>
									
				<form method="get" action="callDataSearch.jsp" name="jumpForm">
					<input type="hidden" name="afterDate" value="${param.afterDate}"/>
					<input type="hidden" name="afterTime" value="${param.afterTime}"/>
					<input type="hidden" name="beforeDate" value="${param.beforeDate}"/>
					<input type="hidden" name="beforeTime" value="${param.beforeTime}"/>
					<input type="hidden" name="agent" value="${param.agent}"/>
					<input type="hidden" name="result" value="${param.result}"/>
					<input type="hidden" name="campaign" value="${param.campaign}"/>
					<input type="hidden" name="offset" value=""/>
					<input type="hidden" name="rows" value="${param.rows}"/>	
				</form>
		
				<c:choose>
					<c:when test="${empty rs.rows}">
						<p><fmt:message key="calldata.empty"/></p>
					</c:when>
					<c:otherwise>
						<table>
							<c:forEach var="row" varStatus="stat" items="${rs.rows}">
								<c:choose>
									<c:when test="${stat.count % 2 == 0}">
										<tr class="even2">
									</c:when>
									<c:otherwise>
										<tr class="odd2">
									</c:otherwise>
								</c:choose>	
								<td class="query">
									<h3><fmt:message key="calldata.customer"/></h3>
									<table class="data">	
										<tr class="tit">
											<th><fmt:message key="calldata.id"/></th>
											<th><fmt:message key="calldata.firstname"/></th>
											<th><fmt:message key="calldata.lastname"/></th>
											<th><fmt:message key="calldata.address"/></th>
											<th><fmt:message key="calldata.email"/></th>
										</tr>
										<tr class="even">
											<td class="data">${row.id}</td>	
											<td class="data">${row.nombre}</td>	
											<td class="data">${row.apellido}</td>	
											<td class="data">${row.direccion}</td>		
											<td class="data">${row.email}</td>	
										</tr>
									</table>
									<h3><fmt:message key="calldata.call"/></h3>
									<table class="data">	
										<tr class="tit">
											<th><fmt:message key="calldata.date"/></th>
											<th><fmt:message key="calldata.campaign"/></th>
											<th><fmt:message key="calldata.result"/></th>
											<th><fmt:message key="calldata.phone"/></th>
											<th><fmt:message key="calldata.newphone"/></th>
											<th><fmt:message key="calldata.notes"/></th>
											<th><fmt:message key="calldata.agent"/></th>
											<th><fmt:message key="calldata.record"/></th>
										</tr>
										<tr class="even">
											<td class="data">${row.fechaf}</td>	
											<td class="data">${row.info}</td>	
											<td class="data">${row.valor}</td>
											<td class="data">${row.telefono}</td>
											<td class="data">${row.nuevo_tel}</td>	
											<td class="data">${row.notas}</td>	
											<td class="data">${row.first_name} ${row.last_name}</td>	
											<td class="data">
												<c:choose>
													<c:when test="${empty row.filename}">
														N/D
													</c:when>
													<c:otherwise>
														<a class="link" href="recordQuery.jsp?uniqueid=${row.uid}"><fmt:message key="calldata.listen"/></a>
													</c:otherwise>
												</c:choose>
											</td>	
										</tr>
									</table>				
		
									<sql:query var="rsMetadata" dataSource="jdbc/callcenterRO">
										SELECT campo
										FROM campaign_forms_metadata
										WHERE campaign = '${row.cid}'
										ORDER BY orden
									</sql:query>
		
									<c:if test="${not empty rsMetadata.rows}">
										<h3><fmt:message key="calldata.data"/></h3>			
													
										<c:set var="select" value="${rsMetadata.rows[0].campo}"/>
										<c:forEach var="row2" begin="1" items="${rsMetadata.rows}">
											<c:set var="select" value="${select}, ${row2.campo}"/>
										</c:forEach>
							
										<sql:query var="rs2" dataSource="jdbc/callcenterRO">
											SELECT ${select}
											FROM datos${row.cid}
											WHERE id = '${row.uid}'
										</sql:query>
									
										<table class="data">	
											<tr class="tit">
												<c:forEach var="row2" items="${rsMetadata.rows}">
													<th>${row2.campo}</th>
												</c:forEach>
											</tr>
											<tr class="even">
												<c:forEach var="row2" varStatus="stat" items="${rsMetadata.rows}">
													<td class="data">${rs2.rowsByIndex[0][stat.index]}</td>	
												</c:forEach>
											</tr>
										</table>
									</c:if>
								</td>
								</tr>
							</c:forEach>
						</table>
						
						<util:jump offset="${offset}" rows="${param.rows}" nextOffset="${nextOffset}"/>
						
						<p>
							<c:url var="link" value="callDataSearchTable.jsp">
								<c:param name="afterDate" value="${param.afterDate}"/>
								<c:param name="afterTime" value="${param.afterTime}"/>
								<c:param name="beforeDate" value="${param.beforeDate}"/>
								<c:param name="beforeTime" value="${param.beforeTime}"/>
								<c:param name="agent" value="${param.agent}"/>
								<c:param name="result" value="${param.result}"/>
								<c:param name="campaign" value="${param.campaign}"/>
								<c:param name="lastResult" value="${param.lastResult}"/>
							</c:url>
		
							<a href="${link}"><fmt:message key="calldata.download"/></a>
						</p>
						
					</c:otherwise>
				</c:choose>
			</c:otherwise>
		</c:choose>	
	</div>
</fmt:bundle>
</body>
</html>


