<%pageContext.setAttribute("path","../");%>
<%@ include file="../menu.jsp" %>
<fmt:bundle basename="results">
	<div id="right">
		<c:choose>
			<c:when test="${empty param.campaign}">
			
				<h2><fmt:message key="nocall.maintitle"/></h2>

				<c:choose>
					<c:when test="${sessionScope.role eq \"admin\"}">
					    <sql:query var="rs2" dataSource="jdbc/callcenterRO">
							SELECT id, info
							FROM campanias
							ORDER BY info
					    </sql:query>
					</c:when>
					<c:otherwise>
					    <sql:query var="rs2" dataSource="jdbc/callcenterRO">
							SELECT c.id AS id, info
							FROM campanias c
							INNER JOIN ${sessionScope.ipcontactTable}.queue_users on c.info = queue
							INNER JOIN ${sessionScope.ipcontactTable}.users USING (username)
							INNER JOIN ${sessionScope.ipcontactTable}.supervisors_groups USING (group_id)
							WHERE user_id = '${sessionScope.username}'
							GROUP BY c.id
							ORDER BY info
					    </sql:query>
					</c:otherwise>
				</c:choose>
				
				<form method="get" name="formulario" action="noCallClients.jsp">	
					<table class="query">
						
						<tr class="plain">
							<td class="query"><fmt:message key="calldata.campaign"/>:</td>
							<td class="query">
								<select name="campaign">
									<option value="all" selected="selected"><fmt:message key="all.female"/></option>
									<c:forEach var="row" varStatus="stat" items="${rs2.rows}">
										<option value="${row.id}">${row.info}</option>
									</c:forEach>
								</select> 
							</td>
						</tr>
						<tr class="plain">
							<td class="query"><fmt:message key="nocall.label"/>:</td>
							<td class="query">
								<input name="label" type="text" size="20" maxlength="20"/>
								<select name="labelType">
									<option value="1"><fmt:message key="equals"/></option>
									<option value="2" selected="selected"><fmt:message key="contains"/></option>
									<option value="3"><fmt:message key="startswith"/></option>
									<option value="4"><fmt:message key="endswith"/></option>
								</select> 
							</td>
						</tr>
						<tr class="plain">
							<td class="query"><fmt:message key="calldata.results"/>:</td>
								<td>
								<input type="radio" name="rows" value="10"/><label>10</label>		
								<input type="radio" name="rows" value="25" checked="checked"/><label>25</label>		
								<input type="radio" name="rows" value="50"/><label>50</label>		
							</td>
						</tr>
						<tr class="plain">
							<td class="query" colspan="3">
								<fmt:message key="calldata.submit" var="submit"/>
								<input class="boton" type="submit" name="show" value="${submit}"/>
								<c:set var="submit" value=""/>
							</td>
						</tr>
					</table>			
				</form>
			</c:when>
		
			<c:otherwise>
	
				<c:choose>
					<c:when test="${param.campaign eq 'all'}">	
						<fmt:message key="all.female" var="camp"/>	
					</c:when>
					<c:otherwise>
						<sql:query var="rs" dataSource="jdbc/callcenterRO">
							SELECT info FROM campanias WHERE id = ${param.campaign}
						</sql:query>
						<c:set var="camp" value="${rs.rows[0].info}"/>
					</c:otherwise>
				</c:choose>
				
				<h2><fmt:message key="nocall.title"/> ${camp}</h2>
				
				<w:where var="conds">
					<c:if test="${param.campaign != \"all\"}">
						<w:condition attribute="id_campania" value="${param.campaign}"/>
					</c:if>
					<w:condition condition="NOT EXISTS (SELECT * from llamadas WHERE id_cliente = ci.id AND id_campania = ci.id_campania)"/>
					<c:if test="${sessionScope.role ne 'admin'}">
					    <w:condition condition="user_id = '${sessionScope.username}'"/>    
					</c:if>
					<w:condition attribute="etiqueta" comparator="${param.labelType}" value="${param.label}"/>
				</w:where>
				<c:set var="offset" value="${param.offset}"/>
		
				<c:if test="${empty offset}">
				  <c:set var="offset" value="0"/>
				</c:if>
		
				<c:choose>
					<c:when test="${sessionScope.role eq \"admin\"}">
					    <sql:query var="rs" dataSource="jdbc/callcenterRO">
							SELECT count(*) AS count
							FROM clientes
							INNER JOIN clientes_extrainfo ci USING (id)
							${conds}
					    </sql:query>
					</c:when>
					<c:otherwise>
					    <sql:query var="rs2" dataSource="jdbc/callcenterRO">
							SELECT COUNT(DISTINCT cli.id) AS count
							FROM clientes cli
							INNER JOIN clientes_extrainfo ci USING (id)
							INNER JOIN campanias c ON c.id = id_campania
							INNER JOIN ${sessionScope.ipcontactTable}.queue_users ON c.info = queue
							INNER JOIN ${sessionScope.ipcontactTable}.users USING (username)
							INNER JOIN ${sessionScope.ipcontactTable}.supervisors_groups USING (group_id)
							${conds}
					    </sql:query>
					</c:otherwise>
				</c:choose>
		
				<c:if test="${rs.rows[0].count > (offset + param.rows)}">
					<c:set var="nextOffset" value="true"/>
				</c:if> 
					
				<c:choose>
					<c:when test="${sessionScope.role eq \"admin\"}">
					    <!-- la variable sql es usada para generar los reportes -->
					    <c:set var="sql" scope="session" value=
						    "SELECT id, nombre, apellido, direccion, telefono, email, telefono2, telefono3, telefono4, telefono5
						    FROM clientes 
						    INNER JOIN clientes_extrainfo ci USING (id)
						    ${conds}
						    ORDER BY id"
					    /> 
					</c:when>
					<c:otherwise>
					    <!-- la variable sql es usada para generar los reportes -->
					    <c:set var="sql" scope="session" value=
						    "SELECT cli.id AS id, nombre, apellido, direccion, telefono, email, telefono2, telefono3, telefono4, telefono5
						    FROM clientes cli
						    INNER JOIN clientes_extrainfo ci USING (id)
						    INNER JOIN campanias c ON c.id = id_campania
						    INNER JOIN ${sessionScope.ipcontactTable}.queue_users ON c.info = queue
						    INNER JOIN ${sessionScope.ipcontactTable}.users USING (username)
						    INNER JOIN ${sessionScope.ipcontactTable}.supervisors_groups USING (group_id)
						    ${conds}
						    GROUP BY cli.id"
					    /> 
					</c:otherwise>
				</c:choose>
					
				<sql:query var="rs" dataSource="jdbc/callcenterRO">
					${sql} LIMIT ${param.rows} OFFSET ${offset}
				</sql:query>
				
				<form method="get" action="noCallClients.jsp" name="jumpForm">
					<input type="hidden" name="campaign" value="${param.campaign}"/>
					<input type="hidden" name="offset" value=""/>
					<input type="hidden" name="rows" value="${param.rows}"/>	
				</form>
		
				<c:choose>
					<c:when test="${empty rs.rows}">
						<p><fmt:message key="calldata.empty"/></p>
					</c:when>
					<c:otherwise>
						<table class="data">
							<tr class="tit">
								<th><fmt:message key="calldata.id"/></th>
								<th><fmt:message key="calldata.firstname"/></th>
								<th><fmt:message key="calldata.lastname"/></th>
								<th><fmt:message key="calldata.address"/></th>
								<th><fmt:message key="calldata.email"/></th>
								<th><fmt:message key="calldata.phone1"/></th>
								<th><fmt:message key="calldata.phone2"/></th>
								<th><fmt:message key="calldata.phone3"/></th>
								<th><fmt:message key="calldata.phone4"/></th>
								<th><fmt:message key="calldata.phone5"/></th>
							</tr>
							
							<c:forEach var="row" varStatus="stat" items="${rs.rows}">
								<c:choose>
									<c:when test="${stat.count % 2 == 0}">
										<tr class="even2">
									</c:when>
									<c:otherwise>
										<tr class="odd2">
									</c:otherwise>
								</c:choose>	
	
								<td class="data">${row.id}</td>	
								<td class="data">${row.nombre}</td>	
								<td class="data">${row.apellido}</td>	
								<td class="data">${row.direccion}</td>		
								<td class="data">${row.email}</td>
								<td class="data">${row.telefono}</td>
								<td class="data">${row.telefono2}</td>
								<td class="data">${row.telefono3}</td>
								<td class="data">${row.telefono4}</td>
								<td class="data">${row.telefono5}</td>
								</tr>
							</c:forEach>
						</table>
						
						<util:jump offset="${offset}" rows="${param.rows}" nextOffset="${nextOffset}"/>
						
						<c:url var="linkPDF" value="../servlet/ipcontact.Reports">
							<c:param name="reportFile" value="landscape-report.xml"/>
							<c:param name="template" value="noCall.xml"/>
							<c:param name="reportType" value="pdf"/>					
							<c:param name="filename" value="sinLlamar"/>
							<c:param name="db" value="java:comp/env/jdbc/callcenterRO"/>
							<c:if test="${not empty sessionScope.locale}">
								<c:param name="locale" value="${sessionScope.locale}"/>
							</c:if>
						</c:url>
						
						<c:url var="linkXLS" value="../servlet/ipcontact.Reports">
							<c:param name="reportFile" value="landscape-report.xml"/>
							<c:param name="template" value="noCall.xml"/>
							<c:param name="reportType" value="xls"/>					
							<c:param name="filename" value="sinLlamar"/>
							<c:param name="db" value="java:comp/env/jdbc/callcenterRO"/>
							<c:if test="${not empty sessionScope.locale}">
								<c:param name="locale" value="${sessionScope.locale}"/>
							</c:if>
						</c:url>
						
						<c:url var="linkCSV" value="../servlet/ipcontact.Reports">
							<c:param name="reportFile" value="landscape-report.xml"/>
							<c:param name="template" value="noCall.xml"/>
							<c:param name="reportType" value="csv"/>					
							<c:param name="filename" value="sinLlamar"/>
							<c:param name="db" value="java:comp/env/jdbc/callcenterRO"/>
							<c:if test="${not empty sessionScope.locale}">
								<c:param name="locale" value="${sessionScope.locale}"/>
							</c:if>
						</c:url>
						
						<%@ include file="../include/export.jsp" %>		
	
					</c:otherwise>
				</c:choose>
			</c:otherwise>
		</c:choose>	
	</div>
</fmt:bundle>
</body>
</html>


