<%pageContext.setAttribute("path","../");%>
<%@ include file="../menu.jsp" %>

<fmt:bundle basename="scheduled">
	<div id="right">
				
		<h2><fmt:message key="listscheduled.title"/></h2>
				
		<c:choose>
			<c:when test="${empty param.rows}">
				<c:choose>
					<c:when test="${sessionScope.role eq \"admin\"}">
						<sql:query var="rs" dataSource="jdbc/ipcontactRO">
							SELECT first_name, last_name, username
							FROM agents
							INNER JOIN users ON username = user
							ORDER BY first_name
						</sql:query>
					</c:when>
					<c:otherwise>
						<sql:query var="rs" dataSource="jdbc/ipcontactRO">
							SELECT first_name, last_name, username
							FROM agents
							INNER JOIN users on username = user
							INNER JOIN supervisors_groups USING (group_id)
							WHERE user_id = '${sessionScope.username}'
							ORDER BY first_name
						</sql:query>
					</c:otherwise>
				</c:choose>

				<c:choose>
					<c:when test="${sessionScope.role eq \"admin\"}">
					    <sql:query var="rs2" dataSource="jdbc/callcenterRO">
						SELECT id, info
						FROM campanias
						ORDER BY info
					    </sql:query>
					</c:when>
					<c:otherwise>
					    <sql:query var="rs2" dataSource="jdbc/callcenterRO">
						SELECT c.id AS id, info
						FROM campanias c
						INNER JOIN ${sessionScope.ipcontactTable}.queue_users on c.info = queue
						INNER JOIN ${sessionScope.ipcontactTable}.users USING (username)
						INNER JOIN ${sessionScope.ipcontactTable}.supervisors_groups USING (group_id)
						WHERE user_id = '${sessionScope.username}'
						GROUP BY c.id
						ORDER BY info
					    </sql:query>
					</c:otherwise>
				</c:choose>
					
				<form method="get" name="formulario" action="listScheduledCalls.jsp" target="_self">		
					<table class="query">
						<tr class="plain">
							<td class="query"><fmt:message key="after"/>:</td>
							<td class="query">
								<input name="afterDate" id="afterDate" type="text" size="10"/>
								<input name="afterTime" id="afterTime" type="text" size="5" value="00:00"/>
								<script type="text/javascript">
								<!--
									if (document.formulario.afterDate.value.length == 0)
										document.formulario.afterDate.value=getCurrentDate();
								-->
								</script>
								<fmt:message key="calendar" var="calendar"/>
								<img src="../calendar/calendar.jpg" title="${calendar}" alt="${calendar}" onclick="scwShow(document.getElementById('afterDate'),this);" />
							</td>
							<td class="query"></td>
						</tr>
						<tr class="plain">
							<td class="query"><fmt:message key="before"/>:</td>
							<td class="query">
								<input name="beforeDate" id="beforeDate" type="text" size="10"/>
								<input name="beforeTime" id="beforeTime" type="text" size="5"/>
								<script type="text/javascript">
								<!--
									if (document.formulario.beforeDate.value.length == 0)
										document.formulario.beforeDate.value=getCurrentDate();
									if (document.formulario.beforeTime.value.length == 0)
										document.formulario.beforeTime.value=getCurrentTime();
								-->
								</script>
								<img src="../calendar/calendar.jpg" title="${calendar}" alt="${calendar}" onclick="scwShow(document.getElementById('beforeDate'),this);" />
								<c:set var="calendar" value=""/>
							</td>
							<td class="query"></td>
						</tr>
						<tr class="plain">
							<td class="query"><fmt:message key="listscheduled.campaign"/>:</td>
							<td class="query">
								<select name="campaign">
									<option value="all" selected="selected"><fmt:message key="all.female"/></option>
									<c:forEach var="row" varStatus="stat" items="${rs2.rows}">
										<option value="${row.id}">${row.info}</option>
									</c:forEach>
								</select> 
							</td>
							<td class="query"></td>
						</tr>
						<tr class="plain">
							<td class="query"><fmt:message key="listscheduled.agent"/>:</td>
							<td class="query">
								<select name="agente">
									<option value="all" selected="selected"><fmt:message key="all.male"/></option>
									<c:forEach var="row" varStatus="stat" items="${rs.rows}">
										<option value="${row.username}">${row.first_name} ${row.last_name}</option>
									</c:forEach>
								</select> 
							</td>
							<td class="query"></td>
						</tr>
						<tr class="plain">
							<td class="query"><fmt:message key="listscheduled.telephone"/>:</td>
							<td class="query">
								<input name="telephone" type="text" size="20" maxlength="20"/>
							</td>
							<td class="query">
								<select name="telephoneType">
									<option value="1"><fmt:message key="equals"/></option>
									<option value="2" selected="selected"><fmt:message key="contains"/></option>
									<option value="3"><fmt:message key="startswith"/></option>
									<option value="4"><fmt:message key="endswith"/></option>
								</select>
							</td>
						</tr>
						<tr class="plain">
							<td class="query"><fmt:message key="listscheduled.procesed"/></td>
							<td class="query">
								<input type="radio" name="processed" value="all" checked="checked"/><label><fmt:message key="all.female"/></label>		
								<input type="radio" name="processed" value="1"/><label><fmt:message key="yes"/></label>
								<input type="radio" name="processed" value="0"/><label><fmt:message key="no"/></label>
							</td>
							<td class="query"></td>
						</tr>
						<tr class="plain">
							<td class="query"><fmt:message key="listscheduled.results"/>:</td>
							<td class="query">
								<input type="radio" name="rows" value="10"/><label>10</label>		
								<input type="radio" name="rows" value="25" checked="checked"/><label>25</label>		
								<input type="radio" name="rows" value="50"/><label>50</label>		
							</td>
							<td class="query"></td>
						</tr>
						<tr class="plain">
							<td class="query" colspan="3">
								<fmt:message key="listscheduled.submit" var="submit"/>
								<input class="boton" type="submit" name="submit" value="${submit}"/>
								<c:set var="submit" value=""/>
							</td>
						</tr>
					</table>
				</form>
			</c:when>
		
			<c:otherwise>
		
				<w:where var="conds">
					<w:condition attribute="fecha" afterDate="${param.afterDate}" afterTime="${param.afterTime}"/>
					<w:condition attribute="fecha" beforeDate="${param.beforeDate}" beforeTime="${param.beforeTime}"/>
					<c:if test="${param.agente != \"all\"}">
						<w:condition attribute="username" value="${param.agente}"/>
					</c:if>
					<c:if test="${param.processed != \"all\"}">
						<w:condition attribute="procesada" value="${param.processed}"/>
					</c:if>
					<c:if test="${param.campaign != \"all\"}">
						<w:condition attribute="id_campania" value="${param.campaign}"/>
					</c:if>
					<c:if test="${sessionScope.role ne 'admin'}">
					    <w:condition condition="user_id = '${sessionScope.username}'"/>    
					</c:if>
					<c:if test="${param.telephone != \"\"}">
						<w:condition attribute="telefono" comparator="${param.telephoneType}" value="${param.telephone}"/>
					</c:if>
				</w:where>
		
				<c:set var="offset" value="${param.offset}"/>
		
				<c:if test="${empty offset}">
					<c:set var="offset" value="0"/>
				</c:if>
		
				<c:choose>
					<c:when test="${sessionScope.role eq \"admin\"}">
					    <sql:query var="rs" dataSource="jdbc/callcenterRO">
						SELECT count(*) AS count 
						FROM llamadas_agendadas
						INNER JOIN ${sessionScope.ipcontactTable}.users ON username = agente 
						INNER JOIN campanias c ON id_campania = c.id
						${conds}
					    </sql:query>
					</c:when>
					<c:otherwise>
					    <sql:query var="rs2" dataSource="jdbc/callcenterRO">
						SELECT COUNT(DISTINCT ag.id) AS count
						FROM llamadas_agendadas ag
						INNER JOIN ${sessionScope.ipcontactTable}.users ON username = agente
						INNER JOIN campanias c ON c.id = id_campania
						INNER JOIN ${sessionScope.ipcontactTable}.supervisors_groups USING (group_id)
						${conds}
					    </sql:query>
					</c:otherwise>
				</c:choose>

				<c:if test="${rs.rows[0].count > (offset + param.rows)}">
					<c:set var="nextOffset" value="true"/>
				</c:if>
		
				<c:choose>
					<c:when test="${sessionScope.role eq \"admin\"}">
						<c:set var="sql" scope="session" value=
							"SELECT first_name, last_name, ag.id, DATE_FORMAT(fecha, '%d/%m/%Y %T') AS fechaf, procesada, id_campania, info, ag.telefono
							FROM llamadas_agendadas ag
							INNER JOIN ${sessionScope.ipcontactTable}.users ON username = agente
							INNER JOIN campanias c ON id_campania = c.id
							${conds}
							ORDER BY fecha"
					    />
					</c:when>
					<c:otherwise>
						<c:set var="sql" scope="session" value=
							"SELECT first_name, last_name, ag.id, DATE_FORMAT(fecha, '%d/%m/%Y %T') AS fechaf, procesada, id_campania, info, ag.telefono
							FROM llamadas_agendadas ag
							INNER JOIN ${sessionScope.ipcontactTable}.users ON username = agente
							INNER JOIN campanias c ON id_campania = c.id
							INNER JOIN ${sessionScope.ipcontactTable}.supervisors_groups USING (group_id)
							${conds}
							ORDER BY fecha"
					    />
					</c:otherwise>
				</c:choose>

				<sql:query var="rs" dataSource="jdbc/callcenterRO">
					${sql} LIMIT ${param.rows} OFFSET ${offset}
				</sql:query>
		
				<form method="get" action="listScheduledCalls.jsp" name="jumpForm">
					<input type="hidden" name="afterDate" value="${param.afterDate}"/>
					<input type="hidden" name="afterTime" value="${param.afterTime}"/>
					<input type="hidden" name="beforeDate" value="${param.beforeDate}"/>
					<input type="hidden" name="beforeTime" value="${param.beforeTime}"/>
					<input type="hidden" name="agente" value="${param.agente}"/>
					<input type="hidden" name="procesada" value="${param.processed}"/>
					<input type="hidden" name="campaign" value="${param.campaign}"/>
					<input type="hidden" name="telephone" value="${param.telephone}"/>
					<input type="hidden" name="offset" value=""/>
					<input type="hidden" name="rows" value="${param.rows}"/>	
				</form>
		
				<form method="post" action="delScheduledCall.jsp" name="deleteForm" target="_self">
					<input type="hidden" name="id"/>
					<input type="hidden" name="idc"/>
					<input type="hidden" name="afterDate" value="${param.afterDate}"/>
					<input type="hidden" name="afterTime" value="${param.afterTime}"/>
					<input type="hidden" name="beforeDate" value="${param.beforeDate}"/>
					<input type="hidden" name="beforeTime" value="${param.beforeTime}"/>
					<input type="hidden" name="agente" value="${param.agente}"/>
					<input type="hidden" name="procesada" value="${param.processed}"/>
					<input type="hidden" name="campaign" value="${param.campaign}"/>
					<input type="hidden" name="telephone" value="${param.telephone}"/>
					<input type="hidden" name="offset" value="${offset}"/>
					<input type="hidden" name="rows" value="${param.rows}"/>	
				</form>
		
				<form method="get" action="addScheduledCall.jsp" name="editForm" target="_self">
					<input type="hidden" name="id"/>
					<input type="hidden" name="idc"/>
				</form>
			
				<c:if test="${not empty sessionScope.message}">
					<c:set var="class" value="error"/>
					<c:if test="${sessionScope.messageType eq \"error\"}">
						<c:set var="class" value="error"/>
					</c:if>
					<c:if test="${sessionScope.messageType eq \"ok\"}">
						<c:set var="class" value="ok"/>
					</c:if>
					<div class="${class}">
						<c:set var="class" value=""/>
						<c:choose>
							<c:when test="sessionScope.message eq \"updated\"">
								<fmt:message key="addscheduled.updated">
									<fmt:param value="sessionScope.updated"/>
								</fmt:message>
							</c:when>
							<c:when test="sessionScope.message eq \"added\"">
								<fmt:message key="addscheduled.added">
									<fmt:param value="sessionScope.added"/>
								</fmt:message>
							</c:when>
							<c:otherwise>
								${sessionScope.message}
							</c:otherwise>
						</c:choose>
						<c:set var="message" value="" scope="session"/>
					</div>
				</c:if>
		
				<c:choose>
					<c:when test="${not empty rs.rows}">
						<table class="data">	
							<tr class="tit">
								<th><fmt:message key="listscheduled.agent"/></th>
								<th><fmt:message key="listscheduled.id"/></th>
								<th><fmt:message key="listscheduled.campaign"/></th>
								<th><fmt:message key="listscheduled.telephone"/></th>
								<th><fmt:message key="listscheduled.date"/></th>
								<th><fmt:message key="listscheduled.procesed.female"/></th>
								<th/>
								<th/>
							</tr>
				
							<c:forEach var="row" varStatus="stat" items="${rs.rows}">
								<c:choose>
									<c:when test="${stat.count % 2 == 0}">
										<tr class="even">
									</c:when>
									<c:otherwise>
										<tr class="odd">
									</c:otherwise>
								</c:choose>	
								<td class="data">${row.first_name} ${row.last_name}</td>	
								<td class="data">${row.id}</td>	
								<td class="data">${row.info}</td>
								<td class="data">${row.telefono}</td>
								<td class="data">${row.fechaf}</td>	
								<td class="data">
									<c:choose>
										<c:when test="${row.procesada}"><fmt:message key="yes"/></c:when>
										<c:otherwise><fmt:message key="no"/></c:otherwise>
									</c:choose>
								</td>	
								<td class="data">
									<a class="link" href="javascript:edit2('${row.id}', '${row.id_campania}')"><fmt:message key="edit"/></a>
								</td>
								<td class="data">
									<fmt:message key="listscheduled.delete.question" var="question"/>
									<a class="link" href="javascript:del2('${row.id}', '${row.id_campania}', '${question}')"><fmt:message key="delete"/></a>
									<c:set var="question" value=""/>
								</td>
							</tr>
							</c:forEach>
						</table>
				
						<util:jump offset="${offset}" rows="${param.rows}" nextOffset="${nextOffset}"/>

						<c:url var="linkPDF" value="../servlet/ipcontact.Reports">
							<c:param name="reportFile" value="portrait-report.xml"/>
							<c:param name="template" value="scheduled.xml"/>
							<c:param name="reportType" value="pdf"/>
							<c:param name="filename" value="agenda"/>
							<c:param name="begin" value="${param.afterDate} ${param.afterTime}"/>
							<c:param name="end" value="${param.beforeDate} ${param.beforeTime}"/>
							<c:param name="db" value="java:comp/env/jdbc/callcenterRO"/>
							<c:if test="${not empty sessionScope.locale}">
								<c:param name="locale" value="${sessionScope.locale}"/>
							</c:if>
						</c:url>

						<c:url var="linkXLS" value="../servlet/ipcontact.Reports">
							<c:param name="reportFile" value="portrait-report.xml"/>
							<c:param name="template" value="scheduled.xml"/>
							<c:param name="reportType" value="xls"/>
							<c:param name="filename" value="agenda"/>
							<c:param name="begin" value="${param.afterDate} ${param.afterTime}"/>
							<c:param name="end" value="${param.beforeDate} ${param.beforeTime}"/>
							<c:param name="db" value="java:comp/env/jdbc/callcenterRO"/>
							<c:if test="${not empty sessionScope.locale}">
								<c:param name="locale" value="${sessionScope.locale}"/>
							</c:if>
						</c:url>

						<c:url var="linkCSV" value="../servlet/ipcontact.Reports">
							<c:param name="reportFile" value="portrait-report.xml"/>
							<c:param name="template" value="scheduled.xml"/>
							<c:param name="reportType" value="csv"/>
							<c:param name="filename" value="agenda"/>
							<c:param name="begin" value="${param.afterDate} ${param.afterTime}"/>
							<c:param name="end" value="${param.beforeDate} ${param.beforeTime}"/>
							<c:param name="db" value="java:comp/env/jdbc/callcenterRO"/>
							<c:if test="${not empty sessionScope.locale}">
								<c:param name="locale" value="${sessionScope.locale}"/>
							</c:if>
						</c:url>

						<%@ include file="../include/export.jsp" %>
						
					</c:when>
					<c:otherwise>
						<p><fmt:message key="listscheduled.empty"/>.</p>
					</c:otherwise>
				</c:choose>
			</c:otherwise>	
		</c:choose>
	</div>
</fmt:bundle>
</body>
</html>