<%pageContext.setAttribute("path","../");%>
<%@ include file="../menu.jsp" %>

<div id="right">
	<fmt:bundle basename="statistics">
		<c:choose>
			<c:when test="${empty param.afterDate}">
				
				<c:choose>
					<c:when test="${sessionScope.role eq \"admin\"}">
						<sql:query var="rs" dataSource="jdbc/callcenterRO">
							SELECT info, c.id AS id 
							FROM campanias c
							INNER JOIN ${sessionScope.ipcontactTable}.outgoing_profile ON queue = info 
							WHERE predictive = '1'
							ORDER BY info
						</sql:query>
					</c:when>
					<c:otherwise>
					    <sql:query var="rs" dataSource="jdbc/callcenterRO">
							SELECT c.id AS id, info
							FROM campanias c
							INNER JOIN ${sessionScope.ipcontactTable}.outgoing_profile o ON o.queue = info
							INNER JOIN ${sessionScope.ipcontactTable}.queue_users USING (queue)
							INNER JOIN ${sessionScope.ipcontactTable}.users USING (username)
							INNER JOIN ${sessionScope.ipcontactTable}.supervisors_groups USING (group_id)
							WHERE user_id = '${sessionScope.username}' AND o.predictive = '1'
							GROUP BY c.id
							ORDER BY info
					    </sql:query>
					</c:otherwise>
				</c:choose>
						
				<h2><fmt:message key="reportcampaignsdata.title"/></h2>
					<form method="get" name="formulario" action="reportCampaignsData.jsp">
	 					<table class="query">
		            		<tr class="plain">
								<td class="query"> <fmt:message key="reportcampaignsdata.from"/>: </td>
								<td class="query">
									<input name='afterDate' id='date' type='text' size='10'/>
									<input name='afterTime' id='afterTime' type='text' size='5'/>
									<script type="text/javascript">
									<!--
										if (document.formulario.date.value.length == 0)
											document.formulario.date.value=getCurrentDate();
										if (document.formulario.afterTime.value.length == 0)
											document.formulario.afterTime.value="00:00";
									-->
									</script>
									<img src='../calendar/calendar.jpg' title='<fmt:message key="reportcampaignsdata.calendar"/>' alt='<fmt:message key="reportcampaignsdata.calendar"/>' onclick="scwShow(document.getElementById('date'),this);" />
								</td>
							</tr>
							<tr class="plain">
								<td class="query"> <fmt:message key="reportcampaignsdata.to"/>: </td>
								<td class="query">
									<input name='beforeDate' id='beforeDate' type='text' size='10'/>
									<input name='beforeTime' id='beforeTime' type='text' size='5'/>
									<script type="text/javascript">
									<!--
										if (document.formulario.beforeDate.value.length == 0)
											document.formulario.beforeDate.value=getCurrentDate();
										if (document.formulario.beforeTime.value.length == 0)
											document.formulario.beforeTime.value=getCurrentTime();
									-->
									</script>
									<img src='../calendar/calendar.jpg' title='<fmt:message key="reportcampaignsdata.calendar"/>' alt='<fmt:message key="reportcampaignsdata.calendar"/>' onclick="scwShow(document.getElementById('beforeDate'),this);" />
								</td> 
							</tr>
							<tr class="plain">
								<td class="query"><fmt:message key="reportcampaignsdata.campaign"/>:</td>
								<td class="query">
									<select name="campaign">
										<option value="all" selected="selected"><fmt:message key="all.female"/></option>
										<c:forEach var="row" varStatus="stat" items="${rs.rows}">
											<option value="${row.id}">${row.info}</option>
										</c:forEach>
									</select> 
								</td>
							</tr>
							
							<tr class="plain">
								<td class="query"><fmt:message key="reportcampaignsdata.label"/>:</td>
								<td class="query">
									<input name="label" type="text" size="20" maxlength="20"/>
									<select name="labelType">
										<option value="1"><fmt:message key="equals"/></option>
										<option value="2" selected="selected"><fmt:message key="contains"/></option>
										<option value="3"><fmt:message key="startswith"/></option>
										<option value="4"><fmt:message key="endswith"/></option>
									</select> 
								</td>
							</tr>
							
							<tr class="plain">
								<td class="query" colspan="3">
									<fmt:message key="reportcampaignsdata.submit" var="submit"/>
									<input class="boton" type="submit" name="show" value="${submit}"/>
									<c:set var="submit" value=""/>
								</td>
							</tr>
							
						</table>
					</form>
				</c:when>
				<c:otherwise>
				
					<h3><fmt:message key="reportcampaignsdata.title"/></h3>
					<h3>
						<table>
							<tr>
								<td><fmt:message key="reportcampaignsdata.from"/>:</td>
								<td>${param.afterDate}</td>
								<td>${param.afterTime}</td>
							</tr>
							<tr>
								<td><fmt:message key="reportcampaignsdata.to"/>:</td>
								<td>${param.beforeDate}</td>
								<td>${param.beforeTime}</td>
							</tr>
						</table>
					</h3>
					
					<w:where var="conds">
						<w:condition attribute="fecha" afterDate="${param.afterDate}" afterTime="${param.afterTime}"/>
						<w:condition attribute="fecha" beforeDate="${param.beforeDate}" beforeTime="${param.beforeTime}"/>
						<w:condition attribute="etiqueta" comparator="${param.labelType}" value="${param.label}"/>
						<c:choose>
							<c:when test="${param.campaign != \"all\"}">
								<w:condition attribute="ll.id_campania" value="${param.campaign}"/>
							</c:when>
							<c:otherwise>
								<w:condition attribute="o.predictive" value="1" />
								<c:if test="${sessionScope.role ne \"admin\"}">
									<w:condition condition="
										ll.id_campania IN (
											SELECT camp.id
											FROM campanias camp
											INNER JOIN ${sessionScope.ipcontactTable}.queue_users ON queue = camp.info
											INNER JOIN ${sessionScope.ipcontactTable}.users USING (username)
											INNER JOIN ${sessionScope.ipcontactTable}.supervisors_groups USING (group_id)
											WHERE user_id = '${sessionScope.username}'
										)"
									/>
								</c:if>
							</c:otherwise>
						</c:choose>
					</w:where>
										
					<c:set var="sql" scope="session" value="
						SELECT count(*) AS count,
						sum(ll.resultado >= 0) AS exitosas,
						sum(ll.resultado = -1) AS error,
						sum(ll.resultado = -2) AS perdidas,
						sum(ll.resultado = -3) AS nocontesta,
						sum(ll.resultado = -4) AS ocupado,
						CAST(SEC_TO_TIME(SUM(IF(status <> 3, duration - wait_time, 0)) / COUNT(IF(status <> 3, 1, 0))) AS CHAR) AS answered_avg_time,
						CAST(SEC_TO_TIME(AVG(wait_time)) AS CHAR) AS avg_wait_time,
						CAST(SEC_TO_TIME(MAX(wait_time)) AS CHAR) AS max_wait_time,
						DATE_FORMAT(fecha, '%d/%m/%Y') AS Grupo, o.queue AS nombre
						FROM llamadas ll
						INNER JOIN clientes_extrainfo ce ON ce.id=ll.id_cliente
						INNER JOIN ${sessionScope.ipcontactTable}.outgoing_profile o ON o.id = ll.id_campania
						LEFT JOIN ${sessionScope.ipcontactTable}.cdr c ON c.uniqueid = ll.id
						LEFT JOIN ${sessionScope.ipcontactTable}.callinfo ci ON ci.uniqueid = ll.id
						${conds}
						GROUP BY nombre, DATE(fecha)"
					/>

					<sql:query var="rs" dataSource="jdbc/callcenterRO">
						${sql}
					</sql:query>
				
					<table class="data">
		    			<tr class="tit">
		    			<th><fmt:message key="reportcampaignsdata.name"/></th>
		    			<th><fmt:message key="reportcampaignsdata.day"/></th>
						<th><fmt:message key="reportcampaignsdata.calls"/></th>
						<th><fmt:message key="reportcampaignsdata.contacted"/></th>
						<th><fmt:message key="reportcampaignsdata.lost"/></th>
						<th><fmt:message key="reportcampaignsdata.error"/></th>
						<th><fmt:message key="reportcampaignsdata.noanswer"/></th>
						<th><fmt:message key="reportcampaignsdata.busy"/></th>
						<th><fmt:message key="reportcampaignsdata.durationaverage"/></th>
						<th><fmt:message key="reportcampaignsdata.maxwaiting"/></th>
						<th><fmt:message key="reportcampaignsdata.waitingaverage"/></th>
		    			</tr>	
					
						<c:forEach var="row" varStatus="stat" items="${rs.rows}">
						<c:choose>
							<c:when test="${stat.count % 2 == 0}">
								<tr class="even">
							</c:when>
							<c:otherwise>
								<tr class="odd">
							</c:otherwise>
						</c:choose>
							
							<td class="data">${row.nombre}</td>
							<td class="data">${row.Grupo}</td>
							<td class="data">${row.count}</td>	
							<td class="data">${row.exitosas}</td>
							<td class="data">${row.perdidas}</td>
							<td class="data">${row.error}</td>
							<td class="data">${row.nocontesta}</td>
							<td class="data">${row.ocupado}</td>
							<td class="data">${row.answered_avg_time}</td>
							<td class="data">${row.max_wait_time}</td>
							<td class="data">${row.avg_wait_time}</td>
						</c:forEach>
					</table>
					
					<c:url var="linkPDF" value="../servlet/ipcontact.Reports">
							<c:param name="reportFile" value="landscape-report.xml"/>
							<c:param name="template" value="campania.xml"/>
							<c:param name="reportType" value="pdf"/>					
							<c:param name="filename" value="campaigns"/>
							<c:param name="begin" value="${param.afterDate} ${param.afterTime}"/>
							<c:param name="end" value="${param.beforeDate} ${param.beforeTime}"/>
							<c:param name="db" value="java:comp/env/jdbc/callcenterRO"/>
							<c:if test="${not empty sessionScope.locale}">
								<c:param name="locale" value="${sessionScope.locale}"/>
							</c:if>
						</c:url>
						
						<c:url var="linkXLS" value="../servlet/ipcontact.Reports">
							<c:param name="reportFile" value="landscape-report.xml"/>
							<c:param name="template" value="campania.xml"/>
							<c:param name="reportType" value="xls"/>					
							<c:param name="filename" value="campaigns"/>
							<c:param name="begin" value="${param.afterDate} ${param.afterTime}"/>
							<c:param name="end" value="${param.beforeDate} ${param.beforeTime}"/>
							<c:param name="db" value="java:comp/env/jdbc/callcenterRO"/>
							<c:if test="${not empty sessionScope.locale}">
								<c:param name="locale" value="${sessionScope.locale}"/>
							</c:if>
						</c:url>
						
						<c:url var="linkCSV" value="../servlet/ipcontact.Reports">
							<c:param name="reportFile" value="landscape-report.xml"/>
							<c:param name="template" value="campania.xml"/>
							<c:param name="reportType" value="csv"/>					
							<c:param name="filename" value="campaigns"/>
							<c:param name="begin" value="${param.afterDate} ${param.afterTime}"/>
							<c:param name="end" value="${param.beforeDate} ${param.beforeTime}"/>
							<c:param name="db" value="java:comp/env/jdbc/callcenterRO"/>
							<c:if test="${not empty sessionScope.locale}">
								<c:param name="locale" value="${sessionScope.locale}"/>
							</c:if>
						</c:url>
						
						<%@ include file="../include/export.jsp" %>
		
		
		
		</c:otherwise>
	</c:choose>
    </fmt:bundle>
</div>
</body>
</html>
