<%@ include file="./header.jsp" %>
<fmt:bundle basename="base">
	<form method="post" action="./servlet/ipcontact.ClientLogin" name="login" target="_self"> 
		<div id="login-box">
			<ul class="menu">
				<li class="menutit">Login</li>
				<li class="menu">
					<label for="username"><fmt:message key="index.user"/></label>
					<br/>
					<input class="loginput" name="username" size="20" type="text"/>
					<br/>
					<br/>
					<label for="password"><fmt:message key="index.secret"/></label>
					<br/>
					<input class="loginput" name="password" size="20" type="password"/>
					<br/>
					<br/>
					<input class="boton" type="submit" value="<fmt:message key='index.submit'/>"/>
					<br/>
					<br/>
					<div class="login-languages">
						<a href="./index.jsp?lang=es" alt="<fmt:message key='index.spanish'/>">
							<img class="login-languages" src="include/uy_flag.png" alt="<fmt:message key='index.spanish'/>"/>
						</a>  
						<a href="./index.jsp?lang=en" alt="<fmt:message key='index.english'/>">
							<img class="login-languages" src="include/uk_flag.png" alt="<fmt:message key='index.english'/>"/>
						</a>  
						<a href="./index.jsp?lang=pt" alt="<fmt:message key='index.brazilian'/>">
							<img class="login-languages" src="include/br_flag.png" alt="<fmt:message key='index.brazilian'/>"/>
						</a>
					</div>
				</li>	
			</ul>
	
			<c:choose>
				<c:when test="${empty sessionScope.error}">
					<p class="login"><fmt:message key="index.error"/></p>
				</c:when>
				<c:otherwise>
					<c:if test="${not empty sessionScope.localizederror}">
						<p class="login-err"><fmt:message key="${sessionScope.localizederror}"/></p>
					</c:if>
					<c:if test="${not empty sessionScope.error}">
						<p class="login-err">${sessionScope.error}</p>
					</c:if>
				</c:otherwise>
			</c:choose>
		</div>
	</form>
	<noscript>
		<p class="login-err"><fmt:message key="index.javascript"/></p>
	</noscript>
</fmt:bundle>
</body>
</html>

