		<%@ include file="header.jsp" %>
		<fmt:bundle basename="base">
			<form method="post" action="./servlet/ipcontact.ClientLogin" name="login"> 
				<div id="login-box">
					<ul class="menu">
						<li class="menutit">Login</li>
						<li class="menu">
							<label for="username"><fmt:message key="index.user"/></label>
							<br/>
							<input class="loginput" name="username" size="20" type="text"/>
							<br/>
							<br/>
							<label for="password"><fmt:message key="index.secret"/></label>
							<br/>
							<input class="loginput" name="password" size="20" type="password"/>
							<br/>
							<br/>
							<fmt:message key="index.submit" var="submit"/>
							<input class="boton" type="submit" value="${submit}"/>
							<br/>
							<br/>
							<div class="login-languages">
								<a href="./index.jsp?lang=es" alt="<fmt:message key='index.spanish'/>">
									<img class="login-languages" src="include/uy_flag.png" alt="<fmt:message key='index.spanish'/>"/>
								</a>  
								<a href="./index.jsp?lang=en" alt="<fmt:message key='index.english'/>">
									<img class="login-languages" src="include/uk_flag.png" alt="<fmt:message key='index.english'/>"/>
								</a>  
								<a href="./index.jsp?lang=pt" alt="<fmt:message key='index.brazilian'/>">
									<img class="login-languages" src="include/br_flag.png" alt="<fmt:message key='index.brazilian'/>"/>
								</a>
							</div>
						</li>	
					</ul>
			
					<c:choose>
						<c:when test="${empty sessionScope.error}">
							<p class="login"><fmt:message key="index.login"/></p>
						</c:when>
						<c:otherwise>
							<c:choose>
								<c:when test="${sessionScope.error eq \"index.error.database\"}">
									<p class="login-err"><fmt:message key="index.error.database"/></p>
								</c:when>
								<c:when test="${sessionScope.error eq \"index.error.incorrect\"}">
									<p class="login-err"><fmt:message key="index.error.incorrect"/></p>
								</c:when>
								<c:when test="${sessionScope.error eq \"index.error.server\"}">
									<p class="login-err"><fmt:message key="index.error.server"/></p>
								</c:when>
								<c:when test="${sessionScope.error eq \"index.error.expired\"}">
									<p class="login-err"><fmt:message key="index.error.expired"/></p>
								</c:when>
								<c:when test="${sessionScope.error eq \"index.error.restricted\"}">
									<p class="login-err"><fmt:message key="index.error.restricted"/></p>
								</c:when>
								<c:otherwise>
									<p class="login-err">${sessionScope.error}</p>
								</c:otherwise>
							</c:choose>
						</c:otherwise>
					</c:choose>
				</div>
			</form>
			<noscript>
				<p class="login-err"><fmt:message key="index.javascript"/></p>
			</noscript>
		</fmt:bundle>
	</body>
</html>