		<%pageContext.setAttribute("path","../");%>
		<%@ include file="../menu.jsp" %>
		
		<div id="right">
			<fmt:bundle basename="others">
				<h2><fmt:message key="barge.title"/></h2>			
			
				<c:choose>
					<c:when test="${sessionScope.role eq 'admin'}">
						<sql:query var="rs" dataSource="jdbc/ipcontactRO">
							SELECT first_name, last_name, slave_exten 
							FROM slaves
							INNER JOIN users USING (username)
							ORDER BY slave_exten
						</sql:query>
					</c:when>
					<c:when test="${sessionScope.role eq 'supervisor' or sessionScope.role eq 'manager'}">
						<sql:query var="rs" dataSource="jdbc/ipcontactRO">
							SELECT first_name, last_name, slave_exten 
							FROM slaves
							INNER JOIN users USING (username)
							INNER JOIN supervisors_groups USING (group_id) 
							WHERE user_id = '${sessionScope.username}'
							ORDER BY slave_exten
						</sql:query>
					</c:when>
				</c:choose>
			
				<c:choose>
					<c:when test='${not empty rs.rows}'>
						<form method="post" action="doBarge.jsp">
							<table class="data">	
								<tr class="tit">
									<th><fmt:message key="barge.extension"/></th>
									<th><fmt:message key="barge.user"/></th>
									<th></th>
								</tr>
							
								<c:forEach var="row" varStatus="stat" items="${rs.rows}">
									<c:choose>
										<c:when test="${stat.count % 2 == 0}">
											<tr class="even">
										</c:when>
										<c:otherwise>
											<tr class="odd">
										</c:otherwise>
									</c:choose>	
												<td class="data">${row.slave_exten}</td>	
												<td class="data">${row.first_name} ${row.last_name}</td>	
												<td class="data">	
													<input type="radio" name="dest" value="${row.slave_exten}"/>		
												</td>
											</tr>
								</c:forEach>
							</table>
					
							<br/>
					
							<table class="query">
								<tr class="plain">
					    		    <td class="query"><fmt:message key="barge.extension"/>:</td>
									<td class="query"><input type="text" size="4" name="source"/></td>
								</tr>
								<c:if test="${!sessionScope.asterisk12}">
									<tr class="plain">
	                                    <td class="query"><fmt:message key="barge.interactive"/>:</td>
	                                    <td class="query"><input type="checkbox" name="interactive"/></td>
	                                </tr>
                                </c:if>
								<tr class="plain">
									<td class="query" colspan="2">
									    <fmt:message key="barge.monitor" var="submit"/>
										<input class="boton" type="submit" name="submit" value="${submit}"/>
										<c:set var="submit" value=""/>
									</td>
								</tr>
							</table>
						</form>
					</c:when>
					<c:otherwise>
						<p><fmt:message key="barge.empty"/></p>
					</c:otherwise>
				</c:choose>
				<c:if test="${!empty param.result}">
					<p class="login-err">${param.result}</p>
				</c:if>
			</fmt:bundle>
		</div>
	</body>
</html>



