<%pageContext.setAttribute("path","../../");%>
<%@ include file="../../menu.jsp" %>

<div id="right">

<h1>Listado de horas de trabajo</h1>

<c:choose>
	<c:when test='${empty param.agent}'>
		<form name="formulario" method="get" action="listWorktime.jsp" target="_self">
			<table class="query">
			<tr class="plain">
				<td class="query"> Posterior a: </th>
				<td class="query"> 
					<input name='afterDate' id='afterDate' type='text' size='10'/>
					<script type="text/javascript">
					<!--
						if (document.formulario.afterDate.value.length == 0)
							document.formulario.afterDate.value=getCurrentDate();
					-->
					</script>
					<img src='../../calendar/calendar.jpg' title='Calendario' alt='Calendario' onclick="scwShow(document.getElementById('afterDate'),this);" />
				</td> 
			</tr>
			<tr class="plain">
				<td class="query"> Anterior a: </td>
				<td class="query"> 
					<input name='beforeDate' id='beforeDate' type='text' size='10'/>
					<script type="text/javascript">
					<!--
						if (document.formulario.beforeDate.value.length == 0)
							document.formulario.beforeDate.value=getCurrentDate();
					-->
					</script>
					<img src='../../calendar/calendar.jpg' title='Calendario' alt='Calendario' onclick="scwShow(document.getElementById('beforeDate'),this);" />
				</td> 
			</tr>
			<tr class="plain">
				<sql:query var="rs" dataSource="jdbc/ipcontact">
					SELECT first_name, last_name, user 
					FROM users, agents
					WHERE username = user
					ORDER BY first_name
				</sql:query>
				<td class="query"> Agente: </td>
				<td class="query">
					<select name="agent">
						<c:forEach var="row" items="${rs.rows}">
							<option value="${row.user}">${row.first_name} ${row.last_name}</option>
						</c:forEach>
					</select>
				</td>	
			</tr>
			<tr class="plain">
				<td class="query" colspan="2">
					<input class="boton" type="submit" value="Enviar"/>
				</td>
			</tr>
			</table>
		</form>
	</c:when>

	<c:otherwise>

		<jsp:useBean id="workTime" class="ipcontact.clearing.WorkTimeBean" scope="page">
			<jsp:setProperty name="workTime" property="*"/> 
		</jsp:useBean>

		<c:set var='table' value='${workTime.table}' scope='session'/>
		<c:set var='sizes' value='${workTime.rowSizes}' scope='session'/>
		<c:set var='maxSize' value='${workTime.maxSize}' scope='session'/>
		<c:set var='less' value='${workTime.less}' scope='session'/>
		<c:set var='more' value='${workTime.more}' scope='session'/>

		<h2>Horas trabajadas por el agente <i>${param.agent}</i> entre el ${param.afterDate} y el ${param.beforeDate}</h2>

		<c:choose>
			<c:when test='${empty table}'>
				<h3>El agente no trabaj&oacute; en el per&iacute;odo seleccionado</h3>
			</c:when>

			<c:otherwise>

				<table class="data">
					<tr class='tit'>
						<c:set var='num' value='1'/>
						<th>Fecha</th>
						<c:forEach var='i' begin='1' varStatus="stat" end='${maxSize - 3}'>
							<c:choose>
								<c:when test="${stat.count % 2 == 0}">
									<th>Salida #${num}</th>
									<c:set var='num' value='${num + 1}'/>
								</c:when>
								<c:otherwise>
									<th>Entrada #${num}</th>
								</c:otherwise>
							</c:choose>
						</c:forEach>
						<th>Menos</th>
						<th>M&aacute;s</th>
					</tr>

					<c:forEach var="row" varStatus="stat" items="${table}">
						<c:set var='count' value='0'/>
						<c:choose>	
							<c:when test="${stat.count % 2 == 0}">
								<tr class="even">
							</c:when>
							<c:otherwise>
								<tr class="odd">
							</c:otherwise>
						</c:choose>

						<c:forEach var="element" begin="0" end="${sizes[stat.index] - 3}" varStatus="stat2" items="${row}">
							<td class="data">${element}</td>
							<c:set var='count' value='${count + 1}'/>
						</c:forEach>

						<c:forEach var='i' begin='1' end='${maxSize - count - 2}'>
							<td class="data"/>
						</c:forEach>

						<td class="data">${row[sizes[stat.index] - 2]}</td>
						<td class="data">${row[sizes[stat.index] - 1]}</td>

						</tr>
					</c:forEach>

					<tr>
						<td>Total</td>
						<c:forEach var='i' begin='1' end='${maxSize - 3}'>
							<td class="data"/>
						</c:forEach>
						<td class="data">${workTime.less}</td>
						<td class="data">${workTime.more}</td>

					</tr>
				</table>

				<p>
					<a href="tableWork.jsp">Texto separado por comas</a>
				</p>

			</c:otherwise>

		</c:choose>

	</c:otherwise>

</c:choose>
</div>
</body>
</html>


