<%pageContext.setAttribute("path","../");%>
<%@ include file="../menu.jsp" %>

<script type="text/javascript" src="${path}calendar/current.js"></script>
<script type="text/javascript" src="${path}calendar/scw.js"></script>
<link type="text/css" rel="stylesheet" href="${path}calendar/scw.css"/>

<div id="right">
    <fmt:bundle basename="clients">
	<h1><fmt:message key="clients.title"/></h1>
		
	<c:choose>
	    <c:when test="${empty param.rows}">		
			<sql:query var="rs" dataSource="jdbc/ipcontact">
				SELECT first_name, last_name, user
				FROM users, agents
				WHERE username = user
				ORDER BY first_name
			</sql:query>
			 
			<sql:query var="rsGroups" dataSource="jdbc/ipcontact">
				SELECT group_id, group_name
				FROM groups
				ORDER BY group_name
			</sql:query>
			 
			<%@ include file="../ui/clients/search.jsp" %>			 
	    </c:when>
		
	    <c:otherwise>		
			<w:where var="conds">
				<w:condition attribute="slave_exten" comparator="${param.extentype}" value="${param.extension}"/>
				<c:if test="${param.agent != \"all\"}">
					<w:condition attribute="username" value="${param.agent}"/>
				</c:if>
				<c:if test="${param.group != \"all\"}">
					<w:condition attribute="group_id" value="${param.group}"/>
				</c:if>
			</w:where>

			<c:set var="offset" value="${param.offset}"/>

			<c:if test="${empty offset}">
				<c:set var="offset" value="0"/>
			</c:if>

			<sql:query var="rs" dataSource="jdbc/ipcontact">
				SELECT count(*) AS count FROM slaves INNER JOIN users USING(username) ${conds}
			</sql:query>

			<c:set var="regcount" value="${rs.rows[0].count}"/>

			<c:if test="${rs.rows[0].count > (offset + param.rows)}">
				<c:set var="nextOffset" value="true"/>
			</c:if>

			<sql:query var="rs" dataSource="jdbc/ipcontact">
				SELECT username, slave_exten, group_id
				FROM slaves
				INNER JOIN users USING(username) 
				${conds} ORDER BY slave_exten 
				LIMIT ${param.rows} OFFSET ${offset}
			</sql:query>

			<%@ include file="../ui/clients/list.jsp" %>		 
	    </c:otherwise>
	</c:choose>
    </fmt:bundle>
</div>
</body>
</html>
