<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/sql" prefix="sql" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt"%>

<c:if test="${not empty sessionScope.locale}">
	<fmt:setLocale value="${locale}" />
</c:if>
<fmt:bundle basename="extensions">
	<c:if test="${not empty param.id}">
		<sql:setDataSource dataSource="jdbc/ipcontact" /> 
		<sql:transaction>
			<sql:update>
				DELETE FROM voicemail_account WHERE mailbox = '${param.id}'
			</sql:update>
		</sql:transaction>
	
		<c:set var="needReload" value="yes" scope="session"/>
		<c:set var="needExtReload" value="yes" scope="session"/>

		<fmt:message key="voicemail.deleted" var="result">
			<fmt:param value="${param.id}"/>
		</fmt:message>
		<c:set var="message" value="${result}" scope="session"/>
		<c:set var="messageType" value="ok" scope="session"/>
	</c:if>
	
	<c:url var="contact" value="listVoicemail.jsp">
		<c:param name="username" value="${param.username}"/>
		<c:param name="usernameType" value="${param.usernameType}"/>
		<c:param name="offset" value="${param.offset}"/>
		<c:param name="rows" value="25"/>
	</c:url>
</fmt:bundle>

<c:redirect url="${contact}"/>