<%pageContext.setAttribute("path","../");%>
<%@ include file="../menu.jsp" %>

<script type="text/javascript" src="${path}calendar/current.js"></script>
<script type="text/javascript" src="${path}calendar/scw.js"></script>
<link type="text/css" rel="stylesheet" href="${path}calendar/scw.css"/>

<div id="right">
	<c:if test="${not empty sessionScope.message}">
		<c:choose>
			<c:when test="${sessionScope.messageType eq \"error\"}">
				<c:set var="class" value="error"/>
			</c:when>
			<c:otherwise>
				<c:set var="class" value="ok"/>
			</c:otherwise>
		</c:choose>
		<div class="${class}">
			${sessionScope.message}
		</div>
		<c:set var="message" value="" scope="session"/>
	</c:if>
	 
	<c:choose>
		<c:when test="${empty param.rows}">
			<%@ include file="../ui/fast/search.jsp" %>
		</c:when>
		
		<c:otherwise>		
			<w:where var="conds">
				<w:condition attribute="holiday_date" afterDate="${param.afterDate}" afterTime="00:00"/>
				<w:condition attribute="holiday_date" beforeDate="${param.beforeDate}" beforeTime="00:00"/>
			</w:where>
		
			<c:set var="offset" value="${param.offset}"/>
	
			<c:if test="${empty offset}">
				<c:set var="offset" value="0"/>
			</c:if>
		
			<%@ include file="../include/sql/holidays_fix_table.jsp" %>
			 
			<sql:query var="rs" dataSource="jdbc/ipcontact">
				SELECT count(*) AS count FROM holidays ${conds}
			</sql:query>
		
			<c:if test="${rs.rows[0].count > (offset + param.rows)}">
				<c:set var="nextOffset" value="true"/>
			</c:if>
			 		
			<sql:query var="rs" dataSource="jdbc/ipcontact">
				SELECT id, DATE_FORMAT(holiday_date, '%d/%m/%Y') as datef
				FROM holidays 
				${conds} ORDER BY holiday_date LIMIT ${param.rows} OFFSET ${offset}
			</sql:query>
			 
			<%@ include file="../ui/fast/list.jsp" %>
		</c:otherwise>
	</c:choose>
</div>
</body>
</html>

