<%pageContext.setAttribute("path","../");%>
<%@ include file="../menu.jsp" %>

<div id="right">
	<fmt:bundle basename="groups">
		<c:if test="${not empty sessionScope.message}">
			<c:choose>
				<c:when test="${sessionScope.messageType eq \"error\"}">
					<c:set var="class" value="error"/>
				</c:when>
				<c:otherwise>
					<c:set var="class" value="ok"/>
				</c:otherwise>
			</c:choose>
			<div class="${class}">
				${sessionScope.message}
			</div>
			<c:set var="message" value="" scope="session"/>
		</c:if>
		<c:choose>
			<c:when test="${empty param.filter}">
				<%@ include file="../ui/group/search.jsp" %>
			</c:when>
		
			<c:otherwise>
		
				<w:where var="conds">
					<w:condition attribute="group_name" comparator="${param.groupType}" value="${param.group_name}"/>
				</w:where>
		
				<c:set var="offset" value="${param.offset}"/>
		
				<c:if test="${empty offset}">
					<c:set var="offset" value="0"/>
				</c:if>
		
				<sql:query var="rs" dataSource="jdbc/ipcontact">
					SELECT count(*) AS count FROM groups ${conds}
				</sql:query>
		
				<c:if test="${rs.rows[0].count > (offset + param.rows)}">
					<c:set var="nextOffset" value="true"/>
				</c:if>
		
				<sql:query var="rs" dataSource="jdbc/ipcontact">
					SELECT group_id, group_name
					FROM groups 
					${conds} ORDER BY group_name LIMIT ${param.rows} OFFSET ${offset}
				</sql:query>
				<%@ include file="../ui/group/list.jsp" %>
			</c:otherwise>
		</c:choose>
	</fmt:bundle>
</div>
</body>
</html>

