<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/sql" prefix="sql" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt"%>

<c:if test="${not empty sessionScope.locale}">
	<fmt:setLocale value="${locale}" />
</c:if>
<fmt:bundle basename="hunt">
	<c:if test="${not empty param.id}">
		<c:choose>
			<c:when test="${sessionScope.asterisk12}">	
				<sql:update dataSource="jdbc/ipcontact">
					DELETE FROM hunt_group WHERE number = '${param.id}'
				</sql:update>
			</c:when>
			<c:otherwise>
				<sql:update dataSource="jdbc/ipcontact">
					DELETE FROM hunt WHERE number = '${param.id}'
				</sql:update>
			</c:otherwise>
		</c:choose>
		
		<c:set var="needReload" value="yes" scope="session"/>
		
		<fmt:message key="hunt.deleted" var="result"/>
		<c:set var="message" value="${result}" scope="session"/>
		<c:set var="messageType" value="ok" scope="session"/>
	</c:if>
	
	<c:url var="contact" value="listHuntGroups.jsp">
		<c:param name="numGt" value="${param.numGt}"/>
		<c:param name="numLt" value="${param.numLt}"/>
		<c:param name="info" value="${param.info}"/>
		<c:param name="infoType" value="${param.infoType}"/>
		<c:param name="vpbx" value="${param.vpbx}"/>
		<c:param name="offset" value="${param.offset}"/>
		<c:param name="rows" value="${param.rows}"/>
	</c:url>
</fmt:bundle>

<c:redirect url="${contact}"/>

