<c:if test="${!(sessionScope.asterisk12)}">
		<sql:query var="rs" dataSource="jdbc/ipcontact">
			SHOW TABLES like 'extension';
		</sql:query>
		<c:if test="${rs.rowCount eq \"0\"}">
			<sql:update dataSource="jdbc/ipcontact">
				CREATE TABLE `extension` (
  				`number` varchar(16) NOT NULL default '',
  				`vpbx` smallint(6) NOT NULL default '0',
  				`info` varchar(64) default NULL,
  				`protocol` varchar(8) NOT NULL default '',
  				`channel` varchar(32) NOT NULL default '',
  				`voicemail` int(5) default NULL,
  				`vm_flag` tinyint(1) NOT NULL default '0',
  				`monitor` tinyint(1) NOT NULL default '0',
  				`local` tinyint(1) NOT NULL default '1',
  				`longdist` tinyint(1) NOT NULL default '0',
  				`cellular` tinyint(1) NOT NULL default '0',
  				`inter` tinyint(1) NOT NULL default '0',
  				`pin` int(4) default NULL,
  				`fwmcellular` varchar(32) default NULL,
  				`time_follow` varchar(64) default NULL,
  				`time_cell` varchar(64) default NULL,
  				PRIMARY KEY  (`number`),
  				KEY `exten_voicemail_fk` (`voicemail`),
  				CONSTRAINT `exten_voicemail_fk` FOREIGN KEY (`voicemail`) REFERENCES `voicemail_account` (`mailbox`) ON DELETE SET NULL ON UPDATE CASCADE
				) ENGINE=InnoDB DEFAULT CHARSET=utf8;
			</sql:update>
		</c:if>
       	<sql:query var="rs2" dataSource="jdbc/ipcontact">
			SHOW COLUMNS FROM extension WHERE field = 'fwmcellular';
		</sql:query>
		<c:if test="${rs2.rowCount eq \"0\"}">	
         	<sql:update dataSource="jdbc/ipcontact">
			    ALTER TABLE extension ADD COLUMN `fwmcellular` varchar(32) default NULL;
	     	</sql:update>
	     </c:if>
	     <sql:query var="rs3" dataSource="jdbc/ipcontact">
			SHOW COLUMNS FROM extension WHERE field = 'time_follow';
		</sql:query>
		<c:if test="${rs3.rowCount eq \"0\"}">	
	    	<sql:update dataSource="jdbc/ipcontact">
			    ALTER TABLE extension ADD COLUMN `time_follow` varchar(64) default NULL;
	    	</sql:update>
		</c:if>
		<sql:query var="rs4" dataSource="jdbc/ipcontact">
			SHOW COLUMNS FROM extension WHERE field = 'time_cell';
		</sql:query>
		<c:if test="${rs4.rowCount eq \"0\"}">	
	    	<sql:update dataSource="jdbc/ipcontact">
			    ALTER TABLE extension ADD COLUMN `time_cell` varchar(64) default NULL;
	    	</sql:update>
		</c:if>
</c:if>	
	
	