<sql:query var="rs" dataSource="jdbc/ipcontact">
    SHOW TABLES like 'zap_channel';
</sql:query>

<c:choose>
    <c:when test="${rs.rowCount eq \"0\"}">
        <sql:update dataSource="jdbc/ipcontact">
            CREATE TABLE `zap_channel` (
                `channel` varchar(10) NOT NULL default '',
                `callerid_name` varchar(80) default NULL,
                `callerid_number` varchar(80) default NULL,
                `context` varchar(80) default NULL,
                `callgroup` varchar(10) default NULL,
                `pickupgroup` varchar(10) default NULL,
                `callwaiting` enum('yes','no') default NULL,
                `mailbox` varchar(80) default NULL,
                PRIMARY KEY  (`channel`)
            ) ENGINE=InnoDB DEFAULT CHARSET=utf8   
        </sql:update>
    </c:when>
    <c:otherwise>
        <sql:query var="rs2" dataSource="jdbc/ipcontact">
            SHOW COLUMNS FROM zap_channel WHERE field = 'id';
        </sql:query>
        <c:if test="${rs2.rowCount > 0}">
	        <sql:query var="rs3" dataSource="jdbc/ipcontact">
	            SELECT count(*) AS ok FROM zap_channel GROUP BY channel HAVING ok > 1;
	        </sql:query>
	        <c:choose>
		        <c:when test="${rs3.rowCount eq \"0\"}">
		            <sql:update dataSource="jdbc/ipcontact">
		                ALTER TABLE zap_channel MODIFY id int
		            </sql:update>
		            <sql:update dataSource="jdbc/ipcontact">
		                ALTER TABLE zap_channel DROP PRIMARY KEY, ADD PRIMARY KEY  (`channel`);
		            </sql:update>
		            <sql:update dataSource="jdbc/ipcontact">
		                ALTER TABLE zap_channel DROP COLUMN id
		            </sql:update>
		        </c:when>
		        <c:otherwise>
		          <c:set var="message" value="addzap.error.duplicate" scope="session"/>
		          <c:set var="messageType" value="error" scope="session"/>
		          <c:set var="stop" value="true" scope="session"/>
		        </c:otherwise>
	        </c:choose>
	      </c:if>
    </c:otherwise>
</c:choose>