<%pageContext.setAttribute("path","../");%>
<%@ include file="../menu.jsp" %>
<%@ include file="../../include/sql/sections_fix_table.jsp" %>
<div id="right">
	<fmt:bundle basename="sections">
		<c:choose>
			<c:when test="${empty sessionScope.sync}">

				<c:set var="sync" value="yes" scope="session" />
				<c:redirect url="./listSections.jsp"/>
			</c:when>
		
			<c:otherwise>
				<!-- Default value for number of rows per page -->
				<c:set var="rows" value="${param.rows}"/>

				<c:if test="${empty rows}">
					<c:set var="rows" value="25"/>
				</c:if>
			
				<!-- Default value for offset value -->
				<c:set var="offset" value="${param.offset}"/>
				<c:if test="${empty offset}">
					<c:set var="offset" value="0"/>
				</c:if>

				<sql:query var="rs" dataSource="jdbc/ipcontact">
					SELECT count(*) AS count FROM sections ${conds}
				</sql:query>
				
				<c:if test="${rs.rows[0].count > (offset + rows)}">
					<c:set var="nextOffset" value="true"/>
				</c:if>
		
				<sql:query var="rs" dataSource="jdbc/ipcontact">
					SELECT section, callgroup
					FROM sections 
					ORDER BY callgroup LIMIT ${rows} OFFSET ${offset}
				</sql:query>
				
				<c:if test="${not empty sessionScope.message}">
					<c:if test="${sessionScope.messageType eq \"error\"}">
						<c:set var="class" value="error"/>
					</c:if>
					<c:if test="${sessionScope.messageType eq \"ok\"}">
						<c:set var="class" value="ok"/>
					</c:if>
					<div class="${class}">
						${sessionScope.message}
					</div>
					<c:set var="message" value="" scope="session"/>
				</c:if>
		
				<%@ include file="../ui/sections/list.jsp" %>
			</c:otherwise>
		</c:choose>
	</fmt:bundle>
</div>
</body>
</html>

