<form method="get" action="listZapChannels.jsp" name="jumpForm">
	<input type="hidden" name="callerid" value="${param.username}"/>
	<input type="hidden" name="calleridType" value="${param.calleridType}"/>
	<input type="hidden" name="offset" value=""/>
	<input type="hidden" name="rows" value="${param.rows}"/>	
</form>

<form method="post" action="delZapChannel.jsp" name="deleteForm" target="_self">
	<input type="hidden" name="id"/>
	<input type="hidden" name="callerid" value="${param.callerid}"/>
	<input type="hidden" name="calleridType" value="${param.calleridType}"/>
	<input type="hidden" name="offset" value="${offset}"/>
	<input type="hidden" name="rows" value="${param.rows}"/>	
</form>

<form method="post" action="addZapChannel.jsp" name="editForm" target="_self">
	<input type="hidden" name="mode"/>
	<input type="hidden" name="id"/>
</form>

<c:if test="${not empty sessionScope.message}">
	<c:if test="${sessionScope.messageType eq \"error\"}">
		<c:set var="class" value="error"/>
	</c:if>
	<c:if test="${sessionScope.messageType eq \"ok\"}">
		<c:set var="class" value="ok"/>
	</c:if>
	<div class="${class}">
		${sessionScope.message}
	</div>
	<c:set var="message" value="" scope="session"/>
</c:if>

<table class="data">	
	<tr class="tit">
		<th><fmt:message key="listzap.channel"/></th>
		<th><fmt:message key="listzap.callerid"/></th>
		<th><fmt:message key="listzap.mailbox"/></th>
		<th><fmt:message key="listzap.callwaiting"/></th>
		<th><fmt:message key="listzap.context"/></th>
		<c:if test="${sessionScope.role eq \"admin\"}">
			<th/>
			<th/>
		</c:if>
	</tr>

	<c:forEach var="row" varStatus="stat" items="${rs.rows}">
		<c:choose>
			<c:when test="${stat.count % 2 == 0}">
				<tr class="even">
			</c:when>
			<c:otherwise>
				<tr class="odd">
			</c:otherwise>
		</c:choose>	
		<td class="data">
			<a class="link" href="javascript:view('${row.channel}')">${row.channel}</a>
		</td>
		<td class="data">"${row.callerid_name}" <${row.callerid_number}><c:if test="${empty row.callerid_name}"><fmt:message key="listzap.none"/></c:if></td>	
		<td class="data">${row.mailbox}<c:if test="${empty row.mailbox}"> - </c:if></td>	
		<td class="data">
			<c:choose>
				<c:when test="${row.callwaiting eq \"yes\"}">
					<fmt:message key="addzap.yes"/>
				</c:when>
				<c:when test="${row.callwaiting eq \"no\"}">
					<fmt:message key="addzap.no"/>
				</c:when>
				<c:otherwise>
					-
				</c:otherwise>
			</c:choose>
		</td>	
		<td class="data">${row.context}</td>
		<c:if test="${sessionScope.role eq \"admin\"}">
			<td class="data">
				<a class="link" href="javascript:edit('${row.channel}')"><fmt:message key="listzap.edit"/></a>
			</td>
			<td class="data">
				<fmt:message key="listzap.delete.question" var="question"/>
				<a class="link" href="javascript:del('${row.channel}', '${question}')"><fmt:message key="listzap.delete"/></a>
				<c:set var="question" value=""/>
			</td>
		</c:if>
	</tr>
	</c:forEach>
	<c:if test="${registros eq \"0\"}">
		<tr class="odd">
			<td class="data" colspan="7"><fmt:message key="listzap.empty"/></td>
		</tr>
	</c:if>
</table>
	
<util:jump offset="${offset}" rows="${param.rows}" nextOffset="${nextOffset}"/>