<form method="get" action="listHuntGroups.jsp" name="jumpForm">
	<input type="hidden" name="numGt" value="${param.numGt}"/>
	<input type="hidden" name="numLt" value="${param.numLt}"/>
	<input type="hidden" name="info" value="${param.info}"/>
	<input type="hidden" name="infoType" value="${param.infoType}"/>
	<input type="hidden" name="vpbx" value="${param.vpbx}"/>
	<input type="hidden" name="offset" value=""/>
	<input type="hidden" name="rows" value="${param.rows}"/>	
</form>

<form method="post" action="delHuntGroup.jsp" name="deleteForm" target="_self">
	<input type="hidden" name="id"/>
	<input type="hidden" name="numGt" value="${param.numGt}"/>
	<input type="hidden" name="numLt" value="${param.numLt}"/>
	<input type="hidden" name="info" value="${param.info}"/>
	<input type="hidden" name="infoType" value="${param.infoType}"/>
	<input type="hidden" name="vpbx" value="${param.vpbx}"/>
	<input type="hidden" name="offset" value="${offset}"/>
	<input type="hidden" name="rows" value="${param.rows}"/>	
</form>

<form method="post" action="addHuntGroup.jsp" name="editForm" target="_self">
	<input type="hidden" name="mode"/>
	<input type="hidden" name="id"/>
</form>

<c:if test="${not empty sessionScope.message}">
	<c:if test="${sessionScope.messageType eq \"error\"}">
		<c:set var="class" value="error"/>
	</c:if>
	<c:if test="${sessionScope.messageType eq \"ok\"}">
		<c:set var="class" value="ok"/>
	</c:if>
	<div class="${class}">
		${sessionScope.message}
	</div>
	<c:set var="message" value="" scope="session"/>
</c:if>

<h2><fmt:message key="hunt.list.title"/></h2>

<table class="data">	
	<tr class="tit">
		<c:if test="${sessionScope.asterisk12}">
			<th><fmt:message key="hunt.data.number"/></th>
		</c:if>
		<th><fmt:message key="hunt.data.info"/></th>
		<th><fmt:message key="hunt.data.vpbx"/></th>
		<th/>
		<th/>
	</tr>

	<c:forEach var="row" varStatus="stat" items="${rs.rows}">
		<c:choose>
			<c:when test="${stat.count % 2 == 0}">
				<tr class="even">
			</c:when>
			<c:otherwise>
				<tr class="odd">
			</c:otherwise>
		</c:choose>	
		<c:choose>
			 <c:when test="${sessionScope.asterisk12}">
				<td class="data"><a class="link" href="javascript:view('${row.id}')">${row.number}</a></td>
				<td class="data">${row.info}</td>		
			 </c:when>
			 <c:otherwise>
				<td class="data"><a class="link" href="javascript:view('${row.number}')">${row.info}</a></td>
			 </c:otherwise>
		</c:choose>
		<td class="data">${row.vpbx}</td>
		<td class="data">
			 <c:choose>
				<c:when test="${sessionScope.asterisk12}">
					<a class="link" href="javascript:edit('${row.id}')"><fmt:message key="hunt.edit"/></a>
				</c:when>
				<c:otherwise>
					<a class="link" href="javascript:edit('${row.number}')"><fmt:message key="hunt.edit"/></a>
				</c:otherwise>
			</c:choose>
		</td>
		<td class="data">
			<fmt:message key="hunt.delete.question" var="question"/>
			<a class="link" href="javascript:del('${row.number}', '${question}')"><fmt:message key="hunt.delete"/></a>
			<c:set var="question" value=""/>
		</td>
	</tr>
	</c:forEach>
	<c:if test="${rs.rowCount eq \"0\"}">
		<tr class="even">
			<td colspan="5" class="data">
				<fmt:message key="hunt.empty"/>
			</td>
		</tr>
	</c:if>
</table>

<util:jump offset="${offset}" rows="${param.rows}" nextOffset="${nextOffset}"/>