<form method="get" action="operatorsVpbxs.jsp" name="jumpForm">
	<input type="hidden" name="user" value="${param.user}"/>
	<input type="hidden" name="userType" value="${param.userType}"/>
	<input type="hidden" name="name" value="${param.name}"/>
	<input type="hidden" name="nameType" value="${param.nameType}"/>
	<input type="hidden" name="surname" value="${param.surname}"/>
	<input type="hidden" name="surnameType" value="${param.surnameType}"/>
	<input type="hidden" name="role" value="${param.role}"/>
	<input type="hidden" name="offset" value=""/>
	<input type="hidden" name="rows" value="${param.rows}"/>	
</form>


<form method="post" action="viewOperator.jsp" name="editForm" target="_self">
	<input type="hidden" name="id"/>
	<input type="hidden" name="mode"/>
</form>

<c:if test="${not empty sessionScope.message}">
	<c:if test="${sessionScope.messageType eq \"error\"}">
		<c:set var="class" value="error"/>
	</c:if>
	<c:if test="${sessionScope.messageType eq \"ok\"}">
		<c:set var="class" value="ok"/>
	</c:if>
	<div class="${class}">
		${sessionScope.message}
	</div>
	<c:set var="message" value="" scope="session"/>
</c:if>

<h2><fmt:message key='operatorsvpbxs.data.title'/></h2>

<table class="data">	
	<tr class="tit">
		<th><fmt:message key='operatorsvpbxs.data.user'/></th>
		<th><fmt:message key='operatorsvpbxs.data.name'/></th>
		<th><fmt:message key='operatorsvpbxs.data.rol'/></th>
		<th><fmt:message key='operatorsvpbxs.data.group'/></th>
		<c:if test='${sessionScope.role eq "admin"}'>
			<th/>
		</c:if>
	</tr>

	<c:forEach var="row" varStatus="stat" items="${rs.rows}">
		<c:choose>
			<c:when test="${stat.count % 2 == 0}">
				<tr class="even">
			</c:when>
			<c:otherwise>
				<tr class="odd">
			</c:otherwise>
		</c:choose>	
		<td class="data">
			${row.username}
		</td>	
		<td class="data">${row.first_name} ${row.last_name}</td>
		<c:choose>
			<c:when test='${row.role eq "admin"}'>
           		<td class="data"><fmt:message key='operatorsvpbxs.data.admin'/></td>
            </c:when>
			<c:when test='${row.role eq "supervisor"}'>
            	<td class="data"><fmt:message key='operatorsvpbxs.data.supervisor'/></td>
			</c:when>
			<c:when test='${row.role eq "operator"}'>
				<td class="data"><fmt:message key='operatorsvpbxs.data.operator'/></td>
			</c:when>
			<c:when test='${row.role eq "user"}'>
				<td class="data"><fmt:message key='operatorsvpbxs.data.user'/></td>
			</c:when>
		</c:choose>
		<td class="data">${row.group_name}</td>
		<c:if test='${sessionScope.role eq "admin"}'>
			<td class="data">
				<a class='link' href='javascript:edit("${row.username}")'>
					<fmt:message key='operatorsvpbxs.data.manage'/>
				</a>
			</td>
		</c:if>
	</tr>
	</c:forEach>
</table>

<c:set var="offset" value="${param.offset}"/>
<util:jump offset='${offset}' rows='${param.rows}' nextOffset='${nextOffset}'/>