<fmt:message key="pstn.validations.number.required" var="valnumberreq"/>
<fmt:message key="pstn.validations.number.invalid" var="valnumberinv"/>
<fmt:message key="pstn.validations.lineprefix.required" var="valline"/>
<fmt:message key="pstn.validations.huntgroup.invalid" var="valhunt"/>
<fmt:message key="pstn.validations.size.invalid" var="invalid"/>
<script type="text/javascript">
<!--

  function validateOnSubmit() {

    if (!validatePresent(document.forms.formulario.number, 'inf_number')) {
    	alert("${valnumberreq}");
    	return false;
    }
    if (!validateNr(document.forms.formulario.number, 'inf_number', true)) {
    	alert("${valnumberinv}");
    	return false;
    }

    if (!validatePresent(document.forms.formulario.line_prefix, 'inf_line_prefix')) {
    	alert("${valline}");
    	return false;
    }

    if (!validateNr(document.forms.formulario.hunt_group, 'inf_hunt_group', true)) {
    	alert("${valhunt}");
    	return false;
    }

    if (!validateNr(document.forms.formulario.size, 'inf_size', true)) {
    	alert("${invalid}");
    	return false;
    }
    return true;
  };

//-->
</script>


<h2><fmt:message key="pstn.edit.title"/>:</h2>

<form onsubmit="return validateOnSubmit()" method="post" action="../servlet/ipcontact.pstn.AddPstn" name="formulario" target="_self"/>

	<table class="query">
		<tr class="plain">
			<td class="label"><fmt:message key="pstn.data.number"/></td>
			<td class="query">
				<input type="text" name="number" size="3" maxlength="3" value="${number}" onchange="validateNr(this, 'inf_number', true);" />
			</td>
			<td class="query" id="inf_number"><fmt:message key="pstn.required"/></td>
		</tr>
   
		<tr class="plain">
			<td class="label"><fmt:message key="pstn.data.protocol"/></td>
			<td class="query">
				<select name="protocol">
					<c:if test="${protocol eq \"zap\"}">
						<c:set var="selected" value="selected=\"selected\""/>
					</c:if>
					<option value="zap" ${selected} >Zaptel</option>
					<c:set var="selected" value=""/>
					
					<c:if test="${protocol eq \"sip\"}">
						<c:set var="selected" value="selected=\"selected\""/>
					</c:if>
					<option value="sip" ${selected}>SIP</option>
					<c:set var="selected" value=""/>
					
					<c:if test="${protocol eq \"h323\"}">
						<c:set var="selected" value="selected=\"selected\""/>
					</c:if>
					<option value="h323" ${selected}>H.323</option>
					<c:set var="selected" value=""/>
					
					<c:if test="${protocol eq \"mgcp\"}">
						<c:set var="selected" value="selected=\"selected\""/>
					</c:if>
					<option value="mgcp" ${selected}>MGCP</option>
					<c:set var="selected" value=""/>
					
					<c:if test="${protocol eq \"capi\"}">
						<c:set var="selected" value="selected=\"selected\""/>
					</c:if>
					<option value="capi" ${selected}>CAPI</option>
					<c:set var="selected" value=""/>
					
					<c:if test="${protocol eq \"iax2\"}">
						<c:set var="selected" value="selected=\"selected\""/>
					</c:if>
					<option value="iax2" ${selected}>IAX</option>
					<c:set var="selected" value=""/>
				</select>
			</td>
			<td class="query" id="inf_protocol"/>
		</tr>

		<tr class="plain">
			<td class="label"><fmt:message key="pstn.data.lineprefix"/></td>
			<td class="query">
				<input type="text" name="line_prefix" size="15" maxlength="32" value="${line_prefix}" onchange="validatePresent(this, 'inf_line_prefix')" />
			</td>
			<td class="query" id="inf_line_prefix"><fmt:message key="pstn.required"/></td>
		</tr>

		<tr class="plain">
			<td class="label"><fmt:message key="pstn.data.linepostfix"/></td>
			<td class="query">
				<input type="text" name="line_postfix" size="15" maxlength="32" value="${line_postfix}" />
			</td>
			<td class="query"/>
		</tr>

		<tr class="plain">
			<td class="label"><fmt:message key="pstn.data.inboundprefix"/></td>
			<td class="query">
				<input type="text" name="inbound_prefix" size="15" maxlength="32" value="${inbound_prefix}" />
			</td>
			<td class= "query"/>
		</tr>

		<c:choose>
			 <c:when test="${sessionScope.asterisk12}">
				 <tr class="plain">
					 <td class="label"><fmt:message key="pstn.data.huntgroup"/></td>
					 <td class="query">
						 <sql:query var="rs" dataSource="jdbc/ipcontact">
							 SELECT number, info FROM hunt_group
						 </sql:query>
						 <select name="hunt_group" onChange="validateNr(this, 'inf_hunt_group', true)">
							 <c:forEach var="row" varStatus="stat" items="${rs.rows}">
								<c:set var="selected" value=""/>
								<c:if test="${hunt_group eq row.number}">
									<c:set var="selected" value="selected=\"selected\""/>
								</c:if>
								 <option value="${row.number}" ${selected}>
									 ${row.info}
								 </option>
							 </c:forEach>
						 </select>
					 </td>
					 <td class="query" id="inf_hunt_group">
						 <c:if test="${rs.rowCount eq \"0\"}">
							 <fmt:message key="pstn.required"/>
						 </c:if>
					 </td>
				 </tr>
			 </c:when>
			 <c:otherwise>
				 <tr class="plain">
					 <td class="label"><fmt:message key="pstn.data.huntgroup"/></td>
					 <td class="query">
						 <sql:query var="rs" dataSource="jdbc/ipcontact">
							 SELECT number, info FROM hunt
						 </sql:query>
						  <select name="hunt_group" multiple="multiple" onChange="validateNr(this, 'inf_hunt_group', true)">
							 <c:forEach var="row" varStatus="stat" items="${rs.rows}">
								<c:set var="selected" value=""/>
								<c:if test="${fn:contains(hunt_group, row.info)}">
									<c:set var="selected" value="selected=\"selected\""/>
								</c:if>
								<option value="${row.number}" ${selected}>
									${row.info}
								</option>
							 </c:forEach>
						 </select>
					 </td>
					 <td class= "query" id="inf_hunt_group"><fmt:message key="pstn.required"/></td>
				 </tr>
			 </c:otherwise>
		</c:choose>
		<tr class="plain">
			<td class="label"><fmt:message key="pstn.data.size"/></td>
			<td class="query">
				<input type="text" name="size" size="5" maxlength="6" value="${size}" onChange="validateNr(this, 'inf_size', true)" />
			</td>
			<td class="query" id="inf_size"><fmt:message key="pstn.required"/></td>
		</tr>

		<tr class="plain">
			<td class="label"><fmt:message key="pstn.data.info"/></td>
			<td class="query">
				<input type="text" name="info" size="30" value="${info}" />
			</td>
			<td class="query"/>
		</tr>

		<c:if test="${sessionScope.asterisk12}">
			<tr class="plain">
				<td class="label"><fmt:message key="pstn.data.faxenabled"/></td>
				<td class="query">
					<c:if test="${fax_enabled}">
						<c:set var="checked" value="checked=\"checked\""/>
					</c:if>
					<input type="checkbox" name="fax_enabled"  />
					<c:set var="checked" value=""/>
				</td>
				<td class="query"/>
			</tr>
		</c:if>
	  
		<tr class="plain">
			<td class="label"><fmt:message key="pstn.data.enabled"/></td>
			<td class="query">
				<c:if test="${enabled}">
					<c:set var="checked" value="checked=\"checked\""/>
				</c:if>
				<input type="checkbox" name="enabled" ${checked}/>
			</td>
			<td class="query"/>
		</tr>	
        
		<tr class="plain">
			<td class="query"colspan="3">
				<c:choose>
					<c:when test="${empty number}">
						<fmt:message key="pstn.data.submit" var="submit"/>
					</c:when>
					<c:otherwise>
						<fmt:message key="pstn.data.submit" var="submit"/>
					</c:otherwise>
				</c:choose>
				<input  class="boton" type="submit" value="${submit}" align="middle"/> &nbsp;&nbsp;
				&nbsp;&nbsp; 
				<fmt:message key="pstn.data.reset" var="reset"/>
				<input class="boton" type="reset" value="${reset}" align="middle"/>
			</td>
		</tr>

	</table>

	<c:if test="${not empty param.id}">
		<input type="hidden" name="oldNumber" value="${param.id}" />
	</c:if>

</form>