<h2><fmt:message key="pstn.list.title"/></h2>

<form method="get" action="listLines.jsp" target="_self">
	<table class="query">
		<tr class="plain">
			<td class="label"><fmt:message key="pstn.list.range"/>:</td>
			<td class="query">
		    	<table>
		      		<tr class="plain">
						<td class="query"><fmt:message key="pstn.list.gt"/></td>
						<td class="query"><input type="text" size="5" name="numGt"/></td>
						<td class="query"/>
						<td class="query"><fmt:message key="pstn.list.lt"/></td>
						<td class="query"><input type="text" size="5" name="numLt"/></td>
						<td class="query"/>
					</tr>
				</table>
			</td>
			<td class="query"/>
		</tr>
		<tr class="plain">
			<td class="label"><fmt:message key="pstn.data.info"/>:</td>
			<td class="query"><input type="text" size="35" name="info"/></td>
			<td class="query">
				<select name="infoType">
					<option value="1" ><fmt:message key="pstn.list.equal"/></option>
					<option value="2" selected="selected"><fmt:message key="pstn.list.contain"/></option>
					<option value="3" ><fmt:message key="pstn.list.startwith"/></option>
					<option value="4" ><fmt:message key="pstn.list.endwith"/></option>
				</select> 
			</td>
		</tr>
		<tr class="plain">
			<td class="label"><fmt:message key="pstn.data.protocol"/>:</td>
			<td class="query">
				<select name="protocol">
					<option value="all" selected="selected"><fmt:message key="pstn.all"/></option>
					<option value="zap">Zaptel</option>
					<option value="sip">SIP</option>
					<option value="h323">H.323</option>
					<option value="mgcp">MGCP</option>
					<option value="capi">CAPI</option>
					<option value="iax2">IAX</option>
				</select>
			</td>
			<td class="query"/>
		</tr>
		<tr class="plain">
			<c:choose>
				  <c:when test="${sessionScope.asterisk12}">	
					  <sql:query var="rs" dataSource="jdbc/ipcontact">
						  SELECT info FROM hunt_group
					  </sql:query>
				  </c:when>
				 <c:otherwise>
					 <sql:query var="rs" dataSource="jdbc/ipcontact">
						 SELECT info FROM hunt
					 </sql:query>
				 </c:otherwise>
			</c:choose>
			<td class="label"><fmt:message key="pstn.data.huntgroup"/>:</td>
			<td class="query">
				<select name="huntGroup">
					<option value="all" selected="selected"><fmt:message key="pstn.all"/></option>
					<c:forEach var="row" items="${rs.rows}">
						 <option value="${row.info}">${row.info}</option>
					</c:forEach>
				</select>
			</td>
			<td class="query"/>
		</tr>
		<tr class="plain">
			<td class="label"><fmt:message key="pstn.list.results"/>:</td>
			<td class="query">
				<input type="radio" name="rows" value="10"/><label>10</label>		
				<input type="radio" name="rows" value="25" checked="checked"/><label>25</label>		
				<input type="radio" name="rows" value="50"/><label>50</label>		
			</td>
			<td class="query"/>
		</tr>
		<tr class="plain">
			<td class="query" colspan="3">
				<fmt:message key="pstn.list.submit" var="submit"/>
				<input class="boton" type="submit" name="submit" value="${submit}"/>
				<c:set var="submit" value=""/>
			</td>
		</tr>
	</table>
</form>