<sql:query var="rs" dataSource="jdbc/ipcontact">
	SELECT groupqueue_name, groupqueue_id
	FROM groups_queues
	ORDER BY groupqueue_name
</sql:query>

<h2><fmt:message key="queues.list.title"/></h2>

<form method="get" action="listQueues.jsp" target="_self">
	<table class="query">
		<tr class="plain">
			<td class="label"><fmt:message key="queues.name"/>:</td>
			<td class="query"><input type="text" size="35" name="name"/></td>
			<td class="query">
				<select name="nameType">
					<option value="1" ><fmt:message key="queues.equals"/></option>
					<option value="2" selected="selected"><fmt:message key="queues.contains"/></option>
					<option value="3" ><fmt:message key="queues.startswith"/></option>
					<option value="4" ><fmt:message key="queues.endswith"/></option>
				</select>
		<tr class="plain">
			<td class="label"><fmt:message key="queues.data.group"/>:</td>
			<td class="query">
				<select name="groupqueue">
					<option value="all"><fmt:message key="all"/></option>
					<c:forEach var="row" varStatus="stat" items="${rs.rows}">
						<option value="${row.groupqueue_id}">${row.groupqueue_name}</option>
					</c:forEach>
				</select> 
			</td>
			<td class="query"/>
		</tr>
		<tr class="plain">
			<td class="label"><fmt:message key="queues.list.results"/>:</td>
			<td class="query">
				<input type="radio" name="rows" value="10"/><label>10</label>
				<input type="radio" name="rows" value="25" checked="checked"/><label>25</label>
				<input type="radio" name="rows" value="50"/><label>50</label>
			</td>
			<td class="query"/>
		</tr>
		<tr class="plain">
			<td class="query" colspan="3">
				<fmt:message key="queues.list.submit" var="submit"/>
				<input class="boton" type="submit" name="submit" value="${submit}"/>
				<c:set var="submit" value=""/>
			</td>
		</tr>
	</table>
</form>