<fmt:message key="user.validations.username.required" var="val_username"/>
<fmt:message key="user.validations.password.required" var="val_passwd"/>
<fmt:message key="user.validations.repassword.warning" var="val_repasswd"/>
<fmt:message key="user.validations.firstname.required" var="val_firstname"/>
<fmt:message key="user.validations.lastname.required" var="val_lastname"/>
<fmt:message key="user.validations.callpass.warning" var="val_callpass"/>
<fmt:message key="user.validations.usernotes.warning" var="val_usernotes"/>
<script type="text/javascript">
<!--
  function validateOnSubmit() {

    if (!validatePresent(document.forms.formulario.username,'inf_user')) {
    	alert("${val_username}");
    	return false;
    }
    if (!validatePresent(document.forms.formulario.password,'inf_password')) {
    	alert("${val_passwd}");
    	return false;
    }
    if (!validatePasswordRep(document.forms.formulario.repassword,'inf_repassword',document.forms.formulario.password,true)) {
    	alert("${val_repasswd}");
    	return false;
    }
    if (!validatePresent(document.forms.formulario.first_name,'inf_first_name')) {
    	alert("${val_firstname}");
    	return false;
    }
    if (!validatePresent(document.forms.formulario.last_name,'inf_last_name')) {
    	alert("${val_lastname}");
    	return false;
	}
	if (!validateNr(document.forms.formulario.calls_pass, 'inf_calls_pass', false)) {
    	alert("${val_callpass}");
    	return false;
    }
    if (!validateNr(document.forms.formulario.user_notes, 'inf_user_notes', false)) {
    	alert("${val_usernotes}");
    	return false;
    }
    
    return true;
  };

//-->
</script>

<c:set var="val_username" value=""/>
<c:set var="val_passwd" value=""/>
<c:set var="val_repasswd" value=""/>
<c:set var="val_firstname" value=""/>
<c:set var="val_lastname" value=""/>
<c:set var="val_callpass" value=""/>
<c:set var="val_usernotes" value=""/>

<h2><fmt:message key="user.edit.title"/>:</h2>

<form onsubmit="return validateOnSubmit()" method="post" action="../servlet/ipcontact.users.AddUser" name="formulario">
	<h3><fmt:message key="user.data.title"/></h3>
	<table class="query">
		<tr class="plain">
   			<td class="label"><fmt:message key="user.data.user"/></td>
       		<td class="query">       				
				<input type="text" name="username" size="15" maxlength="32" value="${username}" onchange="validatePresent(this, 'inf_user');"/>
       		</td>
	       	<td class="query" id="inf_user"><fmt:message key="user.required"/></td>
   		</tr>

		<tr class="plain">
			<td class="label"><fmt:message key="user.data.password"/></td>
			<td class="query">
			<input id="password_box" type="password" name="password" size="8" maxlength="32" value="${password}" onchange="validatePresent(this, 'inf_password');validatePasswordRep(document.forms.formulario.repassword,'inf_repassword',document.forms.formulario.password,true) " /> 
			</td>
   			<td class="query" id="inf_password"><fmt:message key="user.required"/></td>
  		</tr>

   		<tr class="plain">
   			<td class="label"><fmt:message key="user.data.repassword"/></td>
   			<td class="query">
       			<input id="repassword_box" type="password" name="repassword" size="8" maxlength="32" value="${repassword}" onchange="validatePasswordRep(document.forms.formulario.repassword,'inf_repassword',document.forms.formulario.password,true)" />
   			</td>
   			<td class="query" id="inf_repassword"><fmt:message key="user.required"/></td>
		</tr>

   		<tr class="plain">
   			<td class="label"><fmt:message key="user.data.name"/></td>
   			<td class="query">
   	 			<input type="text" name="first_name" size="30" maxlength="64" value="${first_name}" onchange="validatePresent(this, 'inf_first_name')" />
   			</td>
   			<td class="query" id="inf_first_name"><fmt:message key="user.required"/></td>
   		</tr>

   		<tr class="plain">
   			<td class="label"><fmt:message key="user.data.lastname"/></td>
   			<td class="query">
   	 			<input type="text" name="last_name" size="30" maxlength="64" value="${last_name}" onchange="validatePresent(this, 'inf_last_name')" />
   			</td>
   			<td class="query" id="inf_last_name"><fmt:message key="user.required"/></td>
   		</tr>

		<tr class="plain">
			<td class="label"><fmt:message key="user.data.enabled"/></td>
			<td class="query">
				<c:if test="${not disabled}">
					<c:set var="checked" value="checked=\"checked\""/>
				</c:if>
				<input type="checkbox" name="user_enabled" ${checked} />
				<c:set var="checked" value=""/>
			</td>
			<td class="query"/>
		</tr>
		
		<tr class="plain">
			<c:choose>
				<c:when test="${sessionScope.fast eq \"true\"}">
				    <td class="label"> CPF
					<td class="query" width="100%">
						<input type="text" size="15" maxlength="11" name="user_notes" value="${user_notes}" onchange="validateNr(this, 'inf_user_notes', false)" />
					</td>
					<td class="query" id="inf_user_notes"></td>
				</c:when>
				<c:otherwise>
					<td class="label"><fmt:message key="user.data.notes"/></td>
					<td class="query" width="100%">
						<textarea cols="40" rows="3" name="user_notes">${user_notes}</textarea>
					</td>	
					<td class="query"/>
				</c:otherwise>
			</c:choose>
		</tr>
	</table>

	<h3><fmt:message key="user.data.profile"/></h3>
	<table class="query">
		<tr class="plain">
  			<td class="label"><fmt:message key='user.data.rol'/></td>
   			<td class="query">
   				<select name="role">
   					<c:if test="${role eq \"user\" or empty role}">
   						<c:set var="selected" value="selected=\"selected\""/>
   					</c:if>
   					<option value="user" ${selected}><fmt:message key="user.data.user"/></option>
   					<c:set var="selected" value=""/>
   					
   					<c:if test="${role eq \"operator\"}">
   						<c:set var="selected" value="selected=\"selected\""/>
   					</c:if>
   					<option value="operator" ${selected}><fmt:message key="user.data.operator"/></option>
   					<c:set var="selected" value=""/>
   					
   					<c:if test="${role eq 'manager'}">
   						<c:set var="selected" value="selected=\"selected\""/>
   					</c:if>
   					<option value="manager" ${selected}><fmt:message key="user.data.manager"/></option>
   					<c:set var="selected" value=""/>
   					
   					<c:if test="${role eq \"supervisor\"}">
   						<c:set var="selected" value="selected=\"selected\""/>
   					</c:if>
   					<option value="supervisor" ${selected}><fmt:message key="user.data.supervisor"/></option>
					<c:set var="selected" value=""/>
					
					<c:if test="${role eq \"coordenador\"}">
   						<c:set var="selected" value="selected=\"selected\""/>
   					</c:if>
   					<option value="coordenador" ${selected}><fmt:message key="user.data.coordenador"/></option>
					<c:set var="selected" value=""/>
					
					<c:if test="${role eq \"admin\"}">
						<c:set var="selected" value="selected=\"selected\""/>
					</c:if>
					<option value="admin" ${selected}><fmt:message key="user.data.admin"/></option>
					<c:set var="selected" value=""/>
   				</select>
   			</td>
   			<td class="query"/>
		</tr>

		<tr class="plain">
			<td class="label"><fmt:message key="user.data.agent"/></td>
			<td class="query">
				<c:if test="${not empty agent}">
					<c:set var="checked" value="checked=\"checked\""/>
				</c:if>
				<input type="checkbox" name="agent" ${checked} />
				<c:set var="checked" value=""/>
			</td>
			<td class="query"/>
		</tr>

		<tr class="plain">
			<td class="label"><fmt:message key="user.data.group"/></td>
			<td class="query">
				<select name="group_name">
					<c:forEach var="row" items="${rs_groups.rows}">
						<c:if test="${row.group_id eq group_id}">
							<c:set var="selected" value="selected=\"selected\""/>
						</c:if>
						<option value="${row.group_id}" ${selected}>${row.group_name}</option>
						<c:set var="selected" value=""/>
					</c:forEach>
				</select>
			</td> 
			<td class="query"/>
		</tr>
	</table>

	<h3><fmt:message key="user.auth.title"/></h3>
	<table class="query">
      	<tr class="plain">
      		<td class="label"><fmt:message key="user.auth.pin"/></td>
	      		<td class="query">
       				<input type="text" name="calls_pass" size="4" maxlength="4" value="${calls_pass}" onchange="validateNr(this, 'inf_calls_pass', false)" />
       			</td>
	   		<td class="query" id="inf_calls_pass"></td>
    	</tr>
		
		<tr class="plain">
			<td class="label"><fmt:message key="user.auth.permission"/></td>
			<td class="query">
				<label for="local"><fmt:message key="user.auth.local"/>:</label>
				<c:if test="${local}">
					<c:set var="checked" value="checked=\"checked\""/>
				</c:if>
				<input type="checkbox" name="local" ${checked} />
				<c:set var="checked" value=""/>
				
				<br/>
				<label for="national"><fmt:message key="user.auth.national"/>:</label>
				<c:if test="${national}">
					<c:set var="checked" value="checked=\"checked\""/>
				</c:if>
				<input type="checkbox" name="national" ${checked} /> 
				<c:set var="checked" value=""/>
				
				<br/>
				<label for="cellular"><fmt:message key="user.auth.cellular"/>:</label>
				<c:if test="${cellular}">
					<c:set var="checked" value="checked=\"checked\""/>
				</c:if>
				<input type="checkbox" name="cellular" ${checked} />
				<c:set var="checked" value=""/>
				
				<br/>
				<label for="inter"><fmt:message key="user.auth.inter"/>:</label>
				<c:if test="${inter}">
					<c:set var="checked" value="checked=\"checked\""/>
				</c:if>
				<input type="checkbox" name="inter" ${checked} />
				<c:set var="checked" value=""/>
			</td>
			<td class="query"/>
		</tr>

		<tr class="plain">
			<td class="label"><fmt:message key="user.auth.enabled"/></td>
			<td class="query">
				<c:if test="${enabled}">
					<c:set var="checked" value="checked=\"checked\""/>
				</c:if>
				<input type="checkbox" name="enabled" ${checked} />
				<c:set var="checked" value=""/>
			</td>
			<td class="query"/>
		</tr>
	</table>
	
	<br/>
	<br/>
	<table class="query">
		<tr class="plain">
			<td class="query" colspan="3">
				<fmt:message key="user.submit" var="submit"/>
				<input class="boton" type="submit" value="${submit}" align="middle"/>
				&nbsp;&nbsp; 
				<fmt:message key="user.reset" var="reset"/>
				<input class="boton" type="reset" value="${reset}" align="middle"/>
				<c:set var="submit" value=""/>
				<c:set var="reset" value=""/>
			</td>
		</tr>
	</table>	

	<c:if test="${not empty param.id}">
		<input type="hidden" name="old_username" value="${param.id}" />
	</c:if>

	<input type="hidden" name="existsAgent" value="${not empty agent}" />
	<input type="hidden" name="existsAuth" value="${not empty calls_pass}" />
</form>
