<sql:query var="rs" dataSource="jdbc/ipcontact">
	SELECT group_name, group_id
	FROM groups
	ORDER BY group_name
</sql:query>
	
<h2><fmt:message key="user.list.title"/></h2>

<form method="get" action="listUsers.jsp" target="_self">
	<table class="query">
		<tr class="plain">
			<td class="label"><fmt:message key="user.data.user"/>:</td>
			<td class="query"><input type="text" size="35" name="user"/></td>
			<td class="query">
				<select name="userType">
					<option value="1" ><fmt:message key="equal"/></option>
					<option value="2" selected="selected"><fmt:message key="contain"/></option>
					<option value="3" ><fmt:message key="startwith"/></option>
					<option value="4" ><fmt:message key="endwith"/></option>
				</select> 
			</td>
		</tr>
		<tr class="plain">
			<td class="label"><fmt:message key="user.data.name"/>:</td>
			<td class="query"><input type="text" size="35" name="name"/></td>
			<td class="query">
				<select name="nameType">
					<option value="1" ><fmt:message key="equal"/></option>
					<option value="2" selected="selected"><fmt:message key="contain"/></option>
					<option value="3" ><fmt:message key="startwith"/></option>
					<option value="4" ><fmt:message key="endwith"/></option>
				</select> 
			</td>
		</tr>
		<tr class="plain">
			<td class="label"><fmt:message key="user.data.lastname"/>:</td>
			<td class="query"><input type="text" size="35" name="surname"/></td>
			<td class="query">
				<select name="surnameType">
					<option value="1" ><fmt:message key="equal"/></option>
					<option value="2" selected="selected"><fmt:message key="contain"/></option>
					<option value="3" ><fmt:message key="startwith"/></option>
					<option value="4" ><fmt:message key="endwith"/></option>
				</select> 
			</td>
		</tr>
		<tr class="plain">
			<td class="label">
				<c:choose>
					<c:when test="${sessionScope.fast eq \"true\"}"> CPF: </c:when>
					<c:otherwise> <fmt:message key="user.data.notes"/>: </c:otherwise>
				</c:choose>
			</td>
			<td class="query"><input type="text" size="35" name="notes"/></td>
			<td class="query">
				<select name="notesType">
					<option value="1" ><fmt:message key="equal"/></option>
					<option value="2" selected="selected"><fmt:message key="contain"/></option>
					<option value="3" ><fmt:message key="startwith"/></option>
					<option value="4" ><fmt:message key="endwith"/></option>
				</select> 
			</td>
		</tr>
		<tr class="plain">
			<td class="label"><fmt:message key="user.data.rol"/>:</td>
			<td class="query">
				<select name="role">
				<option value="all" selected="selected"><fmt:message key="all"/></option>
					<option value="user"><fmt:message key="user.data.user"/></option>
					<option value="operator"><fmt:message key="user.data.operator"/></option>
					<option value="admin"><fmt:message key="user.data.admin"/></option>
					<option value="supervisor"><fmt:message key="user.data.supervisor"/></option>
					<option value="coordenador"><fmt:message key="user.data.coordenador"/></option>
				</select> 
			</td>
			<td class="query"></td>
		</tr>
		<tr class="plain">
			<td class="label"><fmt:message key="user.data.group"/>:</td>
			<td class="query">
				<select name="group">
					<option selected="selected" value="all"><fmt:message key="all"/></option>
					<c:forEach var="row" varStatus="stat" items="${rs.rows}">
						<option value="${row.group_id}">${row.group_name}</option>
					</c:forEach>
				</select> 
			</td>
			<td class="query"/>
		</tr>
		<tr class="plain">
			<td class="label"><fmt:message key="user.data.enabled"/>:</td>
			<td class="query">
				<select name="enabled">
					<option selected="selected" value="all"><fmt:message key="all"/></option>
					<option value="0"><fmt:message key="user.yes"/></option>
					<option value="1"><fmt:message key="user.no"/></option>
				</select> 
			</td>
			<td class="query"/>
		</tr>
		<tr class="plain">
			<td class="label"><fmt:message key="user.list.results"/>:</td>
			<td class="query">
				<input type="radio" name="rows" value="10"/><label>10</label>		
				<input type="radio" name="rows" value="25" checked="checked"/><label>25</label>		
				<input type="radio" name="rows" value="50"/><label>50</label>		
			</td>
			<td class="query"/>
		</tr>
		<tr class="plain">
			<td class="query" colspan="3">
				<fmt:message key="user.list.submit" var="submit"/>
				<input class="boton" type="submit" name="submit" value="${submit}"/>
				<c:set var="submit" value=""/>
			</td>
		</tr>
	</table>
</form>