<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/sql" prefix="sql" %>

<c:if test="${not empty param.id}">
	<c:choose>
		<c:when test="${sessionScope.asterisk12}">
			<sql:query var="rs0" dataSource="jdbc/ipcontact">
				SELECT * FROM hunt_group WHERE vpbx = '${param.id}'
			</sql:query>
		</c:when>
		<c:otherwise>
			<sql:query var="rs0" dataSource="jdbc/ipcontact">
				SELECT * FROM vpbx_hunt WHERE vpbx_number = '${param.id}'
			</sql:query>
		</c:otherwise>
	</c:choose>
	 
	<c:choose>
		<c:when test="${rs0.rowCount eq \"0\"}">
			<c:choose>
				<c:when test="${sessionScope.asterisk12}">
					<sql:query var="rs1" dataSource="jdbc/ipcontact">
						SELECT * FROM extensions WHERE vpbx = '${param.id}'
					</sql:query>
				</c:when>
				<c:otherwise>
					<sql:query var="rs1" dataSource="jdbc/ipcontact">
						SELECT * FROM extension WHERE vpbx = '${param.id}'
					</sql:query>
				</c:otherwise>
			</c:choose>
			
			<c:choose>
				<c:when test="${rs1.rowCount eq \"0\"}">	
					<sql:query var="rs2" dataSource="jdbc/ipcontact">
						SELECT * FROM operators_vpbxs WHERE vpbx = '${param.id}'
					</sql:query>
					<c:choose>
						 <c:when test="${rs2.rowCount eq \"0\"}">
						  
							 <c:choose>
								 <c:when test="${sessionScope.asterisk12}">
									 <sql:update dataSource="jdbc/ipcontact">
										 DELETE FROM vpbxs WHERE number = '${param.id}'
									 </sql:update>
								 </c:when>
								 <c:otherwise>
									 <sql:update dataSource="jdbc/ipcontact">
										 DELETE FROM vpbx WHERE number = '${param.id}'
									 </sql:update>
								 </c:otherwise>
							 </c:choose>
							 
							<c:set var="needReload" value="yes" scope="session"/>
							<c:set var="needVpbxReload" value="yes" scope="session"/>
							
							<c:set var="message" value="vpbx.deleted" scope="session"/>
							<c:set var="messageType" value="ok" scope="session"/>
						</c:when>
						<c:otherwise>
							<c:set var="message" value="vpbx.error.operator" scope="session"/>
							<c:set var="messageType" value="error" scope="session"/>
						</c:otherwise>
					</c:choose>
				</c:when>
				<c:otherwise>
					<c:set var="message" value="vpbx.error.extension" scope="session"/>
					<c:set var="messageType" value="error" scope="session"/>
				</c:otherwise>
			</c:choose>
		</c:when>
		<c:otherwise>
			<c:set var="message" value="vpbx.error.hunt" scope="session"/>
			<c:set var="messageType" value="error" scope="session"/>
		</c:otherwise>
	</c:choose>
</c:if>
		
<c:url var="contact" value="listVpbxs.jsp">
	<c:param name="numGt" value="${param.numGt}"/>
	<c:param name="numLt" value="${param.numLt}"/>
	<c:param name="name" value="${param.name}"/>
	<c:param name="nameType" value="${param.nameType}"/>
	<c:param name="offset" value="${param.offset}"/>
	<c:param name="rows" value="${param.rows}"/>
</c:url>

<c:redirect url="${contact}"/>

