		<%pageContext.setAttribute("path","../");%>
		<%@ include file="../menu.jsp" %>
		
		<div id="right">
			<fmt:bundle basename="vpbx">
				<c:if test="${not empty sessionScope.message}">
					<c:choose>
						<c:when test="${sessionScope.messageType eq \"error\"}">
							<c:set var="class" value="error"/>
						</c:when>
						<c:otherwise>
							<c:set var="class" value="ok"/>
						</c:otherwise>
					</c:choose>
					<div class="${class}">
						<fmt:message key="${sessionScope.message}"/>
						<c:if test="${sessionScope.message eq \"user.error.generic\"}">
							${sessionScope.error}
						</c:if>
					</div>
					<c:set var="message" value="" scope="session"/>
				</c:if>
				<c:choose>
					<c:when test="${empty param.rows}">
						<%@ include file="../ui/vpbx/search.jsp" %>
					</c:when>
					<c:otherwise>
				
						<w:where var="conds">
							<w:condition attribute="number" comparator=">=" value="${param.numGt}"/>
							<w:condition attribute="number" comparator="<=" value="${param.numLt}"/>
							<w:condition attribute="name" comparator="${param.nameType}" value="${param.name}"/>
						</w:where>
				
						<c:set var="offset" value="${param.offset}"/>
				
						<c:if test="${empty offset}">
							<c:set var="offset" value="0"/>
						</c:if>
						
						<c:choose>
							<c:when test="${sessionScope.asterisk12}">
								<sql:query var="rs" dataSource="jdbc/ipcontact">
									SELECT count(*) AS count FROM vpbxs ${conds}
								</sql:query>
							</c:when>
							<c:otherwise>
								<sql:query var="rs" dataSource="jdbc/ipcontact">
									SELECT count(*) AS count FROM vpbx ${conds}
								</sql:query>
							</c:otherwise>
						</c:choose>
						
						<c:if test="${rs.rows[0].count > (offset + param.rows)}">
							<c:set var="nextOffset" value="true"/>
						</c:if>
						<c:choose>
							<c:when test="${sessionScope.asterisk12}">			
								<sql:query var="rs" dataSource="jdbc/ipcontact">
									SELECT number, phone_number, name, family, mainmenu, operator, dial_opts_local, dial_opts_extern, dial_opts_return, vm_select_local, vm_select_extern
									FROM vpbxs
								    ${conds} ORDER BY number LIMIT ${param.rows} OFFSET ${offset}
								</sql:query>
							</c:when>
							<c:otherwise>
								<sql:query var="rs" dataSource="jdbc/ipcontact">
									SELECT number, phone AS phone_number, name, family, mainmenu, operator, dialoptsloc AS dial_opts_local, dialoptsext AS dial_opts_extern, dialoptsret AS dial_opts_return, vmslocal AS vm_select_local, vmsincoming AS vm_select_extern
									FROM vpbx
								    ${conds} ORDER BY number LIMIT ${param.rows} OFFSET ${offset}
								</sql:query>
							</c:otherwise>
						</c:choose>
						<%@ include file="../ui/vpbx/list.jsp" %>				
					</c:otherwise>
				</c:choose>
			</fmt:bundle>
		</div>
	</body>
</html>