<%pageContext.setAttribute("path","../");%>
<%@ include file="../menu.jsp" %>
<%@ page import="org.apache.taglibs.standard.tag.common.sql.ResultImpl" %>
<fmt:bundle basename="campaigns">
    <fmt:message key="timerange.validations.hours" var="hours"/>
    <fmt:message key="timerange.validations.minutes" var="minutes"/>
    <fmt:message key="timerange.validations.seconds" var="seconds"/>

    <script type="text/javascript">
    <!--
      var voicemail = false;

      function validateOnSubmit() {

        return true;
      };

    //-->
    </script>
    <c:set var="hours" value=""/>
    <c:set var="minutes" value=""/>
    <c:set var="seconds" value=""/>

    <div id="right">
        <c:if test="${not empty param.value}">
            <c:set var="value" value="${param.value}"/>
            <c:set var="recall" value="${param.recall}"/>
            <c:choose>
                <c:when test="${recall eq \"on\"}">
                    <c:set var="recall" value="true"/>
                </c:when>
                <c:otherwise>
                    <c:set var="recall" value="false"/>
                </c:otherwise>
            </c:choose>
            <sql:transaction dataSource="jdbc/callcenter">
                    <sql:update>
                            INSERT INTO llamadas_resultados (valor, recall)
                            VALUES ('${value}', ${recall})
                    </sql:update>	
            </sql:transaction>
        </c:if>

        <c:if test="${not empty sessionScope.message}">
            <c:if test="${sessionScope.messageType eq \"error\"}">
                <c:set var="class" value="error"/>
            </c:if>
            <c:if test="${sessionScope.messageType eq \"ok\"}">
                <c:set var="class" value="ok"/>
            </c:if>
            <div class="${class}">
                ${sessionScope.message}
                <c:set var="message" value="" scope="session"/>
            </div>
        </c:if>

        <sql:query var="rs" dataSource="jdbc/callcenterRO">
			SELECT * FROM llamadas_resultados
			WHERE id >= 0
			ORDER BY id
        </sql:query>

        <form method="post" action="delCallresult.jsp" name="deleteForm" target="_self">
                <input type="hidden" name="id"/>
        </form>

        <c:choose>
            <c:when test="${not empty rs.rows}">
                <table class="data">	
                    <tr class="tit">
                        <th><fmt:message key="callresults.value" /></th>
                        <th><fmt:message key="callresults.recall" /></th>
                        <th/>
                    </tr>

                    <c:forEach var="row" varStatus="stat" items="${rs.rows}">
                        <c:choose>
                            <c:when test="${stat.count % 2 == 0}">
                                <tr class="even">
                            </c:when>
                            <c:otherwise>
                                <tr class="odd">
                            </c:otherwise>
                        </c:choose>	
                        <td class="data">${row.valor}</td>
                        <c:choose>
                            <c:when test="${row.recall}">
                                <td class="data"><fmt:message key="yes"/></td>
                            </c:when>
                            <c:otherwise>
                                <td class="data"><fmt:message key="no"/></td>
                            </c:otherwise>
                        </c:choose>
                        <td class="data">
                            <fmt:message key="callresults.delete.question" var="question"/>
                            <a class="link" href="javascript:del('${row.id}', '${question}')">
                                <fmt:message key="delete" />
                            </a>
                            <c:set var="question" value=""/>
                        </td>
                    </tr>
                    </c:forEach>
                </table>
            </c:when>
            <c:otherwise>
                <p><fmt:message key="callresults.empty" /></p>
            </c:otherwise>
        </c:choose>	

        <form onsubmit="return validateOnSubmit()" method="post" action="callresults.jsp" name="formulario">
            <h3><fmt:message key="callresults.add" /></h3>
            <table class="query">
                <tr class="plain">
                    <td class="query">
                        <fmt:message key="callresults.value" />
                    </td>
                    <td class="query">       				
                        <input type="text" name="value" size="20" maxlength="128" value=""/>
                    </td>
                    <td class="query" id="inf_begin">
                        <c:if test="${empty value}">
                            <fmt:message key="required" />
                        </c:if>
                    </td>
                </tr>
                <tr class="plain">
                    <td class="query">
                        <fmt:message key="callresults.recall"/>
                    </td>
                    <td class="query">       				
                        <c:if test="${recall}">
                            <c:set var="checked" value="checked=\"checked\"" />
                        </c:if>
                        <input type="checkbox" name="recall" ${checked} />
                        <c:set var="checked" value=""/>
                    </td>
                    <td class="query"/>
                </tr>
                <tr class="plain">
                    <td class="query" colspan="3">
                        <fmt:message key="callresults.add" var="add"/>
                        <input class="boton" type="submit" value="${add}" align="middle"/>
                        <c:set var="add" value=""/>
                    </td>
                </tr>
            </table>	
        </form>
    </div>
</fmt:bundle>
</html>
