<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/sql" prefix="sql" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt"%>
  
<c:if test="${not empty param.id}">
    <fmt:bundle basename="campaigns">
        <sql:query var="rs" dataSource="jdbc/callcenterRO">
            SELECT * FROM campaign_results WHERE result='${param.id}'
        </sql:query>
        <c:choose>
            <c:when test="${not empty rs.rows}">
                <fmt:message key="callresults.delete.used" var="message"/>
                <c:set var="message" value="${message}" scope="session"/>
                <c:set var="messageType" value="error" scope="session"/>
            </c:when>
            <c:otherwise>
                <sql:transaction dataSource="jdbc/callcenter">
                    <sql:update>
                        DELETE FROM llamadas_resultados WHERE id = '${param.id}'
                    </sql:update>
                </sql:transaction>

                <fmt:message key="callresults.delete.ok" var="message"/>
                <c:set var="message" value="${message}" scope="session"/>
                <c:set var="messageType" value="ok" scope="session"/>
            </c:otherwise>
        </c:choose>
    </fmt:bundle>
</c:if>

<c:redirect url="callresults.jsp"/>
