<%pageContext.setAttribute("path","../");%>
<%@ include file="../menu.jsp" %>

<c:choose>
	<c:when test="${not empty param.idClient}">
		<c:if test="${not empty param.id}">
			<sql:query var="rsCampaign" dataSource="jdbc/callcenterRO">
				SELECT info 
				FROM campanias
				WHERE id = ${param.id}
			</sql:query>
			
			<sql:query var="rsPred" dataSource="jdbc/ipcontactRO">
				SELECT predictive 
				FROM outgoing_profile
				WHERE id = ${param.id}
			</sql:query>

			<c:set var="queue" value="${rsCampaign.rows[0].info}"/>
			<c:set var="id" value="${param.id}"/>
			
			<sql:setDataSource dataSource="jdbc/callcenter" /> 
			<sql:transaction>
				<c:if test="${not empty param.deleteclients}">
					<sql:update>
						DELETE FROM clientes 
						USING clientes, clientes_extrainfo 
						WHERE id_campania = ${param.id} AND clientes.id = clientes_extrainfo.id
					</sql:update>
				</c:if>
				
				<sql:update>
					DELETE FROM campanias 
					WHERE id = ${param.id}
				</sql:update>	

				<sql:update>
					DELETE FROM campaign_forms_metadata 
					WHERE campaign = ${param.id}
				</sql:update>

				<sql:update>
					DROP TABLE IF EXISTS datos${param.id}
				</sql:update>
			</sql:transaction>
				
			<sql:setDataSource dataSource="jdbc/ipcontact" /> 
			<sql:transaction>
				<sql:update>
					DELETE FROM outgoing_profile 
					WHERE id = ${param.id}
				</sql:update>

				<c:if test="${rsPred.rows[0].predictive}">
					<sql:update>
						DELETE FROM queue
						WHERE name = '${queue}'
					</sql:update>
				</c:if>
			</sql:transaction>
				
			<%
				Document doc;
				Element action;
				String queue = (String)pageContext.getAttribute("queue");
				String id = (String)pageContext.getAttribute("id");
		
				doc = XMLHelper.newDocument();
				action = XMLHelper.newElement(doc, "action", "type", "del campaign");
				XMLHelper.addElement(doc, action, "queue", queue);
				XMLHelper.addElement(doc, action, "id", id);
				doc.appendChild(action);
				
				String result = net.action(doc, "del campaign");
				if (result.equals("ok")) {	
					session.setAttribute("message", "addcampaign.delete.ok");
					session.setAttribute("deleted", queue);
					session.setAttribute("messageType", "ok");
				}
				else {
					session.setAttribute("message", result);
					session.setAttribute("messageType", "error");
				}
			%>
		</c:if>
		<c:url var="contact" value="listCampaigns.jsp">
			<c:param name="name" value="${param.name}"/>
			<c:param name="nameType" value="${param.nameType}"/>
			<c:param name="offset" value="${param.offset}"/>
			<c:param name="rows" value="${param.rows}"/>
		</c:url>
		
		<c:redirect url="${contact}"/>
	</c:when>
	<c:otherwise>
		<div id="right">
			<fmt:bundle basename="campaigns">
				<h3><fmt:message key="delcampaign.title" /></h3>
				<form name="formulario" action="delCampaign.jsp" method="post">
					<sql:query var="rsCampaign" dataSource="jdbc/callcenterRO">
						SELECT info 
						FROM campanias
						WHERE id = ${param.id}
					</sql:query>
					<h4>
						<fmt:message key="addcampaign.delete.question">
							<fmt:param value="${rsCampaign.rows[0].info}"/>
						</fmt:message>
					</h4>
					
					<fmt:message key="addcampaign.deletecustomers"/>
					<input type="checkbox" name="deleteclients" checked="">
					<br/>
					<br/>
					<fmt:message key="delete" var="fmtdelete"/>
					<input type="submit" value="${fmtdelete}">
					<input type="hidden" name="idClient" value="${param.id}">
					<input type="hidden" name="id" value="${param.id}">
					<input type="hidden" name="name" value="${param.name}"/>
					<input type="hidden" name="nameType" value="${param.nameType}"/>
					<input type="hidden" name="rows" value="${param.rows}"/>
				</form>
			</fmt:bundle>
		</div>
	</c:otherwise>
</c:choose>
