<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/sql" prefix="sql" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt"%>
  
<c:if test="${not empty param.id}">
	<fmt:bundle basename="campaigns">
		<sql:query var="rs" dataSource="jdbc/ipcontactRO">
			SELECT count(*) AS count FROM time_range
		</sql:query>
		<c:choose>
			<c:when test="${rs.rows[0].count eq 1}">
				<fmt:message key="timerange.delete.lastone" var="message"/>
				<c:set var="message" value="${message}" scope="session"/>
				<c:set var="messageType" value="error" scope="session"/>
			</c:when>
			<c:otherwise>
				<sql:query var="rs" dataSource="jdbc/ipcontactRO">
					SELECT count(*) AS count FROM outgoing_profile 
					WHERE morning = ${param.id} or evening = ${param.id} or saturday = ${param.id} or sunday = ${param.id}
				</sql:query>
				<c:choose>
					<c:when test="${rs.rows[0].count > 0}">
						<fmt:message key="timerange.delete.used" var="message">
							<fmt:param value="${rs.rows[0].count}"/>
						</fmt:message>
						<c:set var="message" value="${message}" scope="session"/>
						<c:set var="messageType" value="error" scope="session"/>
					</c:when>
					<c:otherwise>
						<sql:transaction dataSource="jdbc/ipcontact">
							<sql:update>
								DELETE FROM time_range WHERE id = '${param.id}'
							</sql:update>
						</sql:transaction>
					
						<fmt:message key="timerange.delete.ok" var="message"/>
						<c:set var="message" value="${message}" scope="session"/>
						<c:set var="messageType" value="ok" scope="session"/>
					</c:otherwise>
				</c:choose>
			</c:otherwise>
		</c:choose>
	</fmt:bundle>
</c:if>

<c:redirect url="timerange.jsp"/>
