<%pageContext.setAttribute("path","../");%>
<%@ include file="../menu.jsp" %>

<div id="right">
	<fmt:bundle basename="customers">
		<c:if test="${not empty sessionScope.message}">
			<c:if test="${sessionScope.messageType eq \"error\"}">
				<c:set var="class" value="error"/>
			</c:if>
			<c:if test="${sessionScope.messageType eq \"ok\"}">
				<c:set var="class" value="ok"/>
			</c:if>
			<div class="${class}">
				<c:set var="class" value=""/>
				<c:choose>
					<c:when test="${sessionScope.message eq \"loadcustomers.loaded\"}">
						<fmt:message key="loadcustomers.loaded">
							<fmt:param value="${sessionScope.customers}"/>
						</fmt:message>
						<c:set var="customers" value="" scope="session"/>
					</c:when>
					<c:otherwise>
						<fmt:message key="${sessionScope.message}"/>
					</c:otherwise>
				</c:choose>
				<c:set var="message" value="" scope="session"/>
			</div>
		</c:if>
		
		<h2><fmt:message key="loadcustomers.title"/></h2>
				
		<sql:query var="rs2" dataSource="jdbc/callcenterRO">
			SELECT id, info
			FROM campanias
			ORDER BY info
		</sql:query>
		
		<c:if test="${not empty sessionScope.message}">
			<h3>${sessionScope.message}</h3>
		</c:if>
		
		<iframe name="uploadFrame" height="0" width="0" frameborder="0" scrolling="no"></iframe>
		
		<span id="registers">&nbsp;</span>
	
		<form method="post" name="formulario" enctype="multipart/form-data" action="../servlet/FileUpload" 
				target="uploadFrame" onsubmit="window.setTimeout('ajaxFunction()', 1000)">		
			<table class="query">
				<tr class="plain">
					<td class="query"><fmt:message key="loadcustomers.campaign"/>:</td>
					<td class="query">
						<select name="idc">
							<c:forEach var="row" varStatus="stat" items="${rs2.rows}">
								<option value="${row.id}">${row.info}</option>
							</c:forEach>
						</select> 
					</td>
				</tr>
				<tr class="plain">
					<td class="query"><fmt:message key="loadcustomers.generateids"/></td>
					<td class="query">
						<c:choose>
							<c:when test="${sessionScope.fast}">
								<input type="checkbox" name="autoid" disabled="disabled" checked="checked"/>
								<input type="hidden" name="autoid" value="on"/>
							</c:when>
							<c:otherwise>
								<input type="checkbox" name="autoid" checked="checked"/>
							</c:otherwise>
						</c:choose>
					</td>
				</tr>
				<tr class="plain">
					<td class="query"><fmt:message key="loadcustomers.datafile"/></td>
					<td class="query">
						<input type="file" name="datafile" size="40"/>
					</td>
				</tr>
				<tr class="plain">
					<td class="query"><fmt:message key="loadcustomers.label"/></td>
					<td class="query">
						<input type="text" name="label" size="40" maxlength="64"/>
					</td>
				</tr>
				<tr class="plain">
					<td class="query" colspan="2">
						<fmt:message key="loadcustomers.load" var="load"/>
						<input class="boton" type="submit" name="submit" value="${load}"/>
						<c:set var="load" value=""/>
					</td>
				</tr>
			</table>
		</form>
		<p><br/></p>
		<p><fmt:message key="loadcustomers.format"/></p>
		<c:if test="${!sessionScope.fast}">
			<p><fmt:message key="loadcustomers.idformat"/></p>
		</c:if>
		<p><fmt:message key="loadcustomers.optformat"/></p>
		<p><fmt:message key="loadcustomers.headerformat"/></p>
	</fmt:bundle>
</div>
</body>
</html>

