<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/sql" prefix="sql" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt"%>
 
<fmt:bundle basename="forms">
	<c:if test="${not empty param.id}">
		<c:catch var="ex">
			<sql:update dataSource="jdbc/callcenter">
				DELETE FROM forms_metadata WHERE form = '${param.id}'
			</sql:update>
		</c:catch>
	
		<c:choose>
			<c:when test="${empty ex}">
				<fmt:message key="delform.ok" var="message">
					<fmt:param value="${param.id}"/>
				</fmt:message>
				<c:set var="message" value="${message}" scope="session"/>	
			</c:when>
			<c:otherwise>
				<fmt:message key="delform.error" var="message">
					<fmt:param value="${ex}"/>
				</fmt:message>
				<c:set var="message" value="${message}" scope="session"/>
			</c:otherwise>
		</c:choose>
	</c:if>
	
	<c:url var="contact" value="listForms.jsp">
		<c:param name="name" value="${param.name}"/>
		<c:param name="nameType" value="${param.nameType}"/>
		<c:param name="offset" value="${param.offset}"/>
		<c:param name="rows" value="${param.rows}"/>
	</c:url>
</fmt:bundle>
<c:redirect url="${contact}"/>

