<%pageContext.setAttribute("path","../");%>
<%@ include file="../menu.jsp" %>
<fmt:bundle basename="results">
	<div id="right">
	
	<h2><fmt:message key="resultclients.title"/></h2>
		
	<c:choose>
		<c:when test="${empty param.campaign}">
			
			<c:choose>
				<c:when test="${sessionScope.role eq \"admin\"}">
					<sql:query var="rs2" dataSource="jdbc/callcenterRO">
						SELECT id, info
						FROM campanias
						ORDER BY info
					</sql:query>
				</c:when>
				<c:otherwise>
					<sql:query var="rs2" dataSource="jdbc/callcenterRO">
						SELECT c.id AS id, info
						FROM campanias c
						INNER JOIN ${sessionScope.ipcontactTable}.queue_users on c.info = queue
						INNER JOIN ${sessionScope.ipcontactTable}.users USING (username)
						INNER JOIN ${sessionScope.ipcontactTable}.supervisors_groups USING (group_id)
						WHERE user_id = '${sessionScope.username}'
						GROUP BY c.id
						ORDER BY info
					</sql:query>
				</c:otherwise>
			</c:choose>
			
			<form method="get" name="formulario" action="resultClients.jsp">
				<table class="query">
					
					<tr class="plain">
						<td class="query"><fmt:message key="resultclients.campaign"/>:</td>
						<td class="query">
							<select name="campaign">
								<c:forEach var="row" varStatus="stat" items="${rs2.rows}">
									<option value="${row.id}">${row.info}</option>
								</c:forEach>
							</select> 
						</td>
					</tr>
					<tr class="plain">
						<td class="query"><fmt:message key="resultclients.label"/>:</td>
						<td class="query">
							<input name="label" type="text" size="20" maxlength="20"/>
							<select name="labelType">
								<option value="1"><fmt:message key="equals"/></option>
								<option value="2" selected="selected"><fmt:message key="contains"/></option>
								<option value="3"><fmt:message key="startswith"/></option>
								<option value="4"><fmt:message key="endswith"/></option>
							</select> 
						</td>
					</tr>
					<tr class="plain">
						<td class="query"><fmt:message key="callresults.results"/>:</td>
						<td class="query">
							<input type="radio" name="rows" value="10"/><label>10</label>
							<input type="radio" name="rows" value="25" checked="checked"/><label>25</label>
							<input type="radio" name="rows" value="50"/><label>50</label>
						</td>
					</tr>
					<tr class="plain">
						<td class="query" colspan="3">
							<fmt:message key="resultclients.submit" var="submit"/>
							<input class="boton" type="submit" name="show" value="${submit}"/>
							<c:set var="submit" value=""/>
						</td>
					</tr>
				</table>			
			</form>
		</c:when>
		<c:otherwise>
			<c:set var="offset" value="${param.offset}"/>

			<c:if test="${empty offset}">
				<c:set var="offset" value="0"/>
			</c:if>

			<w:where var="conds">
				<w:condition attribute="ce.id_campania" value="${param.campaign}"/>
				<w:condition attribute="etiqueta" comparator="${param.labelType}" value="${param.label}"/>
			</w:where>

			<w:where var="internalConds">
				<c:if test="${param.campaign != \"all\"}">
					<w:condition attribute="id_campania" value="${param.campaign}"/>
				</c:if>
				<w:condition attribute="etiqueta" comparator="${param.labelType}" value="${param.label}"/>
			</w:where>

			<sql:query var="rs" dataSource="jdbc/callcenterRO">
				SELECT count(*) AS count
				FROM clientes c
				INNER JOIN clientes_extrainfo ce USING (id)
				${conds}
			</sql:query>

			<c:if test="${rs.rows[0].count > (offset + param.rows)}">
				<c:set var="nextOffset" value="true"/>
			</c:if>
						
			<c:set var="sql" scope="session" value="
				SELECT id, nombre, apellido, telefono, t1.valor AS status1, telefono2, t2.valor AS status2, telefono3, t3.valor AS status3, telefono4, t4.valor AS status4, telefono5, t5.valor AS status5
				FROM clientes c
				INNER JOIN clientes_extrainfo ce USING(id)
				LEFT JOIN (
							SELECT l.telefono AS telefono_llamado, l.id_cliente, l.id_campania,  l.fecha, l.resultado, valor
							FROM (
								SELECT telefono, id_cliente, id_campania, max(fecha) AS max_fecha
								FROM llamadas
								${internalConds}
								GROUP BY id_cliente, telefono
							) AS x
							INNER JOIN llamadas AS l ON x.id_cliente = l.id_cliente AND x.id_campania = l.id_campania AND x.max_fecha = l.fecha AND x.telefono=l.telefono
							INNER JOIN llamadas_resultados ON llamadas_resultados.id = l.resultado
				) AS t1 ON telefono = t1.telefono_llamado AND id = t1.id_cliente AND ce.id_campania = t1.id_campania
				LEFT JOIN (
							SELECT l.telefono AS telefono_llamado, l.id_cliente, l.id_campania, l.fecha, l.resultado, valor
							FROM (
								SELECT telefono, id_cliente, id_campania, max(fecha) AS max_fecha
								FROM llamadas
								${internalConds}
								GROUP BY id_cliente, telefono
							) AS x
							INNER JOIN llamadas AS l ON x.id_cliente = l.id_cliente AND x.id_campania = l.id_campania AND x.max_fecha = l.fecha AND x.telefono=l.telefono
							INNER JOIN llamadas_resultados ON llamadas_resultados.id = l.resultado
				) AS t2 ON telefono2 = t2.telefono_llamado AND id = t2.id_cliente AND ce.id_campania = t2.id_campania
				LEFT JOIN (
							SELECT l.telefono AS telefono_llamado, l.id_cliente, l.id_campania, l.fecha, l.resultado, valor
							FROM (
								SELECT telefono, id_cliente, id_campania, max(fecha) AS max_fecha
								FROM llamadas
								${internalConds}
								GROUP BY id_cliente, telefono
							) AS x
							INNER JOIN llamadas AS l ON x.id_cliente = l.id_cliente AND x.id_campania = l.id_campania AND x.max_fecha = l.fecha AND x.telefono=l.telefono
							INNER JOIN llamadas_resultados ON llamadas_resultados.id = l.resultado
				) AS t3 ON telefono3 = t3.telefono_llamado AND id = t3.id_cliente AND ce.id_campania = t3.id_campania
				LEFT JOIN (
							SELECT l.telefono AS telefono_llamado, l.id_cliente, l.id_campania, l.fecha, l.resultado, valor
							FROM (
								SELECT telefono, id_cliente, id_campania, max(fecha) AS max_fecha
								FROM llamadas
								${internalConds}
								GROUP BY id_cliente, telefono
							) AS x
							INNER JOIN llamadas AS l ON x.id_cliente = l.id_cliente AND x.id_campania = l.id_campania AND x.max_fecha = l.fecha AND x.telefono=l.telefono
							INNER JOIN llamadas_resultados ON llamadas_resultados.id = l.resultado
				) AS t4 ON telefono4 = t4.telefono_llamado AND id = t4.id_cliente AND ce.id_campania = t4.id_campania
				LEFT JOIN (
							SELECT l.telefono AS telefono_llamado, l.id_cliente, l.id_campania, l.fecha, l.resultado, valor
							FROM (
								SELECT telefono, id_cliente, id_campania, max(fecha) AS max_fecha
								FROM llamadas
								${internalConds}
								GROUP BY id_cliente, telefono
							) AS x
							INNER JOIN llamadas AS l ON x.id_cliente = l.id_cliente AND x.id_campania = l.id_campania AND x.max_fecha = l.fecha AND x.telefono=l.telefono
							INNER JOIN llamadas_resultados ON llamadas_resultados.id = l.resultado
				) AS t5 ON telefono5 = t5.telefono_llamado AND id = t5.id_cliente AND ce.id_campania = t5.id_campania
				${conds}"
			/>
			   				   
			<sql:query var="rs" dataSource="jdbc/callcenterRO">
				${sql}
				LIMIT ${param.rows} OFFSET ${offset}
			</sql:query>

			<form method="post" action="resultClients.jsp" name="jumpForm">
				<input type="hidden" name="campaign" value="${param.campaign}"/>
				<input type="hidden" name="label" value="${param.label}"/>
				<input type="hidden" name="labelType" value="${param.labelType}"/>
				<input type="hidden" name="offset" value=""/>
				<input type="hidden" name="rows" value="${param.rows}"/>
			</form>
			
			<table class="data">
				<tr class="tit">
					<th><fmt:message key="resultclients.name"/></th>
					<c:choose>
						<c:when test="${sessionScope.fast eq \"true\"}">
							<th><fmt:message key="resultclients.cpf"/></th>
						</c:when>
						<c:otherwise>
							<th><fmt:message key="resultclients.apellido"/></th>
						</c:otherwise>
					</c:choose>
					<th><fmt:message key="resultclients.telephone1"/></th>
					<th><fmt:message key="resultclients.status"/></th>
					<th><fmt:message key="resultclients.telephone2"/></th>
					<th><fmt:message key="resultclients.status"/></th>
					<th><fmt:message key="resultclients.telephone3"/></th>
					<th><fmt:message key="resultclients.status"/></th>
					<th><fmt:message key="resultclients.telephone4"/></th>
					<th><fmt:message key="resultclients.status"/></th>
					<th><fmt:message key="resultclients.telephone5"/></th>
					<th><fmt:message key="resultclients.status"/></th>
				</tr>
				
				<c:forEach var="row" varStatus="stat" items="${rs.rows}">
					<c:choose>      
			    		<c:when test="${stat.count % 2 == 0}">
							<tr class="even">
			    		</c:when>
			    		<c:otherwise>
							<tr class="odd">
			    		</c:otherwise>
			    	</c:choose>
			
						<td class="data">${row.nombre}</td>
						<td class="data">${row.apellido}</td>
						<td class="data">${row.telefono}</td>
						<c:choose>
							<c:when test="${not empty row.telefono}">
								<c:choose>
									<c:when test="${not empty row.status1}">
										<td class="data">${row.status1}</td>
									</c:when>
									<c:otherwise>
										<td class="data"><fmt:message key="resultclients.nocall"/></td>
									</c:otherwise>
								</c:choose>
							</c:when>
							<c:otherwise>
								<td class="data"></td>
							</c:otherwise>
						</c:choose>
						<td class="data">${row.telefono2}</td>
						<c:choose>
							<c:when test="${not empty row.telefono2}">
								<c:choose>
									<c:when test="${not empty row.status2}">
										<td class="data">${row.status2}</td>
									</c:when>
									<c:otherwise>
										<td class="data"><fmt:message key="resultclients.nocall"/></td>
									</c:otherwise>
								</c:choose>
							</c:when>
							<c:otherwise>
								<td class="data"></td>
							</c:otherwise>
						</c:choose>
						<td class="data">${row.telefono3}</td>
						<c:choose>
							<c:when test="${not empty row.telefono3}">
								<c:choose>
									<c:when test="${not empty row.status3}">
										<td class="data">${row.status3}</td>
									</c:when>
									<c:otherwise>
										<td class="data"><fmt:message key="resultclients.nocall"/></td>
									</c:otherwise>
								</c:choose>
							</c:when>
							<c:otherwise>
								<td class="data"></td>
							</c:otherwise>
						</c:choose>
						<td class="data">${row.telefono4}</td>
						<c:choose>
							<c:when test="${not empty row.telefono4}">
								<c:choose>
									<c:when test="${not empty row.status4}">
										<td class="data">${row.status4}</td>
									</c:when>
									<c:otherwise>
										<td class="data"><fmt:message key="resultclients.nocall"/></td>
									</c:otherwise>
								</c:choose>
							</c:when>
							<c:otherwise>
								<td class="data"></td>
							</c:otherwise>
						</c:choose>
						<td class="data">${row.telefono5}</td>
						<c:choose>
							<c:when test="${not empty row.telefono5}">
								<c:choose>
									<c:when test="${not empty row.status5}">
										<td class="data">${row.status5}</td>
									</c:when>
									<c:otherwise>
										<td class="data"><fmt:message key="resultclients.nocall"/></td>
									</c:otherwise>
								</c:choose>
							</c:when>
							<c:otherwise>
								<td class="data"></td>
							</c:otherwise>
						</c:choose>
					</tr>
				</c:forEach>
			</table>
			
			<util:jump offset="${offset}" rows="${param.rows}" nextOffset="${nextOffset}"/>
			
			<c:url var="linkPDF" value="../servlet/ipcontact.Reports">
				<c:param name="reportFile" value="landscape-report.xml"/>
				<c:param name="template" value="resultClients.xml"/>
				<c:param name="reportType" value="pdf"/>
				<c:param name="filename" value="resultado"/>
				<c:param name="db" value="java:comp/env/jdbc/callcenterRO"/>
				<c:if test="${not empty sessionScope.locale}">
					<c:param name="locale" value="${sessionScope.locale}"/>
				</c:if>
			</c:url>
			
			<c:url var="linkXLS" value="../servlet/ipcontact.Reports">
				<c:param name="reportFile" value="landscape-report.xml"/>
				<c:param name="template" value="resultClients.xml"/>
				<c:param name="reportType" value="xls"/>
				<c:param name="filename" value="resultado"/>
				<c:param name="db" value="java:comp/env/jdbc/callcenterRO"/>
				<c:if test="${not empty sessionScope.locale}">
					<c:param name="locale" value="${sessionScope.locale}"/>
				</c:if>
			</c:url>
			
			<c:url var="linkCSV" value="../servlet/ipcontact.Reports">
				<c:param name="reportFile" value="landscape-report.xml"/>
				<c:param name="template" value="resultClients.xml"/>
				<c:param name="reportType" value="csv"/>
				<c:param name="filename" value="resultado"/>
				<c:param name="db" value="java:comp/env/jdbc/callcenterRO"/>
				<c:if test="${not empty sessionScope.locale}">
					<c:param name="locale" value="${sessionScope.locale}"/>
				</c:if>
			</c:url>
			
			<%@ include file="../include/export.jsp" %>
			
		</c:otherwise>
	</c:choose>			
	
	</div>
</fmt:bundle>
</body>
</html>
