<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/sql" prefix="sql" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>

<fmt:bundle basename="scheduled">
	<c:if test="${not empty param.id}">
		<sql:update dataSource="jdbc/callcenter">
			DELETE FROM llamadas_agendadas WHERE id = ${param.id} and id_campania = ${param.idc}
		</sql:update>
	
		<fmt:message key="delscheduled.deleted" var="message">
			<fmt:param value="${param.id}"/>
		</fmt:message>
		<c:set var="message" value="${message}" scope="session"/>
	
	</c:if>
	
	<c:url var="contact" value="listScheduledCalls.jsp">
		<c:param name="afterDate" value="${param.afterDate}"/>
		<c:param name="afterTime" value="${param.afterTime}"/>
		<c:param name="beforeDate" value="${param.beforeDate}"/>
		<c:param name="beforeTime" value="${param.beforeTime}"/>
		<c:param name="agente" value="${param.agente}"/>
		<c:param name="procesada" value="${param.procesada}"/>
		<c:param name="campaign" value="${param.campaign}"/>
		<c:param name="offset" value="${param.offset}"/>
		<c:param name="rows" value="${param.rows}"/>
	</c:url>
</fmt:bundle>

<c:redirect url="${contact}"/>

