<%pageContext.setAttribute("path","../");%>
<%@ include file="../menu.jsp" %>

<div id="right">

	<fmt:bundle basename="statistics">
		<c:choose>
			<c:when test="${empty param.campaign}">
			
				<c:choose>
					<c:when test="${sessionScope.role eq \"admin\"}">
						<sql:query var="rs" dataSource="jdbc/callcenterRO">
							SELECT info, c.id AS id 
							FROM campanias c
							INNER JOIN ${sessionScope.ipcontactTable}.outgoing_profile ON queue = info 
							ORDER BY info
						</sql:query>
					</c:when>
					<c:otherwise>
						<sql:query var="rs" dataSource="jdbc/callcenterRO">
							SELECT c.id AS id, info
							FROM campanias c
							INNER JOIN ${sessionScope.ipcontactTable}.outgoing_profile o ON o.queue = info
							INNER JOIN ${sessionScope.ipcontactTable}.queue_users USING (queue)
							INNER JOIN ${sessionScope.ipcontactTable}.users USING (username)
							INNER JOIN ${sessionScope.ipcontactTable}.supervisors_groups USING (group_id)
							WHERE user_id = '${sessionScope.username}'
							GROUP BY c.id
							ORDER BY info
						</sql:query>
					</c:otherwise>
				</c:choose>
				
				
				<h2><fmt:message key="reportcampaignsresult.title"/></h2>
					<form method="get" name="formulario" action="reportCampaignsResult.jsp">
	 					<table class="query">
							<tr class="plain">
								<td class="query"><fmt:message key="reportcampaignsresult.campaign"/>:</td>
								<td class="query">
									<select name="campaign">
										<option value="all" selected="selected"><fmt:message key="all.female"/></option>
										<c:forEach var="row" varStatus="stat" items="${rs.rows}">
											<option value="${row.id}">${row.info}</option>
										</c:forEach>
									</select> 
								</td>
							</tr>
							<tr class="plain">
								<td class="query"><fmt:message key="reportcampaignsresult.label"/>:</td>
								<td class="query">
									<input name="label" type="text" size="20" maxlength="20"/>
									<select name="labelType">
										<option value="1"><fmt:message key="equals"/></option>
										<option value="2" selected="selected"><fmt:message key="contains"/></option>
										<option value="3"><fmt:message key="startswith"/></option>
										<option value="4"><fmt:message key="endswith"/></option>
									</select> 
								</td>
							</tr>
							<tr class="plain">
								<td class="query" colspan="3">
									<fmt:message key="reportcampaignsresult.submit" var="submit"/>
									<input class="boton" type="submit" name="show" value="${submit}"/>
									<c:set var="submit" value=""/>
								</td>
							</tr>
						</table>
					</form>
			</c:when>
			
			<c:otherwise>
			
				<h3><fmt:message key="reportcampaignsresult.title"/></h3>

					<jsp:useBean id="reportResult" class="ipcontact.campaigns.fast.ReportCampaignResultBean" scope="page">
					<jsp:setProperty name="reportResult" property="*"/>
						<c:set target='${reportResult}' property='user' value='${sessionScope.username}'/>
						<c:set target='${reportResult}' property='role' value='${sessionScope.role}'/>
						<c:set target='${reportResult}' property='ipcontactTable' value='${sessionScope.role}'/>
						<c:set target='${reportResult}' property='network' value='${sessionScope.connection}'/>
					</jsp:useBean>

					<c:set var='table' scope="session" value='${reportResult.data}'/>
					
					<table class="data">
						<tr class="tit">
							<th><fmt:message key="reportcampaignsresult.name"/></th>
							<th><fmt:message key="reportcampaignsresult.nocall"/></th>
							<th><fmt:message key="reportcampaignsresult.logged"/></th>
							<th><fmt:message key="reportcampaignsresult.talking"/></th>
							<th><fmt:message key="reportcampaignsresult.answered"/></th>
							<th><fmt:message key="reportcampaignsresult.percentageanswered"/></th>
							<th><fmt:message key="reportcampaignsresult.agendadas"/></th>
							<th><fmt:message key="reportcampaignsresult.noanswer"/></th>
							<th><fmt:message key="reportcampaignsresult.busy"/></th>
							<th><fmt:message key="reportcampaignsresult.error"/></th>
							<th><fmt:message key="reportcampaignsresult.wrong"/></th>
							<th><fmt:message key="reportcampaignsresult.message"/></th>
							<th><fmt:message key="reportcampaignsresult.other"/></th>
						</tr>
						
						<c:forEach var="row" varStatus="stat" items="${table}">
							<c:choose>      
			    				<c:when test="${stat.count % 2 == 0}">
									<tr class="even">
			    				</c:when>
			    				<c:otherwise>
									<tr class="odd">
			    				</c:otherwise>
			    			</c:choose>
			    			<c:choose>
								<c:when test="${not empty row.ce_id_campania}">
									<td class="data">${row.info}</td>
								</c:when>
								<c:otherwise>
									<td class="data"><fmt:message key="total"/></td>
								</c:otherwise>
							</c:choose>
							<td class="data">${row.sin_llamar}</td>
							<td class="data">${row.logged}</td>
							<td class="data">${row.talking}</td>
							<td class="data">${row.atendidas}</td>
							<td class="data">${row.porcentaje_atendidas}</td>
							<td class="data">${row.agendadas}</td>
							<td class="data">${row.no_contesta}</td>
							<td class="data">${row.ocupado}</td>
							<td class="data">${row.error}</td>
							<td class="data">${row.equivocado}</td>
							<td class="data">${row.recado}</td>
							<td class="data">${row.otros}</td>
							</tr>
						</c:forEach>
					</table>
			
					<c:url var="linkPDF" value="../servlet/ipcontact.Reports">
						<c:param name="reportFile" value="landscape-report.xml"/>
						<c:param name="template" value="reportCampaigns.xml"/>
						<c:param name="reportType" value="pdf"/>
						<c:param name="filename" value="reporte_campanhas"/>
						<c:param name="db" value="java:comp/env/jdbc/callcenterRO"/>
						<c:if test="${not empty sessionScope.locale}">
							<c:param name="locale" value="${sessionScope.locale}"/>
						</c:if>
					</c:url>
					
					<c:url var="linkXLS" value="../servlet/ipcontact.Reports">
						<c:param name="reportFile" value="landscape-report.xml"/>
						<c:param name="template" value="reportCampaigns.xml"/>
						<c:param name="reportType" value="xls"/>
						<c:param name="filename" value="reporte_campanhas"/>
						<c:param name="db" value="java:comp/env/jdbc/callcenterRO"/>
						<c:if test="${not empty sessionScope.locale}">
							<c:param name="locale" value="${sessionScope.locale}"/>
						</c:if>
					</c:url>
			
					<c:url var="linkCSV" value="../servlet/ipcontact.Reports">
						<c:param name="reportFile" value="landscape-report.xml"/>
						<c:param name="template" value="reportCampaigns.xml"/>
						<c:param name="reportType" value="csv"/>
						<c:param name="filename" value="reporte_campanhas"/>
						<c:param name="db" value="java:comp/env/jdbc/callcenterRO"/>
						<c:if test="${not empty sessionScope.locale}">
							<c:param name="locale" value="${sessionScope.locale}"/>
						</c:if>
					</c:url>
			
				<%@ include file="../include/export.jsp" %>
			
			</c:otherwise>
			
		</c:choose>
    </fmt:bundle>
</div>
</body>
</html>	
				