<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/sql" prefix="sql"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt"%>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
<head>
	<title>Callcenter IPContact :: Agente ${param.username}</title>
	<link type="text/css" rel="stylesheet" href="include/style.css"/>
	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"/>
</head>

<fmt:bundle basename="base">
<fmt:message key="unload" var="unload"/>

<c:set var="enableRecord" value="false"/>

<body onBeforeUnLoad="unload('${unload}')">

	<script type="text/javascript" src="include/scripts.js"></script>

	<sql:query var="rsExist" dataSource="jdbc/ipcontact">
		SHOW tables like 'pause_reason'
	</sql:query>
	 
	<c:if test="${not empty rsExist.rows}">
		<sql:query var="rs" dataSource="jdbc/ipcontact">
			SELECT id, reason
			FROM pause_reason
		</sql:query>
	</c:if>
					
	<div style="background: #F2F6E5" id="blinker" class="borde">
		<div class="spacer"/>
		<div class="float">
			<applet name="pane" code="uy.com.teledata.jastapplet.SlavePane.class" archive="cliapplet.jar" width="600" height="60" mayscript="mayscript" scriptable="true">
				<param name="extension" value="${param.extension}"/> 
				<param name="password" value="${param.password}"/>
				<param name="username" value="${param.username}"/>
				<param name="server" value="ipcontact_host"/>
				<param name="callContext" value="default"/>
			</applet>
		</div>
		<div class="float">
			<form method="get" name="pauseForm" action="index.jsp">
				<fmt:message key="pause" var="pause"/>
				<fmt:message key="activate" var="activate"/>
				<input type="button" class="boton" value="${pause}" name="cmdPausa" onclick="pauseQueue()"/>&nbsp;
				<fmt:message key="disconnect" var="disconnect"/>
				<input type="button" class="boton" value="${disconnect}" onclick="browserClose = 0; window.close()"/>&nbsp;
				<fmt:message key="reload" var="reload"/>
				<input type="button" class="boton" value="${reload}" onclick="browserClose = 0; window.location.reload()" />&nbsp;
				<c:if test="${enableRecord}">
					<fmt:message key="record" var="record"/>
					<input type="button" class="boton" value="${record}" onclick="manualRecord()"/>
					<img name="recordImage" src="include/media-record-off.png"/>
					&nbsp;
				</c:if>
				<c:if test="${not empty rs.rows}">
					<fmt:message key="reason"/>:
					<select name="reason">
						 <c:forEach var="row" varStatus="stat" items="${rs.rows}">
							<option value="${row.id}">${row.reason}</option>
						 </c:forEach>
					</select>
				</c:if>
				<br/>
				<fmt:message key="accept" var="accept"/>
				<input id="invitador" type="button" style="display: none" class="botonAlert" value="${accept}" onclick="acceptInvitation(null)" />
				<input name="pause" type="hidden" value="${pause}"/>
				<input name="activate" type="hidden" value="${activate}"/>
			</form>
		</div>
		<div class="spacer"/>
	</div>
	<p><fmt:message key="warning"/></p>
</body>
</fmt:bundle>
</html>
