<%pageContext.setAttribute("path","../");%>
<%@ include file="../menu.jsp" %>

<div id="right">
	<fmt:bundle basename="ivr">
		<c:choose>
			<c:when test="${empty param.afterDate}">
							
			<h1><fmt:message key="statistics.title"/></h1>
			<form method="get" name="formulario" action="reportIvr.jsp">
	 			<table class="query">
		            <tr class="plain">
						<td class="query"> <fmt:message key="statistics.from"/>: </td>
						<td class="query">
							<input name='afterDate' id='date' type='text' size='10'/>
							<input name='afterTime' id='afterTime' type='text' size='5'/>
							<script type="text/javascript">
							<!--
								if (document.formulario.date.value.length == 0)
									document.formulario.date.value=getCurrentDate();
								if (document.formulario.afterTime.value.length == 0)
									document.formulario.afterTime.value="00:00";
							-->
							</script>
							<img src='../calendar/calendar.jpg' title='<fmt:message key="statistics.calendar"/>' alt='<fmt:message key="statistics.calendar"/>' onclick="scwShow(document.getElementById('date'),this);" />
						</td>
					</tr>
					<tr class="plain">
						<td class="query"> <fmt:message key="statistics.to"/>: </td>
						<td class="query">
							<input name='beforeDate' id='beforeDate' type='text' size='10'/>
							<input name='beforeTime' id='beforeTime' type='text' size='5'/>
							<script type="text/javascript">
							<!--
								if (document.formulario.beforeDate.value.length == 0)
									document.formulario.beforeDate.value=getCurrentDate();
								if (document.formulario.beforeTime.value.length == 0)
									document.formulario.beforeTime.value=getCurrentTime();
							-->
							</script>
							<img src='../calendar/calendar.jpg' title='<fmt:message key="statistics.calendar"/>' alt='<fmt:message key="statistics.calendar"/>' onclick="scwShow(document.getElementById('beforeDate'),this);" />
						</td> 
					</tr>
					<tr class="plain">
						<td class="query"><fmt:message key="statistics.ivr"/>:</td>
						<td class="query">
							<c:choose>
							    <c:when test="${sessionScope.role eq 'admin'}">
								<sql:query var="rs" dataSource="jdbc/ipcontactRO">
								    SELECT ivr_name
								    FROM ivr
								    ORDER BY ivr_name
								</sql:query>
							    </c:when>
							    <c:when test="${sessionScope.role eq 'supervisor' or sessionScope.role eq 'manager'}">
								<sql:query var="rs" dataSource="jdbc/ipcontactRO">
								    SELECT ivr_name
								    FROM supervisors_ivrs
								    INNER JOIN ivr USING (ivr_id)
								    WHERE user_id = '${sessionScope.username}'
								    ORDER BY ivr_name
								</sql:query>
							    </c:when>
							</c:choose>
														
							<select name="ivr">
								<option value="all" selected="selected"><fmt:message key="all"/></option>
								<c:forEach var="row" items="${rs.rows}">
								    <option value="${row.ivr_name}">${row.ivr_name}</option>	
								</c:forEach>															
							</select>
						</td>
					</tr>
					<tr class="plain">
						<td class="query"> <fmt:message key="statistics.groupby"/>: </td>
						<td class="query">
							<select name="group">
								<option value="no"><fmt:message key="statistics.nogroup"/></option>
								<option value="hora"><fmt:message key="statistics.hour"/></option>
								<option value="dia"><fmt:message key="statistics.day"/></option>
							</select>
						</td>
					</tr>
					<tr class="plain">
						<td class="query"> <fmt:message key="statistics.groupbystate"/>: </td>
						<td class="query">
							<input type="checkbox" name="groupByState"/>
						</td>
					</tr>
					<tr class="plain">
			        	<td class="query" colspan="2">
			        		<input type='hidden' name='exceededTime' value='15'/>
			            	<input class="boton" type="submit" value="<fmt:message key='statistics.submit'/>"/>
			            </td>
			        </tr>
				</table>
			</form>
		</c:when>
				
		<c:otherwise>
			<jsp:useBean id="ivrStats" class="ipcontact.ivr.StatisticsBean" scope="page">
				<jsp:setProperty name="ivrStats" property="*"/> 
				<c:set target='${ivrStats}' property='user' value='${sessionScope.username}'/>
				<c:set target='${ivrStats}' property='role' value='${sessionScope.role}'/>
			</jsp:useBean>
		
			<c:set var='table' scope='session' value='${ivrStats.data}'/>
			
			<h3><fmt:message key="statistics.title"/></h3>
			<h3>
				<table>
					<tr>
						<td><fmt:message key="statistics.from"/>:</td>
						<td>${param.afterDate}</td>
						<td>${param.afterTime}</td>
					</tr>
					<tr>
						<td><fmt:message key="statistics.to"/>:</td>
						<td>${param.beforeDate}</td>
						<td>${param.beforeTime}</td>
					</tr>
				</table>
			</h3>
			
			<table class="data">
				<tr class="tit">
					<th> <fmt:message key="statistics.ivr"/> </th>
					<c:choose>
						<c:when test="${param.group eq 'dia'}">
							<th> <fmt:message key="statistics.day"/> </th>
						</c:when>
						<c:when test="${param.group eq 'hora'}">
							<th> <fmt:message key="statistics.hour"/> </th>
						</c:when>
					</c:choose>
					<c:if test="${param.groupByState eq 'on'}">
						<th> <fmt:message key="statistics.data.state"/> </th>
					</c:if>
					<th> <fmt:message key="statistics.data.received"/> </th>
					<c:if test="${param.groupByState ne 'on'}">
						<th> <fmt:message key="statistics.data.satisfactory"/> </th>
						<th> <fmt:message key="statistics.data.nonsatisfactory"/> </th>
						<th> <fmt:message key="statistics.data.satispercent"/> </th>
						<th> <fmt:message key="statistics.data.abandoned"/> </th>
						<th> <fmt:message key="statistics.data.averageabandonedtime"/> </th>
					</c:if>
					<th> <fmt:message key="statistics.data.averageprocessingtme"/> </th>
					<th> <fmt:message key="statistics.data.totalactivity"/> </th>
				</tr>
				
				<c:forEach var="row" varStatus="stat" items="${table}">
					<c:choose>	
						<c:when test="${stat.count % 2 == 0}">
							<tr class="even">
						</c:when>
						<c:otherwise>
							<tr class="odd">
						</c:otherwise>
					</c:choose>

					<c:choose>
						<c:when test="${not empty row.ivr}">
							<td class="data">${row.ivr}</td>
						</c:when>
						<c:otherwise>
							<td class="data"><fmt:message key="total"/></td>
						</c:otherwise>
					</c:choose>
					<c:if test="${param.group eq 'dia' || param.group eq 'hora'}">
						<c:choose>
							<c:when test="${not empty row.grupo}">
								<td class="data">${row.grupo}</td>
							</c:when>
							<c:otherwise>
								<td class="data"><fmt:message key="total"/></td>
							</c:otherwise>
						</c:choose>
					</c:if>
					<c:if test="${param.groupByState eq 'on'}">
						<c:choose>
							<c:when test="${not empty row.state}">
								<td class="data">${row.state}</td>
							</c:when>
							<c:otherwise>
								<td class="data"><fmt:message key="total"/></td>
							</c:otherwise>
						</c:choose>
					</c:if>
					<td class="data">${row.total}</td>
					<c:if test="${param.groupByState ne 'on'}">
						<td class="data">${row.satisfactorias}</td>
						<td class="data">${row.no_satisfactorias}</td>
						<td class="data">${row.satis_percent}</td>
						<td class="data">${row.abandonadas}</td>
						<td class="data">${row.tiempo_medio_abandonadas}</td>
					</c:if>
					<td class="data">${row.tiempo_medio_navegacion}</td>
					<td class="data">${row.tiempo_total}</td>
					</tr>
				</c:forEach>				
			</table>	
			
			<c:if test="${param.groupByState ne 'on'}">
			<c:choose>
				<c:when test="${param.group eq 'dia'}">
					<c:set var="template" value="ivr_day.xml"/>
				</c:when>
				<c:when test="${param.group eq 'hora'}">
					<c:set var="template" value="ivr_hour.xml"/>
				</c:when>
				<c:otherwise>
					<c:set var="template" value="ivr.xml"/>
				</c:otherwise>
			</c:choose>
				
			<c:url var="linkPDF" value="../servlet/ipcontact.Reports">
				<c:param name="reportFile" value="portrait-report.xml"/>
				<c:param name="template" value="${template}"/>
				<c:param name="reportType" value="pdf"/>					
				<c:param name="filename" value="ivr"/>
				<c:param name="begin" value="${param.afterDate} ${param.afterTime}"/>
				<c:param name="end" value="${param.beforeDate} ${param.beforeTime}"/>
				<c:if test="${not empty sessionScope.locale}">
					<c:param name="locale" value="${sessionScope.locale}"/>
				</c:if>
			</c:url>
			
			<c:url var="linkXLS" value="../servlet/ipcontact.Reports">
				<c:param name="reportFile" value="portrait-report.xml"/>
				<c:param name="template" value="${template}"/>
				<c:param name="reportType" value="xls"/>					
				<c:param name="filename" value="ivr"/>
				<c:param name="begin" value="${param.afterDate} ${param.afterTime}"/>
				<c:param name="end" value="${param.beforeDate} ${param.beforeTime}"/>
				<c:if test="${not empty sessionScope.locale}">
					<c:param name="locale" value="${sessionScope.locale}"/>
				</c:if>
			</c:url>
			
			<c:url var="linkCSV" value="../servlet/ipcontact.Reports">
				<c:param name="reportFile" value="portrait-report.xml"/>
				<c:param name="template" value="${template}"/>
				<c:param name="reportType" value="csv"/>					
				<c:param name="filename" value="ivr"/>
				<c:param name="begin" value="${param.afterDate} ${param.afterTime}"/>
				<c:param name="end" value="${param.beforeDate} ${param.beforeTime}"/>
				<c:if test="${not empty sessionScope.locale}">
					<c:param name="locale" value="${sessionScope.locale}"/>
				</c:if>
			</c:url>
			 
			<%@ include file="../include/export.jsp" %>	
			</c:if>
		
		</c:otherwise>			
	</c:choose>
</fmt:bundle>
</div>
</body>
</html>


