		<%pageContext.setAttribute("path","../");%>
		<%pageContext.setAttribute("refresh","20");%>
		<%@ include file="../menu.jsp" %>
		
		<div id="right">
			<fmt:bundle basename="others">				
				<% 	
					Document doc;
					Element action;
					String [] [] result;
					
					doc = XMLHelper.newDocument();
					action = XMLHelper.newElement(doc, "action", "type", "get status calls");
					doc.appendChild(action);
					result = net.actionArray(doc, 9);
					pageContext.setAttribute("result", result);
				%>
			
				<h1><fmt:message key="status.title"/></h1>
			
				<c:choose>
					<c:when test="${empty result}">
						<p><fmt:message key="status.empty"/></p>
					</c:when>
					<c:otherwise>
						<table class="data">
							<tr class="tit">
								<th> <fmt:message key="status.origin"/> </th>
								<th> <fmt:message key="status.origininfo"/> </th>
								<th> <fmt:message key="status.target"/> </th>
								<th> <fmt:message key="status.targetinfo"/> </th>
								<th> <fmt:message key="status.callerid"/> </th>
								<th> <fmt:message key="status.duration"/> </th>
							</tr>
			
							<c:forEach var="row" varStatus="stat" items="${result}">
								<c:choose>
									<c:when test="${stat.count % 2 == 0}">
										<tr class="even">
									</c:when>
									<c:otherwise>
										<tr class="odd">
									</c:otherwise>
								</c:choose>
								<c:forEach var="i" begin="2" end="7">
									<td class="data">${row[i]}</td>
								</c:forEach>
							</c:forEach>
			
							</tr>
						</table>
					</c:otherwise>
				</c:choose>
			</fmt:bundle>
		</div>
	</body>
</html>
